﻿<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

define('ADMINISTRADOR', "Administrador");

class Administrador extends CI_Controller {

	var $anoacademico=false;
	var $convocatoria=false;

	public function __construct()
	{
		parent::__construct();
		
		if ($this->session->userdata('auth_rol_nombre')!=null){
				
			if ($this->uri->segment(2)=="idioma"){
					$user=array('idioma'=>$this->uri->segment(3));
					$this->session->set_userdata($user);
			} 
					
			$this->load->library('form_validation');
			$this->load->model('coordinador_model');
			$this->load->model('nodos_model');
			$this->load->model('plan_model');
			$this->load->model('curso_convocatoria_model');			
			$this->load->model('administrador_model');
			
			$this->anoacademico= $this->config->item('anoacademico');
			$this->convocatoria= $this->config->item('convocatoria'); 	
			//si está puesto en session entonces pongo los de session
			if ($this->session->userdata('anoacademico')!=null){
				log_message('debug',"puesto el anoacademico:".$this->session->userdata('anoacademico'));
				$this->anoacademico=$this->session->userdata('anoacademico');
			}
			
			if ($this->session->userdata('convocatoria')!=null){
				log_message('debug',"puesta la convocatoria:".$this->session->userdata('convocatoria'));
				$this->convocatoria=$this->session->userdata('convocatoria');
			}
			
			$convocatoriaactual=$this->curso_convocatoria_model->selectCurrentConvocatoria();
			if (count($convocatoriaactual)==1){
				
				$convocatoriainsession=array(
					'anoacademico'=>$convocatoriaactual->ANO_ACADEMICO,
					'convocatoria'=>$convocatoriaactual->CONVOCATORIA			
				);
				
				$this->anoacademico=$convocatoriaactual->ANO_ACADEMICO;
				$this->convocatoria=$convocatoriaactual->CONVOCATORIA;	
				$this->session->set_userdata($convocatoriainsession);
			}
			
			//pruebas
			/*$this->output->enable_profiler(TRUE);
			$sections = array(
				'config'  => TRUE,
				'queries' => TRUE
			);*/
			//pruebas
		
			
			//la borro cuando me manejo en este controlador para que no esté activada
			$this->session->unset_userdata('uid');
			
			//si invoco al controlador de session y no tengo en la session rol administrador destruyo la session
			if ($this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {
					$this->session->sess_destroy();	
			}
		
		}	
	}
	

	public function index()
	{
		$data['cursoconvocatoriaactual']=$this->curso_convocatoria_model->getCursoConvocatoria($this->anoacademico, $this->convocatoria);
		$data['titulo']= lang('soli_inicio');
	    $this->load->view('header_gestor_view',$data);
		$this->load->view('landing_administrador_view.php',$data);
		$this->load->view('footer_view.php');		
		
	}
	
	/**
	* cambiar idioma 
	*/
	public function idioma($lang){
		
		$this->index();
	}
	
	
	public function gestionPlanes(){
	
	    //creo las migas	
		$breadcrumb = array(
			lang('adm_inicio') => site_url('administrador/index'),			
			lang('adm_gestionPlanes') =>  ""
			
		);
		
		$databreadcrumb['breadcrumb'] = $breadcrumb;
					
		$datacabecera['titulo']= lang('adm_gestionPlanes');
		
		$this->load->view('header_gestor_view.php',$datacabecera);
		$this->load->view('breadcrumb_view.php',$databreadcrumb);
		$this->load->view('gestion_masteres.php');
		$this->load->view('footer_view.php');
	
	}

	
	public function listMasteres(){
		
		
		$listaMasteres=$this->plan_model->getPlanes($this->anoacademico,$this->convocatoria);				
		
		$items = array();
		foreach($listaMasteres as $coor)
		{
			array_push($items, $coor);
		}
		
		$result["total"] = count($listaMasteres);
		
		$result["rows"] = $listaMasteres;
		
		echo json_encode($result);
		//echo "{\"total\":\"2\",\"rows\":[{\"id\":\"1\",\"nombre\":\"car\",\"apellido1\":\"mer\",\"apellido2\":\"per\"},{\"id\":\"2\",\"nombre\":\"car2\",\"apellido1\":\"mer2\",\"apellido2\":\"per2\"}]}";
	}
	
	public function save_plan(){
	
		$ano = $_REQUEST['ANO_ACADEMICO'];
		$convocatoria = $_REQUEST['CONVOCATORIA'];
		$plan = $_REQUEST['COD_PLAN'];
		$enlace = $_REQUEST['ENLACE'];
		$descripcion = $_REQUEST['DESCRIPCION'];
		$plazas = $_REQUEST['PLAZAS_OFERTADAS'];
		$bloqueado = $_REQUEST['BLOQUEADO'];
		
	
		
		$data = array(
					   'ANO_ACADEMICO' => $ano,
					   'CONVOCATORIA' =>  $convocatoria,
					   'COD_PLAN' => $plan,
					   'ENLACE' => $enlace,
					   'DESCRIPCION' => $descripcion,
					   'PLAZAS_OFERTADAS' => $plazas,					   
					   'BLOQUEADO' => $bloqueado				   
				    );
													
	    $resultado=$this->plan_model->insertarMaster($data);
		
		
		if ($resultado == 1) {
				echo json_encode(array('success'=>true));
		} else {
			echo json_encode(array('msg'=>'Ha ocurrido un error al insertar el Máster'));
		}
		
     }
	 
	 
	 public function update_plan(){
	 
	    $ano = $_REQUEST['ANO_ACADEMICO'];
		$convocatoria = $_REQUEST['CONVOCATORIA'];
		$plan = $_REQUEST['COD_PLAN'];
		$enlace = $_REQUEST['ENLACE'];
		$descripcion = $_REQUEST['DESCRIPCION'];
		$plazas = $_REQUEST['PLAZAS_OFERTADAS'];
		$bloqueado = $_REQUEST['BLOQUEADO'];
		
		
        $data = array(
					   'ANO_ACADEMICO' => $ano,
					   'CONVOCATORIA' =>  $convocatoria,
					   'COD_PLAN' => $plan,
					   'ENLACE' => $enlace,
					   'DESCRIPCION' => $descripcion,
					   'PLAZAS_OFERTADAS' => $plazas,					   
					   'BLOQUEADO' => $bloqueado				   
				    );
		
       
	  
	    $resultado=$this->plan_model->updatePlan($ano,$convocatoria,$plan,$data);
		
		
		log_message('debug',">>MODIFICAR MASTER ::".$resultado);		
		if ($resultado == 1) {
				echo json_encode(array('success'=>true));
		} else {
			echo json_encode(array('msg'=>'Ha ocurrido un error al modificar el Máster'));
		}
	 
	 }
	 
	 public function remove_plan($plan){
	  
	
	    log_message('debug',">>borrar  MASTER ::".$plan);	
	 
        $resultado= $this->plan_model->deleteMaster($this->anoacademico,$this->convocatoria,$plan);
		
	    if ($resultado == 1) {
				echo json_encode(array('success'=>true));
		} else {
			echo json_encode(array('msg'=>'Ha ocurrido un error al borrar el Máster'));
		}
	 
	 }
	 
	 
	 public function gestionCoordinadores(){
	
	    //creo las migas	
		$breadcrumb = array(
			lang('adm_inicio') => site_url('administrador/index'),			
			lang('adm_gestionCoordinadores') =>  ""
			
		);
		
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		
  				
		$datacabecera['titulo']= lang('adm_gestionCoordinadores');
		
		$this->load->view('header_gestor_view.php',$datacabecera);
		$this->load->view('breadcrumb_view.php',$databreadcrumb);
		$this->load->view('gestion_coordinadores.php');
		$this->load->view('footer_view.php');
	
	}
	
	
	public function listCoordinadores(){
		
				
		$listaMasteres=$this->coordinador_model->getCoordinadores($this->anoacademico,$this->convocatoria);				
		
		$items = array();
		foreach($listaMasteres as $coor)
		{
			array_push($items, $coor);
		}
		
		$result["total"] = count($listaMasteres);
		
		$result["rows"] = $listaMasteres;
		
		echo json_encode($result);
		
	}
	
	
	
	public function save_coordinador(){
	
		$ano = $_REQUEST['ANO_ACADEMICO'];
		$convocatoria = $_REQUEST['CONVOCATORIA'];
		$plan = $_REQUEST['COD_PLAN'];
		$dni = $_REQUEST['DNI_PASAPORTE'];
		$nombre = $_REQUEST['NOMBRE'];
		$apellido1 = $_REQUEST['APELLIDO1'];
		$apellido2 = $_REQUEST['APELLIDO2'];
		$email = $_REQUEST['EMAIL'];
		
		//PODEMOS HACER AQUI VALIDACIONES VARIAS....
		
		$data = array(
					   'ANO_ACADEMICO' => $ano,
					   'CONVOCATORIA' =>  $convocatoria,
					   'COD_PLAN' => $plan,
					   'DNI_PASAPORTE' => $dni,
					   'NOMBRE' => $nombre,
					   'APELLIDO1' => $apellido1,					   
					   'APELLIDO2' => $apellido2,
					   'EMAIL' => $email
				    );
													
	    $resultado=$this->coordinador_model->insertarCoordinador($data);
		
		
		if ($resultado == 1) {
				echo json_encode(array('success'=>true));
		} else {
			echo json_encode(array('msg'=>'Ha ocurrido un error al insertar el Coordinador'));
		}
     }
	 
	 
	 public function update_coordinador(){
	 
	    $ano = $_REQUEST['ANO_ACADEMICO'];
		$convocatoria = $_REQUEST['CONVOCATORIA'];
		$plan = $_REQUEST['COD_PLAN'];
		$dni = $_REQUEST['DNI_PASAPORTE'];
		$nombre = $_REQUEST['NOMBRE'];
		$apellido1 = $_REQUEST['APELLIDO1'];
		$apellido2 = $_REQUEST['APELLIDO2'];
		$email = $_REQUEST['EMAIL'];
		
		$plan_old = $_REQUEST['COD_PLAN_OLD'];
		
		log_message('debug',"UPDATEEEEEEEEEE:".$plan_old." ".$plan);	
		
		//PODEMOS HACER AQUI VALIDACIONES VARIAS....

        $data = array(
					   'ANO_ACADEMICO' => $ano,
					   'CONVOCATORIA' =>  $convocatoria,
					   'COD_PLAN' => $plan,
					   'DNI_PASAPORTE' => $dni,
					   'NOMBRE' => $nombre,
					   'APELLIDO1' => $apellido1,					   
					   'APELLIDO2' => $apellido2,
					   'EMAIL' => $email
				    );
			  
	    $resultado=$this->coordinador_model->modificarCoordinador($ano,$convocatoria, $dni, $plan_old, $data);
			
		if ($resultado == 1) {
				echo json_encode(array('success'=>true));
		} else {
			echo json_encode(array('msg'=>'Ha ocurrido un error al modificar el Coordinador'));
		}
	 
	 }
	 
	 public function remove_coordinador($dni_pasaporte,$plan){
	  
	
	    log_message('debug',">>borrar  coordinador ::".$dni_pasaporte." ".$plan);	
	 
        $resultado= $this->coordinador_model->deleteCoordinador($this->anoacademico,$this->convocatoria,$dni_pasaporte,$plan );
		
	    if ($resultado == 1) {
				echo json_encode(array('success'=>true));
		} else {
			echo json_encode(array('msg'=>'Ha ocurrido un error al borrar el Coordinador'));
		}
				
	 }
	 
	 
	 
	 public function gestionNodos(){
	
	    //creo las migas	
		$breadcrumb = array(
			lang('adm_inicio') => site_url('administrador/index'),			
			lang('adm_gestionNodos') =>  ""
			
		);
		
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		
  				
		$datacabecera['titulo']= lang('adm_gestionNodos');
		
		$this->load->view('header_gestor_view.php',$datacabecera);
		$this->load->view('breadcrumb_view.php',$databreadcrumb);
		$this->load->view('gestion_nodos.php');
		$this->load->view('footer_view.php');
	
	}
	
	
	public function listNodos(){
		
				
		$listaNodos=$this->nodos_model->getNodos($this->anoacademico,$this->convocatoria);				
		
		$items = array();
		foreach($listaNodos as $coor)
		{
			array_push($items, $coor);
		}
		
		$result["total"] = count($listaNodos);
		
		$result["rows"] = $listaNodos;
		
		echo json_encode($result);
		
	}
	
	
	
	public function save_nodo(){
	
		$ano = $_REQUEST['ANO_ACADEMICO'];
		$convocatoria = $_REQUEST['CONVOCATORIA'];
		$plan = $_REQUEST['COD_PLAN'];
		$nodo = $_REQUEST['NODO'];
		$descripcion = $_REQUEST['DESCRIPCION'];
		$aclaracion = $_REQUEST['ACLARACION'];
		
		//PODEMOS HACER AQUI VALIDACIONES VARIAS....
		
		$data = array(
					   'ANO_ACADEMICO' => $ano,
					   'CONVOCATORIA' =>  $convocatoria,
					   'COD_PLAN' => $plan,
					   'NODO' => $nodo,
					   'DESCRIPCION' => $descripcion,
					   'ACLARACION' => $aclaracion
				    );
					
	   
        $resultado=$this->nodos_model->insertarNodo($data);		
		if ($resultado == 1) {
				echo json_encode(array('success'=>true));
		} else {		     
			echo json_encode(array('msg'=>'Ha ocurrido un error al insertar el Nodo'));
		}
     }
	 

	 public function update_nodo(){
	 
	    $ano = $_REQUEST['ANO_ACADEMICO'];
		$convocatoria = $_REQUEST['CONVOCATORIA'];
		$plan = $_REQUEST['COD_PLAN'];
		$nodo = $_REQUEST['NODO'];
		$descripcion = $_REQUEST['DESCRIPCION'];
		$aclaracion = $_REQUEST['ACLARACION'];
		
		
		//PODEMOS HACER AQUI VALIDACIONES VARIAS....

        $data = array(
					   'ANO_ACADEMICO' => $ano,
					   'CONVOCATORIA' =>  $convocatoria,
					   'COD_PLAN' => $plan,
					   'NODO' => $nodo,
					   'DESCRIPCION' => $descripcion,
					   'ACLARACION' => $aclaracion
				    );
			  
	    $resultado=$this->nodos_model->modificarNodo($ano,$convocatoria, $plan, $nodo, $data);
		
		
		if ($resultado == 1) {
				echo json_encode(array('success'=>true));
		} else {
			echo json_encode(array('msg'=>'Ha ocurrido un error al modificar el Nodo'));
		}
	 
	 }
	 
	 public function remove_nodo($nodo,$plan){
	  
	
	    log_message('debug',">>borrar  nodo ::".$nodo." ".$plan);	
	 
        $resultado= $this->nodos_model->deleteNodo($this->anoacademico,$this->convocatoria,$nodo,$plan );
		
	    if ($resultado == 1) {
				echo json_encode(array('success'=>true));
		} else {
			echo json_encode(array('msg'=>'Ha ocurrido un error al borrar el Nodo'));
		}
	 
	 }
	 
	 
	public function eliminarAccesoCoordinadores(){							
		log_message('info','Eliminando acceso a los coordinadores por:'.$this->session->userdata('auth_uid'));
		$resultado=$this->administrador_model->eliminarAccesoCoordinadores();
        log_message('info','Eliminando acceso a los coordinadores:'.$resultado);
		
		$data['msg_ok']= lang('adm_msjEliminarAcceso');
		
		$data['titulo']= lang('soli_inicio');
	    $this->load->view('header_gestor_view',$data);
		$data['cursoconvocatoriaactual']=$this->curso_convocatoria_model->getCursoConvocatoria($this->anoacademico, $this->convocatoria);
		$this->load->view('landing_administrador_view.php',$data);
		$this->load->view('footer_view.php');
		
	} 
	
	public function darAccesoCoordinadores(){
		log_message('info','Dar acceso a los coordinadores por:'.$this->session->userdata('auth_uid'));
        // quitamos primero el acceso a todos los coordinadores
        $resultado=$this->administrador_model->eliminarAccesoCoordinadores();
        log_message('info','Eliminando acceso a los coordinadores:'.$resultado);
		
		$resultado=$this->administrador_model->darAccesoCoordinadores($this->anoacademico,$this->convocatoria);
        log_message('info','Dar acceso a los coordinadores:'.$resultado);
		
		$data['msg_ok']= lang('adm_msjDarAcceso');
		
		$data['titulo']= lang('soli_inicio');
		$this->load->view('header_gestor_view.php',$data);		
		$data['cursoconvocatoriaactual']=$this->curso_convocatoria_model->getCursoConvocatoria($this->anoacademico, $this->convocatoria);
		$this->load->view('landing_administrador_view.php',$data);
		$this->load->view('footer_view.php');
	
	}
	
	public function gestionCursosConvocatorias($data=null){
	
	    //creo las migas	
		$breadcrumb = array(
			lang('adm_inicio') => site_url('administrador/index'),			
			lang('adm_administrarConvocatorias')  =>  ""
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		
		$data['listaconvocatorias']=$this->curso_convocatoria_model->listAllConvocatorias();
		
		$data['titulo']= lang('adm_administrarConvocatorias');
		$this->load->view('header_gestor_view.php',$data);	
		$this->load->view('breadcrumb_view.php',$databreadcrumb);
		$this->load->view('admin_cursoconvocatoria_list_view.php',$data);
		$this->load->view('footer_view.php');
	
	}

	public function nuevaConvocatoriaForm(){
	
	    //creo las migas	
		$breadcrumb = array(
			lang('adm_inicio') => site_url('administrador/index'),			
			lang('adm_administrarConvocatorias') =>  site_url('administrador/gestionCursosConvocatorias'),
			lang('adm_nuevaConvocatoria') =>  ""
			
		);
		
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		
		$data['listaconvocatorias']=$this->curso_convocatoria_model->listAllConvocatoriasOrderbyLast();
		
		$data['titulo']= lang('adm_nuevaConvocatoria');		
		$this->load->view('header_gestor_view.php',$data);			
		$this->load->view('breadcrumb_view.php',$databreadcrumb);
		$this->load->view('admin_cursoconvocatoria_form_view.php',$data);
		$this->load->view('footer_view.php');
	
	}
	
	public function cursoconvocatoria_poneractiva($anoacademico,$convocatoria){
	
        //validamos que no haya otra convocatoria ya activa
		$row=$this->curso_convocatoria_model->selectCurrentConvocatoria($anoacademico,$convocatoria);
	
		if (count($row)==1 and  !($row->ANO_ACADEMICO == $anoacademico and $row->CONVOCATORIA == $convocatoria)){
			//Esta convocatoria ya existe y no se puede crear
			$data['msg_error']= lang('adm_msjExisteConvocatoria');
			$this->gestionCursosConvocatorias($data); 
			
		}else{
				$data = array( 
							   'ESTADO' => '1'	
						   );
									
				$resultado=$this->curso_convocatoria_model->updateCursoConvocatoria($anoacademico, $convocatoria,$data);
				log_message('info','ACTUALIZADO CURSO CONVOCATORIA! '.$anoacademico."_".$convocatoria."_".$resultado);
			
				$this->gestionCursosConvocatorias();   //pasarle un data con el mensaje ok o el error o repetir aquí
	    }
	}
	
	public function cursoconvocatoria_pasarconfiguracion($anoacademico,$convocatoria){
	
		$data = array( 
					   'ESTADO' => '0'	
				   );
							
		$resultado=$this->curso_convocatoria_model->updateCursoConvocatoria($anoacademico, $convocatoria,$data);
        log_message('info','ACTUALIZADO CURSO CONVOCATORIA! '.$anoacademico."_".$convocatoria."_".$resultado);
	
	
		$this->gestionCursosConvocatorias();   //pasarle un data con el mensaje ok o el error o repetir aquí
	
	}
	
	
	public function cursoconvocatoria_pasarhistoria($anoacademico,$convocatoria){
	
		$data = array( 
					   'ESTADO' => '2'	
				   );
							
		$resultado=$this->curso_convocatoria_model->updateCursoConvocatoria($anoacademico, $convocatoria,$data);
        log_message('info','ACTUALIZADO CURSO CONVOCATORIA! '.$anoacademico."_".$convocatoria."_".$resultado);
	
	
		$this->gestionCursosConvocatorias();   //pasarle un data con el mensaje ok o el error o repetir aquí
	
	}
	
	/**
	* Guardar convocatoria y validar, desde aquí también se intentarn duplicar las tablas...
	**/
	public function saveConvocatoriaForm(){
	
		 $this->form_validation->set_error_delimiters('<div class="alert alert-danger "><span class="glyphicon glyphicon-minus-sign"></span> ', '</div>');	
	    
		$breadcrumb = array(
			lang('adm_inicio') => site_url('administrador/index'),			
			lang('adm_administrarConvocatorias') =>  site_url('administrador/gestionCursosConvocatorias'),
			lang('adm_nuevaConvocatoria') =>  ""
			
		);
		$data['titulo']= lang('adm_nuevaConvocatoria');
		
		$this->form_validation->set_rules('anoacademico', lang('adm_anoAcademico'),'trim|required|numeric|exact_length[4]');
		$this->form_validation->set_rules('fecha_inicio', lang('adm_fechaIni'),'trim|required');
		$this->form_validation->set_rules('fecha_fin', lang('adm_fechaFin'),'trim|required');
		$this->form_validation->set_rules('convocatoria', lang('adm_convocatoria'),'trim|required|numeric|exact_length[1]|callback_convocatoria_check');
		$this->form_validation->set_rules('convocatoriaclonar', lang('adm_convocatoriaClonacion'),'trim|required|callback_convocatoriaclonar_check');
				
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		
		$data['listaconvocatorias']=$this->curso_convocatoria_model->listAllConvocatoriasOrderbyLast();
		
		if ($this->form_validation->run() == FALSE){
				//$this->form_validation->set_message('anoacademico', "Este año no me gusta nada, nada....");

		}else{
			
			$datainsertar = array( 
					   'ANO_ACADEMICO' => $this->input->post('anoacademico'),
					   'CONVOCATORIA' => $this->input->post('convocatoria'),
					   'FECHA_INICIO' => $this->input->post('fecha_inicio'),
					   'FECHA_FIN' => $this->input->post('fecha_fin'),
					   'ESTADO' => '0',
					   'PUBLICAR_ADMITIDOS' => '0'
					   
				   );
			$resultado=$this->curso_convocatoria_model->insertarCursoConvocatoria($datainsertar);
			
			$convocatoriaclonar = explode("_", $this->input->post('convocatoriaclonar'));
			$anoacademicoclonar=$convocatoriaclonar[0];
			$convocatoriaclonar=$convocatoriaclonar[1];
			log_message('info',$this->input->post('convocatoriaclonar')."::".$anoacademicoclonar."/".$convocatoriaclonar);
			
			$this->duplicarTablas($anoacademicoclonar,$convocatoriaclonar,$this->input->post('anoacademico'),$this->input->post('convocatoria'));
			//devuelvo mensaje ok
			$data['msg_ok']=lang('adm_msjConvocatoriaOk');
		}
		
		$this->load->view('header_gestor_view.php',$data);	
		$this->load->view('breadcrumb_view.php',$databreadcrumb);
		$this->load->view('admin_cursoconvocatoria_form_view.php',$data);
		$this->load->view('footer_view.php');
	
	}
	
	/**
	* Validar que la convocatoria no existe previamente
	*/
	public function convocatoria_check($str)
	{
	
		if ($str == '0')
		{
			$this->form_validation->set_message('convocatoria_check', lang('adm_errorConvocatoria'));
			return FALSE;
		}
		else
		{
			$row=$this->curso_convocatoria_model->getCursoConvocatoria($this->input->post('anoacademico'), $this->input->post('convocatoria'));
	
			if (count($row)==1){
				//Esta convocatoria ya existe y no se puede crear
				$this->form_validation->set_message('convocatoria_check',lang('adm_errorConvocatoriaNoValida'));
				return FALSE;
			}else{
				return TRUE;
			}	
		}
		
		
	}
	
	public function convocatoriaclonar_check($str)
	{
		if ($str == '0')
		{
			$this->form_validation->set_message('convocatoriaclonar_check', lang('adm_errorConvocatoriaClonar'));
			return FALSE;
		}
		else
		{
			return TRUE;
		}
	}
	
	
	public function duplicartablas($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino){
		
		 $stackmsj = array();
				
		//PG_PLAZAS
		$resultpgplazas=$this->administrador_model->getPgPlazas($anoacademicoDestino);
		if (count($resultpgplazas)==0){
			$pgplazas=$this->administrador_model->duplicaPgPlazas($anoacademicoOrigen,$anoacademicoDestino);
			log_message('info',"tabla pg_plazas:".$pgplazas);
			array_push($stackmsj, "duplicada pg_plazas");
		
		
		}
		
		//PM_PLAN
		$plan=$this->administrador_model->duplicaPlan($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino);
		log_message('info',"tabla plan:".$plan);
				
		// PM_COORDINADORES
		$coordinadores=$this->administrador_model->duplicaCoordinadores($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino);
		log_message('info',"tabla coordinadores:".$coordinadores);
		
        // PM_DOC_REQUERIDA
		$docrequerida=$this->administrador_model->duplicaDocRequerida($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino);
		log_message('info',"tabla doc_requerida:".$docrequerida);
		
		// PM_ESTADO
		$estado=$this->administrador_model->duplicaEstado($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino);
		log_message('info',"tabla estado:".$estado);
		
		// PM_MOTIVO_EXCLUSION
		$motivosexclusion=$this->administrador_model->duplicaMotivosExclusion($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino);
		log_message('info',"tabla motivos_exclusion:".$motivosexclusion);
		
		// PM_TIPO_DOCUMENTO
		$tipodocumento=$this->administrador_model->duplicaTipoDocumento($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino);
		log_message('info',"tabla tipo_documento:".$tipodocumento);
		
		// PM_HISTORICO_TIPO_ACCION
		$historicoTipoAccion=$this->administrador_model->duplicaHistoricoTipoAccion($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino);
		log_message('info',"tabla historico_tipo_accion:".$historicoTipoAccion);
		
		//PM_NODOS
		$nodos=$this->administrador_model->duplicaNodos($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino);
		log_message('info',"tabla nodos:".$nodos);
	
	}
	
}//End class

