﻿<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

define('GESTOR', "Gestor");
define('ADMINISTRADOR', "Administrador");
define('COORDINADOR', "Coordinador");
define('DESBLOQUEAR_ESPECIALIDAD',15);
define('CERRAR_LISTAS_COORDINADOR',16);
define('PREADMITIR_SOLICITUD',17);
define('BORRAR_PREADMITIR_SOLICITUD',18);
define('UPDATE_ORDEN_LISTA_ESPERA',19);
define('BORRAR_LISTA_ESPERA',20);
define('UPDATE_ITINERARIO',21);

class Coordinador extends CI_Controller {
		
    var $gestormode=false;
	
    var $databreadcrumb=array();
	var $anoacademico=false;
	var $convocatoria=false;
	
		
	public function __construct()
	{
		parent::__construct();
		if ($this->session->userdata('auth_rol_nombre')!=null){
				$this->load->library('form_validation');
				$this->load->model('coordinador_model');
				$this->load->model('listados_model');
						
				$this->load->model('upload_model');		
				$this->load->model('plan_model');
				$this->load->model('opciones_model');
				$this->load->model('nodos_model');
				$this->load->model('datospersonales_model');
				$this->load->model('datosacademicos_model');
				$this->load->model('persona');
				$this->load->model('datosacademicos');
				$this->load->model('historico_model');
				$this->load->model('personaCoordinador');	
				
				$this->anoacademico= $this->config->item('anoacademico');
				$this->convocatoria= $this->config->item('convocatoria'); 	
				
				//si está puesto en session entonces pongo los de session
				if ($this->session->userdata('anoacademico')!=null){
					log_message('debug',"puesto el anoacademico:".$this->session->userdata('anoacademico'));
					$this->anoacademico=$this->session->userdata('anoacademico');
				}
				
				if ($this->session->userdata('convocatoria')!=null){
					log_message('debug',"puesta la convocatoria:".$this->session->userdata('convocatoria'));
					$this->convocatoria=$this->session->userdata('convocatoria');
				}

				
				if ($this->uri->segment(2)=="idioma"){
						$user=array('idioma'=>$this->uri->segment(3));
						$this->session->set_userdata($user);
				} 
				
				/* pruebas*/
				/*$this->output->enable_profiler(TRUE);
				$sections = array(
					'config'  => TRUE,
					'queries' => TRUE
				);*/
				/*fin pruebas*/
				
				if ($this->session->userdata('auth_rol_nombre')==GESTOR || $this->session->userdata('auth_rol_nombre')==ADMINISTRADOR){			
					$this->gestormode=true;
					
				}
				
				//esto lo utilizo cuando desde un coordinador suplanto a un solicitante
				$this->session->unset_userdata('uid');
				$this->session->unset_userdata('coordinador_plan');
				
				if ($this->session->userdata('auth_rol_nombre')!=COORDINADOR and $this->session->userdata('auth_rol_nombre')!=GESTOR and
				$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {
				   $this->session->sess_destroy();	
		        }
		}
	}
	

	public function index()
	{	     
		$data['titulo']= lang('soli_inicio');
	    $this->load->view('header_coordinador_view',$data);
		$this->load->view('landing_coordinador_view.php');
		$this->load->view('footer_view.php');
	}
	
	/**
	* cambiar idioma 
	*/
	public function idioma($lang){
		
		$this->index();
	}
	
	
	public function selectMaster()
	{
		log_message('debug',"entro en selectMaster :".$this->session->userdata('uid'));
		
		//creo las migas de pan
		$breadcrumb = array(
			lang('coor_inicio') => site_url('coordinador/index'),
			lang('coor_listaMaster') => ""		
			
		);
        $databreadcrumb['breadcrumb'] = $breadcrumb;
		
		//obtengo lista de master asociados al coordinador
		$data['listaMasteres']=$this->coordinador_model->listarMasteres($this->session->userdata('auth_uid'),$this->anoacademico,$this->convocatoria);	

		
		// si no tiene asociado ningun master, mostramos pantalla de aviso
		if(!empty($data['listaMasteres'])){
			$numMasteres=count($data['listaMasteres']);			
			if($numMasteres > 0){  //coordinador con al menos un master
			    $datacabecera['titulo']= lang('coor_listaMaster');
				$this->load->view('header_coordinador_view',$datacabecera);
				$this->load->view('breadcrumb_view',$databreadcrumb);				
				$this->load->view('listamasteres_coordinador_view.php',$data);
				$this->load->view('footer_view.php');
				
			}			
					
		}
		else {	//coordinador sin master asociado
			$datacabecera['titulo']= lang('coor_listaMaster');
			$this->load->view('header_coordinador_view',$datacabecera);
			$datamensaje['mensaje']= lang('coor_sinMasterAsociado');
			$datamensaje['siguiente']= site_url('coordinador/index');
			$datamensaje['error']= "S";
			$this->load->view('mensaje_view.php',$datamensaje);
			$this->load->view('footer_view.php');
		}
	}
	
	
	public function listarPreinscripciones($plan)
	{
		log_message('debug',"entro en listarPreinscripciones");
		
		
		//obtenemos la descripcion del plan
		$dplan=$this->coordinador_model->getDescripcionPlan($plan);		
		$datamenu['titulo'] = $plan."-".$dplan;
		$data['plan'] = $plan;
		$data['anoacademico'] = $this->anoacademico;
		$data['convocatoria'] = $this->convocatoria;
		
		//creo las migas de pan
		if ($this->gestormode) {	//gestor	
		    $breadcrumb = array(
				lang('ges_inicio')  => site_url('gestor/index'),
				lang('ges_listaMaster') => site_url('gestor/selectMaster'),
				lang('coor_master')." ".$plan =>  ""
			);
		
		}else{ //coordinador
		    $data['listaMasteres']=$this->coordinador_model->listarMasteres($this->session->userdata('auth_uid'),$this->anoacademico,$this->convocatoria);		
			$numMasteres=count($data['listaMasteres']);			
			if($numMasteres > 0){  //coordinador con al menos un master
				$breadcrumb = array(
					lang('coor_inicio') => site_url('coordinador/index'),
					lang('coor_listaMaster') => site_url('coordinador/selectMaster'),	
					lang('coor_master')." ".$plan =>  ""
					
				);
			}
			
		}
		$databreadcrumb['breadcrumb'] = $breadcrumb;			
			
		//obtengo lista de preinscripciones de un master
		$data['listaPreins']=$this->coordinador_model->ListaSolicitudes($this->anoacademico,$this->convocatoria,$plan);			
				
		//compruebo si el plan tiene diferentes nodos para habilitar boton de modificar itinerario
		$datamenu['nodos'] = "";
		$nodos=$this->nodos_model->existeNodos($plan,$this->anoacademico,$this->convocatoria);
		if ($nodos ==false) // no tiene nodos, no se habilita el boton de modificar itinerario
		{
			$datamenu['nodos'] = "N";
		}
		else {  // tiene nodos,botón de modificar itinerario habilitado
		    $datamenu['nodos'] = "S";
		}
		
		
		 //compruebo si el plan tiene alumnos admitidos para habilitar o no el boton de pdf admitidos		
		$data['listaespera']=$this->listados_model->pdfListaEspera($plan,$this->anoacademico,$this->convocatoria);	  
		$numListaEspera=count($data['listaespera']);	
		if($numListaEspera > 0)
		{  // tiene lista espera,botón de lista de espera habilitado		
			$datamenu['listaespera'] = "S";
		}
		else {  //no tiene lista espera,botón de lista de espera deshabilitado	
		    $datamenu['listaespera'] = "N";
		}	
		
		
        //compruebo si el plan tiene alumnos admitidos para habilitar o no el boton de pdf admitidos		
		$data['listaAdmitidos']=$this->listados_model->pdfListaAdmitidos($plan,$this->anoacademico,$this->convocatoria);	  
		$numAdmitidos=count($data['listaAdmitidos']);	
		if($numAdmitidos > 0)
		{  // tiene lista admitidos,botón de lista de admitidos habilitado		
			$datamenu['listaadmitidos'] = "S";
		}
		else {  //no tiene lista admitidos,botón de lista de admitidos deshabilitado	
		    $datamenu['listaadmitidos'] = "N";
		}	
		$data['numAdmitidos']= $numAdmitidos;

        //compruebo si el plan tiene solicitudes para habilitar o no el boton de pdf solicitudes			
		$data['listasolicitudes']=$this->listados_model->pdfListaSolicitudes($plan,$this->anoacademico,$this->convocatoria);	  
		$numSolicitudes=count($data['listasolicitudes']);	
		if($numSolicitudes > 0)
		{  // tiene lista solicitudes,botón de lista de solicitudes habilitado		
			$datamenu['listasolicitudes'] = "S";
		}
		else {  //no tiene lista solicitudes,botón de lista de solicitudes deshabilitado
		    $datamenu['listasolicitudes'] = "N";
		}				
		// calculamos el numero de plazas ofertadas 
		$numplazas =$this->coordinador_model->getPlazasOfertadas($plan,$this->anoacademico,$this->convocatoria);
		$data['numplazas']= $numplazas;
		
		
		//comprobamos si es un master bloqueado				
	    $datamenu['bloqueado']=$this->coordinador_model->getBloqueo($this->anoacademico,$this->convocatoria,$plan); 
		$data['bloqueado'] = $this->coordinador_model->getBloqueo($this->anoacademico,$this->convocatoria,$plan); 
		
		$datamenu['numplazas']= $numplazas;
		$datamenu['numAdmitidos']= $numAdmitidos;
		$datamenu['numListaEspera']= $numListaEspera;
		
		$datamenu['plan'] = $plan; 
		$datacabecera['titulo']= lang('coor_master')." ".$plan;
		if ($this->gestormode) {
		    $this->load->view('header_gestor_view',$datacabecera);
		}
		else {
		    $this->load->view('header_coordinador_view',$datacabecera);
		}
		$this->load->view('breadcrumb_view',$databreadcrumb);
		$this->load->view('menu_coordinador_view',$datamenu);
		$this->load->view('listapreins_coordinador_view.php',$data);
		$this->load->view('footer_view.php');
	}
	

	public function gestionarListaEspera($plan)
	{
	    
	    if ($this->session->userdata('auth_rol_nombre')!=null){ 
			
			//validacion para que si esta bloqueado no pueda acceder a gestionarlistaespera desde la url				
			$bloqueo['bloqueo']=$this->coordinador_model->getBloqueo($this->anoacademico,$this->convocatoria,$plan); 
			
			log_message('debug',"aaaaaaaaaaaaaa::".$bloqueo['bloqueo']);
			//if ($bloqueo['bloqueo'] == true and $this->session->userdata('auth_rol_nombre')!=GESTOR and
			if ($bloqueo['bloqueo'] == 1 and $this->session->userdata('auth_rol_nombre')!=GESTOR and
				$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {				
				$this->session->sess_destroy();
			
				$this->load->view('logout_view');
			}
			else {
		
				log_message('debug',"entro en gestionarListaEspera::".$plan);
					
				//obtenemos la descripcion del plan
				$dplan=$this->coordinador_model->getDescripcionPlan($plan);
				$data['titulo'] = $plan."-".$dplan;
				
				//creo las migas de pan
				if ($this->gestormode) { //gestor
				
					$breadcrumb = array(
						lang('ges_inicio')  => site_url('gestor/index'),
						lang('ges_listaMaster') => site_url('gestor/selectMaster'),
						lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones/'.$plan),	
						lang('coor_listaEspera') =>  ""
					);
								
					//$databreadcrumb['breadcrumb'] = $breadcrumb;	
					
				}else{ //coordinador
					$data['listaMasteres']=$this->coordinador_model->listarMasteres($this->session->userdata('auth_uid'),$this->anoacademico,$this->convocatoria);		
					$numMasteres=count($data['listaMasteres']);			
					
					if($numMasteres > 0){  //coordinador con al menos un master
						$breadcrumb = array(
							lang('coor_inicio') => site_url('coordinador/index'),
							lang('coor_listaMaster') => site_url('coordinador/selectMaster'),	
							lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones/'.$plan),	
							lang('coor_listaEspera') =>  ""
							
						);				
					}
					
				}	
				
				$databreadcrumb['breadcrumb'] = $breadcrumb;
				
			
				//compruebo que tenga alguna solicitud en lista de espera
				$existelistaEspera=$this->coordinador_model->existeListaEspera($plan,$this->anoacademico,$this->convocatoria);
				if ($existelistaEspera ==false) // no tiene ninguna solicitud en lista espera, se muestra mensaje de aviso
				{						
				   $datacabecera['titulo']=  lang('coor_listaEspera')." ".lang('coor_master')." ".$plan;
				   if ($this->gestormode) {
					$this->load->view('header_gestor_view',$datacabecera);
				   }
				   else {
						$this->load->view('header_coordinador_view',$datacabecera);
				   }
				  
				   $datamensaje['mensaje']= lang('coor_sinListaEspera');
				   $datamensaje['siguiente']= site_url('coordinador/listarPreinscripciones/'.$plan);
				   $datamensaje['error']= "S";
				   $this->load->view('breadcrumb_view',$databreadcrumb);			  
				   $this->load->view('mensaje_view.php',$datamensaje);
				   $this->load->view('footer_view.php');
					
				}
				else {  // si tiene solicitud en lista de espera	
					$data['listaEspera']=$this->coordinador_model->listarListaEspera($plan,$this->anoacademico,$this->convocatoria);	
					
					//Inicializoo mi array
					$espera_list=Array();
					
					//genero array alumnos
					$alumnos=Array();
					
					foreach($data['listaEspera'] as $listaesperagrabada){
					   $alumnos[$listaesperagrabada->ORDENLISTAESPERA]=$listaesperagrabada->DNI_PASAPORTE;			
					}

					$listaesperagrabadas=0;
								
					$listaesperagrabadas=count($alumnos);
					log_message("debug","alumnos en lista espera grabadas:".$listaesperagrabadas);
				
					$i = 0;
					while ($i<$listaesperagrabadas){
						$data['alumnoslist'][$i]=$data['listaEspera'][$i];
						 log_message("debug",$i." ".$data['alumnoslist'][$i]->DNI_PASAPORTE." ".$data['alumnoslist'][$i]->NOMB_ALUMNO);
						$i=$i+1;
					}
					$data['numListaEspera'] =$listaesperagrabadas;
					$data['plan'] =$plan;
				
					$datacabecera['titulo']= lang('coor_listaEspera')." ".lang('coor_master')." ".$plan;			
					if ($this->gestormode) {
						$this->load->view('header_gestor_view',$datacabecera);
					}
					else {
						$this->load->view('header_coordinador_view',$datacabecera);
					}
					$this->load->view('breadcrumb_view',$databreadcrumb);
					$this->load->view('listaespera_coordinador_view.php',$data);
					$this->load->view('footer_view.php');
					
				}
			}	
		}
		else {
		    $this->session->sess_destroy();
			
				$this->load->view('logout_view');
		}
	}
   
   
   /**
	 * Guardando el orden de la lista de espera
	 */
	public function saveListaEspera($plan){		
	
	    if ($this->session->userdata('auth_rol_nombre')!=null){ 
			
			//validacion para que si esta bloqueado no pueda acceder a gestionarlistaespera desde la url				
			$bloqueo['bloqueo']=$this->coordinador_model->getBloqueo($this->anoacademico,$this->convocatoria,$plan); 
			if ($bloqueo['bloqueo'] == 1 and $this->session->userdata('auth_rol_nombre')!=GESTOR and
				$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {				
				$this->session->sess_destroy();
			
				$this->load->view('logout_view');
			}
			else {
				log_message('debug',"entro en saveListaEspera");			
				
				$alumnos=$this->input->post('alumnos');
			
				foreach ($alumnos as $key=>$item){
					
					 log_message('debug','LLamando a save con los valores:'.$key."____".$item);
					 $orden = $key +1;
					 
					 
					 $data = array(
						   'ORDENLISTAESPERA' => $orden  //sumamos uno porque $key va por orden de array que empieza por cero
					 );
					 $resultado = $this->coordinador_model->modificarListaEspera($this->anoacademico,$this->convocatoria,$plan, $item, $data);
					 
					 log_message('info','MODIFICADO LISTA ESPERA! '.$resultado);
					 
					 //GUARDAMOS EN EL HISTORICO				              
					 
					 $historicodata=array(
									"Plan" => $plan,
									"OrdenListaEspera" => $data['ORDENLISTAESPERA'],
									"Descripcion" => 'Gestion Lista Espera'
									
								);				 
					 $this->historico_model->insertarAccionHistorico(
					  $this->anoacademico,
					  $this->convocatoria,
					  $item,
					  $this->session->userdata('auth_uid'),
					  UPDATE_ORDEN_LISTA_ESPERA,
					  json_encode($historicodata));
				}
							
				//obtenemos la descripcion del plan
				$dplan=$this->coordinador_model->getDescripcionPlan($plan);
				$databreadcrumb['tituloMaster'] = $plan."-".$dplan;
				
				//creo las migas de pan
				if ($this->gestormode) { //gestor
			
					$breadcrumb = array(
						lang('ges_inicio')  => site_url('gestor/index'),
						lang('ges_listaMaster') => site_url('gestor/selectMaster'),
						lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones/'.$plan),
						lang('coor_listaEspera') =>  ""					
					);
					
				}
				else{ //coordinador
					$data['listaMasteres']=$this->coordinador_model->listarMasteres($this->session->userdata('auth_uid'),$this->anoacademico,$this->convocatoria);		
					$numMasteres=count($data['listaMasteres']);
					
					if($numMasteres > 0){  //coordinador con al menos un master
						$breadcrumb = array(
							lang('coor_inicio') => site_url('coordinador/index'),
							lang('coor_listaMaster') => site_url('coordinador/selectMaster'),	
							lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones/'.$plan),	
							lang('coor_listaEspera') =>  ""
							
						);				
					}
					
				}	
				$databreadcrumb['breadcrumb'] = $breadcrumb;
									
				
				$datacabecera['titulo']=  lang('coor_listaEspera')." ".lang('coor_master')." ".$plan;
				if ($this->gestormode) {
					$this->load->view('header_gestor_view',$datacabecera);
				}
				else {
					$this->load->view('header_coordinador_view',$datacabecera);
				}
				$datamensaje['mensaje']= lang('coor_listaEsperaOk');
				$datamensaje['siguiente']= site_url('coordinador/listarPreinscripciones/'.$plan);
				$datamensaje['error']= "N";
				$this->load->view('breadcrumb_view',$databreadcrumb);			  
				$this->load->view('mensaje_view.php',$datamensaje);
				$this->load->view('footer_view.php');
		    }	
		}
		else {
		    $this->session->sess_destroy();
			
				$this->load->view('logout_view');
		}
	}

	
	
	/**
	 * Finaliza el proceso de preinscripcion para un Master
	 */
	public function finalizarPreins($plan){		
	    if ($this->session->userdata('auth_rol_nombre')!=null){ 
			
			//validacion para que si esta bloqueado no pueda acceder a gestionarlistaespera desde la url				
			$bloqueo['bloqueo']=$this->coordinador_model->getBloqueo($this->anoacademico,$this->convocatoria,$plan); 
			if ($bloqueo['bloqueo'] == 1 and $this->session->userdata('auth_rol_nombre')!=GESTOR and
				$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {				
				$this->session->sess_destroy();
			
				$this->load->view('logout_view');
			}
			else {
				log_message('debug',"entro en finalizarPreins:".$plan);		

					
				//Puedo saber el estado actual de una preinscripción			   
				if (!empty($plan)){	
				   
				
					$dataupdate = array(
							   'BLOQUEADO' => '2'
							);	
					
					$resultado=$this->plan_model->updatePlan($this->anoacademico,$this->convocatoria,$plan,$dataupdate);
					log_message('debug','Resultado de cambiar estado'.$resultado);
					
					// guardamos en historico	
					$historicodata=array(
						"Plan" => $plan,
						"bloqueado" => $dataupdate['BLOQUEADO']
					);
					
					
					$this->historico_model->insertarAccionHistorico(
					  $this->anoacademico,
					  $this->convocatoria,
					  $this->session->userdata('auth_uid'),
					  $this->session->userdata('auth_uid'),
					  CERRAR_LISTAS_COORDINADOR,
					  json_encode($historicodata));
				
				}
				
				//$this->listarPreinscripciones($plan);   con esto se queda en la pantalla de lista de preinscripcion
				$this->selectMaster();   // con esto regresa a la lista de masteres
			}	
		}
		else {
		    $this->session->sess_destroy();
			
				$this->load->view('logout_view');
		}
			
	}
	
	
	public function modificarItinerario($plan)
	{
	
	    if ($this->session->userdata('auth_rol_nombre')!=null){ 
			
			//validacion para que si esta bloqueado no pueda acceder a gestionarlistaespera desde la url				
			$bloqueo['bloqueo']=$this->coordinador_model->getBloqueo($this->anoacademico,$this->convocatoria,$plan); 
			if ($bloqueo['bloqueo'] == 1 and $this->session->userdata('auth_rol_nombre')!=GESTOR and
				$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {				
				$this->session->sess_destroy();
			
				$this->load->view('logout_view');
			}
			else {
				log_message('debug',"entro en modificarItinerario::".$plan);
				
				//obtenemos la descripcion del plan
				$dplan=$this->coordinador_model->getDescripcionPlan($plan);		
				$data['titulo'] = $plan."-".$dplan;
				$data['plan'] = $plan;
				
				//creo las migas 
				if ($this->gestormode) { //gestor
				
					$breadcrumb = array(
						lang('ges_inicio')  => site_url('gestor/index'),
						lang('ges_listaMaster') => site_url('gestor/selectMaster'),
						lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones/'.$plan),	
						lang('coor_itinerario') =>  ""
					);
											
				}
				else { //coordinador
					$data['listaMasteres']=$this->coordinador_model->listarMasteres($this->session->userdata('auth_uid'),$this->anoacademico,$this->convocatoria);		
					$numMasteres=count($data['listaMasteres']);			
					if($numMasteres > 0){  //coordinador con al menos un master
						$breadcrumb = array(
							lang('coor_inicio') => site_url('coordinador/index'),
							lang('coor_listaMaster') => site_url('coordinador/selectMaster'),	
							lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones/'.$plan),	
							lang('coor_itinerario') =>  ""
							
						);				
					}
					
				}	
				$databreadcrumb['breadcrumb'] = $breadcrumb;
			
				//compruebo que tenga alguna solicitud preadmitida o lista de Espera que son a los que les tiene que asignar nodo
				$data['listaPread']=$this->coordinador_model->listarPreadNodo($plan,$this->anoacademico,$this->convocatoria);			
				$num=count($data['listaPread']);
				if($num > 0)  // si tiene solicitudes preadmitidas para cambiar el nodo
				{			
					//obtengo la informacion del master al mostrar en pantalla
					$data['listaInfoNodo']=$this->nodos_model->listarNodo($plan,$this->anoacademico,$this->convocatoria);			
					
					$datamenu['plan'] = $plan; 
					$datacabecera['titulo']= lang('coor_master')." ".$plan;
					if ($this->gestormode) {
						$this->load->view('header_gestor_view',$datacabecera);
					}
					else {
						$this->load->view('header_coordinador_view',$datacabecera);
					}
					$this->load->view('breadcrumb_view',$databreadcrumb);					
					$this->load->view('itinerario_coordinador_view.php',$data);
					$this->load->view('footer_view.php');
					
				}
				else {   // no tiene ninguna solicitud preadmitida, se muestra mensaje de aviso
				   $datacabecera['titulo']=  lang('coor_itinerario')." ".lang('coor_master')." ".$plan;
				   if ($this->gestormode) {
						$this->load->view('header_gestor_view',$datacabecera);
				   }
				   else {
						$this->load->view('header_coordinador_view',$datacabecera);
				   }
				   $datamensaje['mensaje']= lang('coor_sinPreadmmitidos');
				   $datamensaje['siguiente']= site_url('coordinador/listarPreinscripciones/'.$plan);
				   $datamensaje['error']= "S";
				   $this->load->view('breadcrumb_view',$databreadcrumb);			  
				   $this->load->view('mensaje_view.php',$datamensaje);
				   $this->load->view('footer_view.php');
					
				}
		    }	
		}
		else {
		    $this->session->sess_destroy();
			
				$this->load->view('logout_view');
		}
	}
	
	
	public function saveItinerario($plan){		
	    if ($this->session->userdata('auth_rol_nombre')!=null){ 
			
			//validacion para que si esta bloqueado no pueda acceder a gestionarlistaespera desde la url				
			$bloqueo['bloqueo']=$this->coordinador_model->getBloqueo($this->anoacademico,$this->convocatoria,$plan); 
			if ($bloqueo['bloqueo'] == 1 and $this->session->userdata('auth_rol_nombre')!=GESTOR and
				$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {				
				$this->session->sess_destroy();
			
				$this->load->view('logout_view');
			}
			else {
			   log_message('debug',"entro en saveItinerario");			
				
			   //$str = json_decode($_POST['str'], true); 
			   $str = json_decode($this->input->post('str'), true); 
			   
			   foreach($str as $item){
					foreach ($item as $key=>$opcion){								 
					
					  if ($key == 'dni') {
						   $dni = $opcion;
					  }
					  if ($key == 'nodo') {
						   $nodo = $opcion;
					  }
					}				
					log_message('debug', ">llamoa actualiza::".$dni." con nodo ".$nodo);
					
					$data = array(
						   'NODO_OPC' => $nodo
					);
					$resultado = $this->coordinador_model->modificarDetalle($this->anoacademico,$this->convocatoria,$dni,$plan,$data);
					
					log_message('info','MODIFICADO ITINERARIO! '.$resultado);
									
					
				}	
			
				// GUARDAMOS EN EL HISTORICO 		   
				$this->historico_model->insertarAccionHistorico(
				  $this->anoacademico,
				  $this->convocatoria,
				  $this->session->userdata('auth_uid'),
				  $this->session->userdata('auth_uid'),
				  UPDATE_ITINERARIO,
				  json_encode($str));
				
				//obtenemos la descripcion del plan
				$dplan=$this->coordinador_model->getDescripcionPlan($plan);
				$databreadcrumb['tituloMaster'] = $plan."-".$dplan;
				
				//creo las migas de pan
				if ($this->gestormode) { //gestor
			
					$breadcrumb = array(
						lang('ges_inicio')  => site_url('gestor/index'),
						lang('ges_listaMaster') => site_url('gestor/selectMaster'),
						lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones/'.$plan),	
						lang('coor_itinerario') =>  ""		
					);
					
				}
				else { //coordinador
					$data['listaMasteres']=$this->coordinador_model->listarMasteres($this->session->userdata('auth_uid'),$this->anoacademico,$this->convocatoria);		
					$numMasteres=count($data['listaMasteres']);
				
					if($numMasteres > 0){  //coordinador con al menos un master
						$breadcrumb = array(
							lang('coor_inicio') => site_url('coordinador/index'),
							lang('coor_listaMaster') => site_url('coordinador/selectMaster'),	
							lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones/'.$plan),	
							lang('coor_itinerario') =>  ""							
						);
						//$databreadcrumb['breadcrumb'] = $breadcrumb;
					}
					
				}	
					
				$databreadcrumb['breadcrumb'] = $breadcrumb;				
				
				$datacabecera['titulo']=  lang('coor_itinerario')." ".lang('coor_master')." ".$plan;
				if ($this->gestormode) {
					$this->load->view('header_gestor_view',$datacabecera);
				}
				else {
					$this->load->view('header_coordinador_view',$datacabecera);
				}
				$datamensaje['mensaje']= lang('coor_itinerarioOk');
				$datamensaje['siguiente']= site_url('coordinador/modificarItinerario/'.$plan);
				$datamensaje['error']= "N";
				$this->load->view('breadcrumb_view',$databreadcrumb);			  
				$this->load->view('mensaje_view.php',$datamensaje);
				$this->load->view('footer_view.php');
            }	
		}
		else {
		    $this->session->sess_destroy();
			
				$this->load->view('logout_view');
		}
	}

	public function savePreadmitidos($plan){		
	    if ($this->session->userdata('auth_rol_nombre')!=null){ 
			
			//validacion para que si esta bloqueado no pueda acceder a gestionarlistaespera desde la url				
			$bloqueo['bloqueo']=$this->coordinador_model->getBloqueo($this->anoacademico,$this->convocatoria,$plan); 
			if ($bloqueo['bloqueo'] == 1 and $this->session->userdata('auth_rol_nombre')!=GESTOR and
				$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {				
				$this->session->sess_destroy();
			
				$this->load->view('logout_view');
			}
			else {
			   log_message('debug',"entro en savePreadmitidos");			
				
			   if (isset($_POST['str'])) {
				   //$str = json_decode($_POST['str'], true); 
				   $str = json_decode($this->input->post('str'), true); 
				   
				   
				   $pread[] = null ; 
				   foreach($str as $item){
						foreach ($item as $key=>$opcion){								 
						
						  if ($key == 'dni') {
							   $dni = $opcion;
						  }
						  if ($key == 'pread') {
							   $nodo = $opcion;
						  }
						}				
						//log_message('debug', ">llamoa actualiza::".$dni."con nodo ".$nodo);				
						
						$pread[$dni] = $nodo;				
					}			
					
					$data['listaPreins']=$this->coordinador_model->ListaSolicitudes($this->anoacademico,$this->convocatoria,$plan);			
					foreach($data['listaPreins'] as $item){
						log_message('info','preadmitdo:  '.$item->DNI_PASAPORTE.' pread original '.$item->PREADMITIDO);
						if (array_key_exists($item->DNI_PASAPORTE, $pread)) {				
						   
						   log_message('info','preadmitdo:  '.$item->DNI_PASAPORTE.' pread cambio '.$pread[$item->DNI_PASAPORTE]);
						   // si aparece dentro de los checkbox, pasa al estado que nos pasan (S o E)
							unset($datapread);
												
							
							$datapread = array(
							   'PREADMITIDO' => $pread[$item->DNI_PASAPORTE]		  				  
							);
							
										   
							$resultado=$this->coordinador_model->modificarDetalle($this->anoacademico,$this->convocatoria,$item->DNI_PASAPORTE,$plan,$datapread);
							
							//GUARDAMOS EN EL HISTORICO 	
							$historicodata=array(
									"Plan" => $plan,
									"Preadmitido" => $datapread['PREADMITIDO']
							);					
							$this->historico_model->insertarAccionHistorico(
							  $this->anoacademico,
							  $this->convocatoria,
							  $item->DNI_PASAPORTE,
							  $this->session->userdata('auth_uid'),
							  PREADMITIR_SOLICITUD,
							  json_encode($historicodata));
							
							if ($pread[$item->DNI_PASAPORTE] == 'E' and $item->PREADMITIDO != 'E') { //si el estado nuevo es E, le pongo como lista de espera el siguiente valor
							
									// calculamos el siguiente  numero de  lista de espera
									$ultimo=$this->coordinador_model-> getSiguienteListaEspera($this->anoacademico,$this->convocatoria,$plan);

									log_message('debug','SIGUIENTE LISTA ESPERA ! '.$ultimo);						   
									unset($datapread);	
									$datapread = array(
											   'ORDENLISTAESPERA' => $ultimo		  				  
									);
											
					   
									$resultado=$this->coordinador_model->modificarDetalle($this->anoacademico,$this->convocatoria,$item->DNI_PASAPORTE,$plan,$datapread);
										
									log_message('debug','MODIFICADO SIGUIENTE LISTA ESPERA ! '.$resultado);	

									//GUARDAMOS EN EL HISTORICO 							
									
									$historicodata=array(
											"Plan" => $plan,
											"OrdenListaEspera" => $datapread['ORDENLISTAESPERA'],
											"Descripcion" => 'Preadmitido=E'
									);	
									
									
									$this->historico_model->insertarAccionHistorico(
									  $this->anoacademico,
									  $this->convocatoria,
									  $item->DNI_PASAPORTE,
									  $this->session->userdata('auth_uid'),
									  UPDATE_ORDEN_LISTA_ESPERA,
									  json_encode($historicodata));							
													
							}
							if ($item->PREADMITIDO == 'E' && $pread[$item->DNI_PASAPORTE] != 'E') { //si es estado antiguo era E y pasa a S, se blanquea el ordenlistaespera
									unset($datapread);	
									$datapread = array(
											   'ORDENLISTAESPERA' => 0		  				  
									);
														   
									$resultado=$this->coordinador_model->modificarDetalle($this->anoacademico,$this->convocatoria,$item->DNI_PASAPORTE,$plan,$datapread);
										
									log_message('debug','MODIFICADO SIGUIENTE LISTA ESPERA ! '.$resultado);	
									
									//GUARDAMOS EN EL HISTORICO 
									$historicodata=array(
											"Plan" => $plan,
											"OrdenListaEspera" => $datapread['ORDENLISTAESPERA']
									);	
									
									$this->historico_model->insertarAccionHistorico(
									  $this->anoacademico,
									  $this->convocatoria,
									  $item->DNI_PASAPORTE,
									  $this->session->userdata('auth_uid'),
									  BORRAR_LISTA_ESPERA,
									  json_encode($historicodata));

								   //obtengo la lista de espera ordenada
								   $data['listaEspera']=$this->coordinador_model->listarListaEspera($plan,$this->anoacademico,$this->convocatoria);	
								   $num=count($data['listaEspera']);
								   if($num > 0){ 
									  //recorro la lista de espera PARA RECALCULAR DE NUEVO EL ORDENLISTAESPERA
									  $i = 1;
									  foreach($data['listaEspera'] as $listaespera){
									  
											log_message('debug',' LISTA ESPERAAAAAAAAA ! '.$resultado);	
											unset($dataaux);
											$dataaux= array(
													   'ORDENLISTAESPERA' => $i		  				  
											);
																		   
											$resultado=$this->coordinador_model->modificarDetalle($this->anoacademico,$this->convocatoria,$listaespera->DNI_PASAPORTE,$plan,$dataaux);
														
											//GUARDAMOS EN EL HISTORICO 									
											$historicodata=array(
													"Plan" => $plan,
													"OrdenListaEspera" => $dataaux['ORDENLISTAESPERA'],
													"Descripcion" => 'Recalculo Lista Espera'
											);
											
											
											$this->historico_model->insertarAccionHistorico(
											  $this->anoacademico,
											  $this->convocatoria,
											  $listaespera->DNI_PASAPORTE,
											  $this->session->userdata('auth_uid'),
											  UPDATE_ORDEN_LISTA_ESPERA,
											  json_encode($historicodata));
											  
											$i=$i+1;
									  }
									 
								   }		
									
							}
						}  
						else { // si no aparece dentro de los checbox, pasa a NoPreadmitido
							unset($datapread);
							$datapread = array(
							   'PREADMITIDO' => 'N'		  				  
							);
										   
							$resultado=$this->coordinador_model->modificarDetalle($this->anoacademico,$this->convocatoria,$item->DNI_PASAPORTE,$plan,$datapread);
																		 
							
							log_message('debug','MODIFICADO DATOS ACADEMICOS! '.$resultado);	
												
							//GUARDAMOS EN EL HISTORICO 									
							$historicodata=array(
									"Plan" => $plan,
									"Preadmitido" => $datapread['PREADMITIDO']
							);
												
							$this->historico_model->insertarAccionHistorico(
							  $this->anoacademico,
							  $this->convocatoria,
							  $item->DNI_PASAPORTE,
							  $this->session->userdata('auth_uid'),
							  BORRAR_PREADMITIR_SOLICITUD,
							  json_encode($historicodata));

							if	($item->PREADMITIDO	== 'E') {  //si el estado original era lista de espera, actualizar lista

								unset($datapread);
								$datapread = array(
											 'ORDENLISTAESPERA' => 0			  				  
								);
											   
								$resultado=$this->coordinador_model->modificarDetalle($this->anoacademico, $this->convocatoria,$item->DNI_PASAPORTE,$plan,$datapread);
					  
								//GUARDAMOS EN EL HISTORICO 
								$historicodata=array(
									"Plan" => $plan,
									"OrdenListaEspera" => $datapread['ORDENLISTAESPERA']
								);
								
								$this->historico_model->insertarAccionHistorico(
								  $this->anoacademico,
								  $this->convocatoria,
								  $item->DNI_PASAPORTE,
								  $this->session->userdata('auth_uid'),
								  BORRAR_LISTA_ESPERA,
								  json_encode($historicodata));
					  
							   //obtengo la lista de espera ordenada
							   $data['listaEspera']=$this->coordinador_model->listarListaEspera($plan,$this->anoacademico,$this->convocatoria);	
							   $num=count($data['listaEspera']);
							   if($num > 0){ 
								  //recorro la lista de espera PARA RECALCULAR DE NUEVO EL ORDENLISTAESPERA
								  $i = 1;
								  foreach($data['listaEspera'] as $listaespera){
										unset($dataaux);
										$dataaux= array(
												   'ORDENLISTAESPERA' => $i		  				  
										);
																	   
										$resultado=$this->coordinador_model->modificarDetalle($this->anoacademico,$this->convocatoria,$listaespera->DNI_PASAPORTE,$plan,$dataaux);
													
									  
										//GUARDAMOS EN EL HISTORICO 														
										$historicodata=array(
											"Plan" => $plan,
											"OrdenListaEspera" => $dataaux['ORDENLISTAESPERA'],
											"Descripcion" => 'Recalculo Lista Espera',
										);
										
										
										$this->historico_model->insertarAccionHistorico(
										  $this->anoacademico,
										  $this->convocatoria,
										  $listaespera->DNI_PASAPORTE,
										  $this->session->userdata('auth_uid'),
										  UPDATE_ORDEN_LISTA_ESPERA,
										  json_encode($historicodata));
										  
										$i=$i+1;
								  }
								 
							   }				
							}
						}				
					}
				}
				//obtenemos la descripcion del plan
				$dplan=$this->coordinador_model->getDescripcionPlan($plan);
				$databreadcrumb['tituloMaster'] = $plan."-".$dplan;
				
				//creo las migas 
				if ($this->gestormode) { //gestor
			
					$breadcrumb = array(
						lang('ges_inicio')  => site_url('gestor/index'),
						lang('ges_listaMaster') => site_url('gestor/selectMaster'),
						lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones/'.$plan)
					);				
				}
				else {
					$data['listaMasteres']=$this->coordinador_model->listarMasteres($this->session->userdata('auth_uid'),$this->anoacademico,$this->convocatoria);		
					$numMasteres=count($data['listaMasteres']);
					
					if($numMasteres > 0){  //coordinador con al menos un master
						$breadcrumb = array(
							lang('coor_inicio') => site_url('coordinador/index'),
							lang('coor_listaMaster') => site_url('coordinador/selectMaster'),	
							lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones/'.$plan)
						);
					}
					
				}	
									
				$databreadcrumb['breadcrumb'] = $breadcrumb;
				
				$datacabecera['titulo']= lang('coor_master')." ".$plan;
				if ($this->gestormode) {
					$this->load->view('header_gestor_view',$datacabecera);
				}
				else {
					$this->load->view('header_coordinador_view',$datacabecera);
				}
				$datamensaje['mensaje']= lang('coor_estadoOk');
				$datamensaje['siguiente']= site_url('coordinador/listarPreinscripciones/'.$plan);
				$datamensaje['error']= "N";
				$this->load->view('breadcrumb_view',$databreadcrumb);			  
				$this->load->view('mensaje_view.php',$datamensaje);
				$this->load->view('footer_view.php');
			}	
		
		}
		else {
		    $this->session->sess_destroy();
			
				$this->load->view('logout_view');
		}	
	}
	
	
	  function getDocumentacion($dni,$plan)
    {
	   log_message('debug',"----------------------entro en getdocumentacion:".$dni);
	   
	   $data['uploaddocumentlist']=$this->upload_model->listDocumentosBySolicitud($this->anoacademico,$this->convocatoria,$dni);				
	   $numdoc = count($data['uploaddocumentlist']);
			
		?>			       
			 <table cellpadding="5" cellspacing="0" border="0" style="padding-left:50px;"> 
			    <?php if ($numdoc > 0) {?>			       
					
					<div id="content" class="cell2">
					   <div class="myrow">
							<div class="cell1"></div>
							<div class="cell1">	</div>
							<div class="cell2"><strong><?=lang('upload_tipo_label')?></strong></div>
							<div class="cell2"><strong><?=lang('upload_table_nombre')?></strong></div>
							<div class="cell2"><strong><?=lang('upload_table_fechagrabacion')?></strong></div>
						</div>	
					  <?php foreach ($data['uploaddocumentlist'] as $doc) {?>
						<div class="myrow">
							<div class="cell1"><a class="btn" href="<?php echo site_url('solicitanteupload/viewer')."/".$doc->ANO_ACADEMICO."/".$doc->CONVOCATORIA."/".$doc->DNI_PASAPORTE."/".$doc->NOMBRE_DOCUMENTO ?>" role="button" id ="tooltip2" rel="tooltip" title="<?=lang('upload_ver')?>"><span class="glyphicon glyphicon-file"></span></a>		</div>
							<div class="cell1"><a class="btn" href="<?php echo site_url('solicitanteupload/downloader')."/".$doc->ANO_ACADEMICO."/".$doc->CONVOCATORIA."/".$doc->DNI_PASAPORTE."/".$doc->NOMBRE_DOCUMENTO ?>" role="button" id ="tooltip3" rel="tooltip" title="<?=lang('upload_descarga')?>"><span class="glyphicon glyphicon-floppy-save"></span></a>	</div>
							<div class="cell2"><?=$doc->NOMBRE_TIPO?></div>
							<div class="cell2"><?=wordwrap($doc->NOMBRE_ORIGINAL, 20, "\n", true)?></div>
							<div class="cell2"><?= $doc->FECHA_GRABACION?></div>
						</div>	
						<?php }?>
						
					</div>					
					
				<?php } else {?>	
				  
				      <div align="center">**** SIN DOCUMENTACIÓN ****</div>
				   
				<?php }?>
                </table>
		<?php
		
	   log_message('debug',"----------------------salgo en getdocumentacion");
	}
	
	
	public function planlockunlock(){
		$this->load->helper('html'); //lo utilizo para introducir espacios
		$plan=$this->input->post('plan');
		$estadoactual=$this->input->post('estadoactual');
					
			
		if (!empty($plan)){
			log_message('debug','plan::'.$plan.'_Estado::'.$estadoactual);
			if ($estadoactual=='0'){ //esta desbloqueado
				//Bloquear con 1
				$dataupdate = array(
					   'BLOQUEADO' => '2'
					);
			} else{ //esta finalizado
			   //Desbloquear con 0
				$dataupdate = array(
					   'BLOQUEADO' => '0'
					);			
			}
		
			$resultado=$this->plan_model->updatePlan($this->anoacademico,$this->convocatoria,$plan,$dataupdate);
			log_message('debug','Resultado de cambiar estado'.$resultado);
			
			// GUARDAMOS EN HISTORICO			
			$historicodata=array(
				"Plan" => $plan,
				"bloqueado" => $dataupdate['BLOQUEADO']
			);
			if ($dataupdate['BLOQUEADO']=="2"){				
				$this->historico_model->insertarAccionHistorico(
				  $this->anoacademico,
				  $this->convocatoria,
				  $this->session->userdata('auth_uid'),
				  $this->session->userdata('auth_uid'),
				  CERRAR_LISTAS_COORDINADOR,
				  json_encode($historicodata));
			}else{
			     $this->historico_model->insertarAccionHistorico(
				  $this->anoacademico,
				  $this->convocatoria,
				  $this->session->userdata('auth_uid'),
				  $this->session->userdata('auth_uid'),
				  DESBLOQUEAR_ESPECIALIDAD,
				  json_encode($historicodata));				
			}
		
		}
		
		
		//creo las migas 
		$breadcrumb = array(
			lang('coor_inicio') => site_url('coordinador/index'),
			lang('coor_listaMaster') => ""		
			
		);
        $databreadcrumb['breadcrumb'] = $breadcrumb;
		
		//obtengo lista de master asociados al coordinador
		$data['listaMasteres']=$this->coordinador_model->listarMasteres($this->session->userdata('auth_uid'),$this->anoacademico,$this->convocatoria);	
		
		$datacabecera['titulo']= lang('coor_listaMaster');
		$this->load->view('header_coordinador_view',$datacabecera);
		$this->load->view('breadcrumb_view',$databreadcrumb);				
		$this->load->view('listamasteres_coordinador_view.php',$data);
		$this->load->view('footer_view.php');
			
	}
	
	public function tutorial(){
		//log_message("debug","--- downloader ---");
		
		$tutorial_base_dir=$this->config->item('tutorial_base_dir');
		$viewer_path="$tutorial_base_dir";
		
		$data['viewer_path']=$viewer_path;
		if ($this->session->userdata('idioma') == 'english') {
		    $data['filename']='manual_coordinador_en.pdf';
		}
        else {
		    $data['filename']='manual_coordinador_es.pdf';
        }
		
		
		$this->load->view('upload/downloader', $data);		
	}
       
	   
	public function mail($destinatario, $plan){		
		//creo las migas de pan
		if ($this->gestormode) {	//gestor	
		    $breadcrumb = array(
				lang('ges_inicio')  => site_url('gestor/index'),
				lang('ges_listaMaster') => site_url('gestor/selectMaster'),
				lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones').'/'.$plan ,
				lang('coor_enviarMail') => ""
			);		
			
			 $coordinador=new personaCoordinador();			
			 $coordinador->EMAIL=$this->config->item('contact_mail'); //posgradooficial@uva.es
			 $coordinador->NOMBRE= 'Seccion Posgrado';
			 $coordinador->APELLIDO1='Universidad';
			 $coordinador->APELLIDO2='de Valladolid';			 
				
			 $data['mailCC'] = $coordinador;
			
		}else{ //coordinador
		    $data['listaMasteres']=$this->coordinador_model->listarMasteres($this->session->userdata('auth_uid'),$this->anoacademico,$this->convocatoria);		
			$numMasteres=count($data['listaMasteres']);	
			
			if($numMasteres > 0){  //coordinador con al menos un master
				$breadcrumb = array(
					lang('coor_inicio') => site_url('coordinador/index'),
					lang('coor_listaMaster') => site_url('coordinador/selectMaster'),	
					lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones').'/'.$plan ,
					lang('coor_enviarMail') => ""
				);
			}
				
            
            //buscamos el mail del coordinador, para mandar una copia		
            $data['mailCC'] =$this->coordinador_model->getDatosCoordinadorPlan($this->anoacademico,$this->convocatoria,$this->session->userdata('auth_uid'),$plan);			
		    		
		}
		$databreadcrumb['breadcrumb'] = $breadcrumb;	

		//buscamos el mail del solicitante, que sera el mailDestino
        $data['mailDestino'] =$this->datospersonales_model->getdatosSolicitante($this->anoacademico,$this->convocatoria,$destinatario);	
		//log_message("debug","--- mail destino ---".$data['mailDestino']);
				
		
		$data['plan']=$plan;
		$datacabecera['titulo']= lang('coor_enviarMail');
		if ($this->gestormode) {
		    $this->load->view('header_gestor_view',$datacabecera);
			
		}
		else {
		    $this->load->view('header_coordinador_view',$datacabecera);
		}
		$this->load->view('breadcrumb_view',$databreadcrumb);
       // si el mail del solicitante o el del coordinador es nulo, enviamos a pantalla de error
		if ($data['mailDestino']->CORREO_ELEC_2 == false or $data['mailCC']->EMAIL== false){
		    $datamensaje['mensaje']= lang('coor_mailDireccionError');
		    $datamensaje['siguiente']= site_url('coordinador/listarPreinscripciones/'.$plan);
		    $datamensaje['error']= "S";		    		  
	        $this->load->view('mensaje_view.php',$datamensaje);
		}
        else {
		    $this->load->view('mailCoordinador_view.php',$data);	
		}	
		$this->load->view('footer_view.php');
	
	}   
	
	
	public function enviarMail($plan){		
	    
	    //creo las migas 
		if ($this->gestormode) {	//gestor	
		    $breadcrumb = array(
				lang('ges_inicio')  => site_url('gestor/index'),
				lang('ges_listaMaster') => site_url('gestor/selectMaster'),				
				lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones/'.$plan),
				lang('coor_enviarMail') => ""
			);
		
		}else{ //coordinador
		    $data['listaMasteres']=$this->coordinador_model->listarMasteres($this->session->userdata('auth_uid'),$this->anoacademico,$this->convocatoria);		
			$numMasteres=count($data['listaMasteres']);	
			
			if($numMasteres > 0){  //coordinador con al menos un master
				$breadcrumb = array(
					lang('coor_inicio') => site_url('coordinador/index'),
					lang('coor_listaMaster') => site_url('coordinador/selectMaster'),	
					lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones').'/'.$plan ,
					lang('coor_enviarMail') => ""
				);
			}				
		}
		$databreadcrumb['breadcrumb'] = $breadcrumb;	
	
		$this->load->library('email');		
		$this->email->from($this->config->item('contact_soporte_mail'),'Preinscripciones Master');		
		 
		if (isset($_POST['nombre'])) {
	
			/*$name = strip_tags($_POST['nombre']);
			$email = strip_tags($_POST['mail']);
			$message = strip_tags($_POST['motivo']);	
            $nameEmisor = strip_tags($_POST['nombreEmisor']);
			$emailEmisor = strip_tags($_POST['mailEmisor']);	*/

            $name = strip_tags($this->input->post('nombre'));
			$email = strip_tags($this->input->post('mail'));
			$message = strip_tags($this->input->post('motivo'));	
            $nameEmisor = strip_tags($this->input->post('nombreEmisor'));
			$emailEmisor = strip_tags($this->input->post('mailEmisor'));						
		 
			//generate email and send!			
			$this->email->to($email); 
			$this->email->reply_to($emailEmisor, $emailEmisor);
			$this->email->cc($emailEmisor);
						
			$email_subject = lang('soli_contacto').": $nameEmisor \n";
			$email_body = lang('soli_nuevoCorreo') .
			lang('soli_detalles')." :\n ".lang('soli_nombre').": $nameEmisor \n ".
			lang('soli_email').": $emailEmisor\n ".lang('soli_mensaje')." \n $message";	
			
			$this->email->subject($email_subject);
			$this->email->message($email_body);	
				
			$datacabecera['titulo']= lang('coor_enviarMail');
			if ($this->gestormode) {
				$this->load->view('header_gestor_view',$datacabecera);
			}
			else {
				$this->load->view('header_coordinador_view',$datacabecera);
			}
			$this->load->view('breadcrumb_view',$databreadcrumb);
			
			log_message("debug","--- antes mail ---");
			if ( ! $this->email->send()) {
					log_message("debug","--- error mail ---");
					$datamensaje['mensaje']= lang('coor_mailError');
					$datamensaje['siguiente']= site_url('coordinador/listarPreinscripciones/'.$plan);
					$datamensaje['error']= "S";		    		  
					$this->load->view('mensaje_view.php',$datamensaje);
					$this->load->view('footer_view.php');					
			}else{
			      $datamensaje['mensaje']= lang('coor_mailOk');
				  $datamensaje['siguiente']= site_url('coordinador/listarPreinscripciones/'.$plan);
				  $datamensaje['error']= "N";		    		  
				  $this->load->view('mensaje_view.php',$datamensaje);
				  $this->load->view('footer_view.php');
								
			}			

		}
	}
	   
	public function contacto(){		
		
        //buscamos el mail del coordinador, para mandar una copia		
        $data['mailCoordinador'] =$this->coordinador_model->getDatosCoordinador($this->anoacademico,$this->convocatoria,$this->session->userdata('auth_uid'));			
		    		
		$datacabecera['titulo']= lang('coor_enviarMail');
		$this->load->view('header_coordinador_view',$datacabecera);
		
       // si el mail del coordinador es nulo, enviamos a pantalla de error
		if ($data['mailCoordinador']->EMAIL== false){
		    $datamensaje['mensaje']= lang('coor_mailCoordinadorError');
		    $datamensaje['siguiente']= site_url('coordinador/index');
		    $datamensaje['error']= "S";		    		  
	        $this->load->view('mensaje_view.php',$datamensaje);
		}
        else {
		    $this->load->view('contacto_coordinador_view.php',$data);	
		}	
		$this->load->view('footer_view.php');
	
	} 
	
	public function enviarContacto(){		
	
	    log_message('debug',"entro en enviarContacto");
		$this->load->library('email');

		$this->email->from($this->config->item('contact_soporte_mail'),'Preinscripciones Master');		
		$this->email->to($this->config->item('contact_mail')); 
		
		if (isset($_POST['nombre'])) {
			/*$name = strip_tags($_POST['nombre']);
			$email = strip_tags($_POST['mail']);
			$message = strip_tags($_POST['motivo']);*/
			
			$name = strip_tags($this->input->post('nombre'));
			$email = strip_tags($this->input->post('mail'));
			$message = strip_tags($this->input->post('motivo'));
				
           			
			$this->email->reply_to($email, $email);
			
			$email_subject = lang('soli_contacto').": $name \n";
			$email_body = lang('soli_nuevoCorreo') .
			lang('soli_detalles')." :\n ".lang('soli_nombre').": $name \n ".
			lang('soli_email').": $email\n ".lang('soli_mensaje')." \n $message";				
			
			$this->email->subject($email_subject);
			$this->email->message($email_body);	
			
			log_message('debug',"antes de mandar mail");
			
			if ( ! $this->email->send())
			{
			     log_message('debug',"mail error");
				// Generate error
				log_message("debug","--- mail error");
				$data['titulo']= lang('soli_contacto');
				$this->load->view('header_coordinador_view',$data);
				$datamensaje['mensaje']= lang('coor_mailError');
				$datamensaje['siguiente']= site_url('coordinador/index');
				$datamensaje['error']= "S";
				$this->load->view('mensaje_view.php',$datamensaje);
				$this->load->view('footer_view.php');

			}else{
				log_message("debug","--- mail send");
				$data['titulo']= lang('soli_contacto');
				$this->load->view('header_coordinador_view',$data);				
				$datamensaje['mensaje']= lang('coor_mailOk');
				$datamensaje['siguiente']= site_url('coordinador/index');
				$this->load->view('mensaje_view.php',$datamensaje);
				$this->load->view('footer_view.php');			
			}

		}

	}
	   
}//End class

