﻿<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
define('INSERT_EXCLUIDO',8);
define('DELETE_EXCLUIDO',9);
define('BLOQUEAR_SOLICITANTE',10);
define('DESBLOQUEAR_SOLICITANTE',11);
define('ACTUALIZAR_DOC_PRESENTADA',12);
define('ACTUALIZAR_EQUIVALENCIA',13);
define('BLOQUEAR_MASTER',14);
define('DESBLOQUEAR_MASTER',15);
define('CERRAR_LISTAS_COORDINADOR',16);
define('ADMINISTRADOR', "Administrador");
define('GESTOR', "Gestor");



class Gestor extends CI_Controller {
		
    var $anoacademico=false;
	var $convocatoria=false;
	
	public function __construct()
	{
		parent::__construct();
				
		if ($this->session->userdata('auth_rol_nombre')!=null){		
				
			if ($this->uri->segment(2)=="idioma"){
					$user=array('idioma'=>$this->uri->segment(3));
					$this->session->set_userdata($user);
			} 
			
			$this->anoacademico= $this->config->item('anoacademico');
			$this->convocatoria= $this->config->item('convocatoria'); 	
			//si está puesto en session entonces pongo los de session
			if ($this->session->userdata('anoacademico')!=null){
				log_message('debug',"puesto el anoacademico:".$this->session->userdata('anoacademico'));
				$this->anoacademico=$this->session->userdata('anoacademico');
			}
			
			if ($this->session->userdata('convocatoria')!=null){
				log_message('debug',"puesta la convocatoria:".$this->session->userdata('convocatoria'));
				$this->convocatoria=$this->session->userdata('convocatoria');
			}
			
			$this->load->model('gestor_model');
			$this->load->model('plan_model');
			$this->load->model('listados_model');
			$this->load->model('docpresentada_model');
			$this->load->model('datosacademicos_model');
			$this->load->model('datospersonales_model');
			$this->load->library('form_validation');
			$this->load->model('historico_model');
			$this->load->model('progreso_solicitud_model');
			$this->load->model('motivosexclusion_model');
			
			
			
			$this->load->model('administrador_model');
			$this->load->helper('validation');
			
			//pruebas
			/*$this->output->enable_profiler(TRUE);
			$sections = array(
				'config'  => TRUE,
				'queries' => TRUE
			);*/
			//pruebas
					
			//la borro cuando me manejo en este controlador para que no esté activada este uid solo le utilizo al suplantar a un solicitante como gestor
			$this->session->unset_userdata('uid');
			$this->session->unset_userdata('gestor_plan');
			
			//Si intento entrar a este controlador y no soy Gestor o administrador destruyo la session
			if ($this->session->userdata('auth_rol_nombre')!=GESTOR and
					$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {
					$this->session->sess_destroy();	
			}
		}	
		
	}
	

	public function index()
	{
		
      
		$data['titulo']= lang('soli_inicio');
	    $this->load->view('header_gestor_view',$data);
		$this->load->view('landing_gestor_view.php');
		$this->load->view('footer_view.php');
	}
	
	/**
	* cambiar idioma 
	*/
	public function idioma($lang){
		
		$this->index();
	}
	
	public function solicitudes($datadetail=null){
		log_message('debug',"entro en solicitudes");
		
		
		//creo las migas 		
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_listSolicitudes') =>  ""
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		
		$preinscripciones=$this->gestor_model->listPreinscripciones($this->anoacademico,$this->convocatoria);
		
		//Prueba para rellenar preinscripciones...
		foreach ($preinscripciones as $item){
			$progreso_solicitud=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$item->DNI_PASAPORTE,5);	
			 
			$personales = '-'; 
			if ($progreso_solicitud->button_datos_personales == 3) {$personales = 'P';}
			$academicos = '-'; 
			if ($progreso_solicitud->button_datos_academicos == 3) {$academicos = 'A';}
			$opciones = '-'; 
			if ($progreso_solicitud->button_opciones == 3) {$opciones = 'O';}
			$documentacion = '-'; 
			if ($progreso_solicitud->button_upload == 3) {$documentacion = 'D';}
			
			$cadena="$personales$academicos$opciones$documentacion";			
			$item->PROGRESO=$cadena;
			//PAOD
		}
		
		//obtengo motivos exclusion
		$data['listaMotivos']=$this->motivosexclusion_model->getMotivosExclusion($this->anoacademico,$this->convocatoria);			
		
		$data['preinscripcioneslist']=$preinscripciones;
		$data['anoacademico'] = $this->anoacademico;
		$data['convocatoria'] = $this->convocatoria;
		$datacabecera['titulo']= lang('ges_listSolicitudes');
	    $this->load->view('header_gestor_view',$datacabecera);
		$this->load->view('breadcrumb_view.php',$databreadcrumb);	
		$this->load->view('preinscripciones_list_view.php',$data);
		$this->load->view('preinscripciones_list_detail_view.php',$datadetail);
		$this->load->view('footer_view.php');
			
	}
	
	function motivoexclusion_check($str) {
		if ($str == "0") {
			$this->form_validation->set_message('motivoexclusion_check', lang('error_motivoObligatorio'));
			return FALSE;
		} else {
			return TRUE;
		}
	}

	
	/**
	* 
	*/
	function docpresentada_op(){
		$this->form_validation->set_error_delimiters('<div class="alert alert-danger">', '</div>');
		$docs_selected=$this->input->post('docs_selected');
		
		$usuarioelegido=$this->input->post('usuarioelegido');
		
		$observaciones=$this->input->post('observaciones');
		
		$this->form_validation->set_rules('docs_selected[]', 'lang:ges_docs', "integer");
		
		
		if ($this->form_validation->run() == FALSE )
		{
			log_message('debug','No pasa la validación');
		}else{
			$this->docpresentada_model->deleteDocPresentada($this->anoacademico,$this->convocatoria,$usuarioelegido);
			for($i=0; $i < count($docs_selected); $i++){
				log_message('debug','Selected:'. $docs_selected[$i]."__".$usuarioelegido);
								
				if  ($docs_selected[$i] != '' || $docs_selected[$i] != null) {
				  $this->docpresentada_model->insertDocPresentada($this->anoacademico,$this->convocatoria,$docs_selected[$i],$usuarioelegido);
				}  
			}
			if ($docs_selected != FALSE) {
			  //GUARDO EN HISTORICO
			  $this->historico_model->insertarAccionHistorico(
				  $this->anoacademico,
				  $this->convocatoria,
				  $usuarioelegido,
				  $this->session->userdata('auth_uid'),
				  ACTUALIZAR_DOC_PRESENTADA,
				  json_encode($docs_selected));
			}	  
			
			//guardo las observaciones
			$dataobs = array(
					   'OBSERVACIONES' => $observaciones
					   					  
				    );
					
			$resultado=$this->datosacademicos_model->modificarDatosAcademicos($this->anoacademico,
  					                   $this->convocatoria, $usuarioelegido,$dataobs);			
			
			$data["msg_ok"]=lang('ges_modificadaDocumentacion').$usuarioelegido;
			
		}
		
		$this->ver_operaciones($this->anoacademico,$this->convocatoria,$usuarioelegido,$data);
	}
		
	
	/**
	* 
	*/
	function estado_equivalencia_op(){
		$this->form_validation->set_error_delimiters('<div class="alert alert-danger">', '</div>');
		$estado=$this->input->post('estadoequivalencia');
		$usuarioelegido=$this->input->post('usuarioelegido');
		
			
		$this->form_validation->set_rules('estadoequivalencia', 'lang:ges_equivalencia', "integer");
			
		$data=Array();	
		if ($this->form_validation->run() == FALSE )
		{
			log_message('debug','No pasa la validación de estado de equivalencia con valor:'.$estado);
		}else{
		
			$data = array(
					   'ESTADO_SOLICITUD' => $estado			   
			);
					
			$resultado=$this->datosacademicos_model->modificarDatosAcademicos($this->anoacademico,$this->convocatoria, $usuarioelegido,$data);
        	log_message('info','MODIFICADO DATOS ACADEMICOS- Estado equivalencia '.$resultado);
			//La equivalencia se inserta en el modelo de la cabecera de solicitud
			
			//GUARDO EN HISTORICO
			$this->historico_model->insertarAccionHistorico(
				  $this->anoacademico,
				  $this->convocatoria,
				  $usuarioelegido,
				  $this->session->userdata('auth_uid'),
				  ACTUALIZAR_EQUIVALENCIA,
				  json_encode($data));
						
			$data["msg_ok"]=lang('ges_modificadaEquivalencia').$usuarioelegido;
			
		}
		
		$this->ver_operaciones($this->anoacademico,$this->convocatoria,$usuarioelegido,$data);
	}
	
	function ver_operaciones($anoacademico,$convocatoria,$dni_pasaporte,$dataextra=null){
		$data["usuarioelegido"]=$dni_pasaporte;
		$data["motivos_exclusion"]=$this->gestor_model->listMotivosExclusion($anoacademico,$convocatoria);
		$data["docs_requeridas"]=$this->docpresentada_model->listDocsRequeridas($anoacademico,$convocatoria);
		$data["estadoequivalencia"]=$this->datosacademicos_model->getEstadoEquivalencia($anoacademico,$convocatoria,$dni_pasaporte);			
        $data["observaciones"]=	$this->datosacademicos_model->getObservaciones($anoacademico,$convocatoria,$dni_pasaporte);		
				
		//  compruebo si es extranjero para mostrar o no la parte de documentacion y de equivalencia		
		$isExtranjero=$this->datosacademicos_model->isExtranjero($anoacademico,$convocatoria,$dni_pasaporte);	
        if ($isExtranjero!=false){	
		  log_message('debug','El usuario'.$dni_pasaporte.' es extranjero!!!!!!!!!');
		  $data['isExtranjero']=$isExtranjero;			
		}
		
		//Cargar datos...
		$isExcluido=$this->gestor_model->isExcluido($anoacademico,$convocatoria,$dni_pasaporte);
		if ($isExcluido!=false){
			log_message('debug','El usuario'.$dni_pasaporte.' está excluido!!!!!!!!!');
			$data['isExcluido']=$isExcluido;
			
		}
		
		$docs_presentadas_list=$this->docpresentada_model->selectDocPresentadaSolicitud($anoacademico,$convocatoria,$dni_pasaporte);
		
		//Recorro el array y meto solo un array con los valores a true
		$i=0;
		$docs_array=Array();
		foreach ($docs_presentadas_list as $doc){
			$docs_array[$i]=$doc->COD_ID;
			$i=$i+1;
		}
		$data['docs_selected']=$docs_array;
		
		
		//Cuando aplique estados de equivalencia
		$data['estados_equivalencia']=$this->gestor_model->listEstadosEquivalencia($anoacademico,$convocatoria);
		//Hay que buscar si tiene estado de equivalencia y meterlo...
		
		if (isset($dataextra)){
			$newdata=array_merge($data,$dataextra);
		}else{
			$newdata=$data;
		}
		

		if ($anoacademico ==$this->anoacademico  && $convocatoria ==$this->convocatoria) {
		    //estamos en solicitudes del año y convocatoria actual
			log_message('debug',"verOperaciones desde solicitudes");
			$this->solicitudes($newdata);		   
		}
        else {
		     // estamos en otras convocatorias
			log_message('debug',"verOperaciones desde historial");
		    $this->otrasConvocatorias($newdata);	
		}	
		
		
	}
	
	public function otrasConvocatorias($datadetail=null){
		log_message('debug',"entro en otrasConvocatorias");
		
		
		//creo las migas 	
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_otrasConvocatorias') =>  ""
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		
		$preinscripciones=$this->gestor_model->listAllPreinscripciones($this->anoacademico,$this->convocatoria);
		
		//Prueba para rellenar preinscripciones...
		foreach ($preinscripciones as $item){
			$progreso_solicitud=$this->progreso_solicitud_model->progreso($item->ANO_ACADEMICO,$item->CONVOCATORIA,$item->DNI_PASAPORTE,5);	
			 
			$personales = '-'; 
			if ($progreso_solicitud->button_datos_personales == 3) {$personales = 'P';}
			$academicos = '-'; 
			if ($progreso_solicitud->button_datos_academicos == 3) {$academicos = 'A';}
			$opciones = '-'; 
			if ($progreso_solicitud->button_opciones == 3) {$opciones = 'O';}
			$documentacion = '-'; 
			if ($progreso_solicitud->button_upload == 3) {$documentacion = 'D';}
			
			$cadena="<strong>$personales$academicos$opciones$documentacion</strong>";
			$item->PROGRESO=$cadena;
			//PAOD
		}
		
		$data['preinscripcioneslist']=$preinscripciones;
		$datacabecera['titulo']= lang('ges_otrasConvocatorias');
	    $this->load->view('header_gestor_view',$datacabecera);
		$this->load->view('breadcrumb_view.php',$databreadcrumb);	
		$this->load->view('allpreinscripciones_list_view.php',$data);
		$this->load->view('allpreinscripciones_list_detail_view.php',$datadetail);
		$this->load->view('footer_view.php');
			
	}
	
	
	
	public function historialsolicitud($anoacademico,$convocatoria,$dni_pasaporte){
		
		if ($anoacademico ==$this->anoacademico  && $convocatoria ==$this->convocatoria) {
		    //estamos en solicitudes del año y convocatoria actual
			//creo las migas 
			$breadcrumb = array(
				lang('ges_inicio') => site_url('gestor/index'),
				lang('ges_listSolicitudes') => site_url('gestor/solicitudes'),	
				lang('ges_historialSolicitud').' '.$dni_pasaporte => ''
			);		    
		}
        else {
		   // estamos en otras convocatorias
			//creo las migas 
			$breadcrumb = array(
				lang('ges_inicio') => site_url('gestor/index'),
				lang('ges_otrasConvocatorias') => site_url('gestor/otrasConvocatorias'),	
				lang('ges_historialSolicitud').' '.$dni_pasaporte => ''
			);
			
		}	
	
		
		$historico=$this->historico_model->listHistoricoSolicitanteGestor($anoacademico,$convocatoria,$dni_pasaporte);
		$data['historicolist']=$historico;
		
        $databreadcrumb['breadcrumb'] = $breadcrumb;
		$datacabecera['titulo']= lang('ges_historialSolicitud');
		$this->load->view('header_gestor_view',$datacabecera);
		$this->load->view('breadcrumb_view.php',$databreadcrumb);			
		$this->load->view('historial_solicitud_view.php', $data);	
		$this->load->view('footer_view.php');
	}
	
	public function selectMaster()
	{
		log_message('debug',"entro en selectMaster");
		$this->load->helper('html'); //lo utilizo para introducir espacios
		
		//creo las migas de pan
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),
			lang('ges_listaMaster') => ""		
			
		);
        $databreadcrumb['breadcrumb'] = $breadcrumb;		
		
		//obtengo lista de master 
		$data['listaMasteres']=$this->gestor_model->listarMasteres($this->anoacademico,$this->convocatoria);	
		
		
		//obtengo lista de numero de solicitudes en lista de espera de los masteres  
		$data['listaNumeroListaEspera']=$this->gestor_model->listarNumeroListaEsperaMasteres($this->anoacademico,$this->convocatoria);	
		
	
		//obtengo listatado de preadmitidosWeb
         $data['listaPreadmitidosWeb']=$this->gestor_model->listarNumeroSolicitudesPreadmitidasMasteres($this->anoacademico,$this->convocatoria);			

		
		$datacabecera['titulo']= lang('ges_listaMaster');
		$this->load->view('header_gestor_view',$datacabecera);
        $this->load->view('breadcrumb_view',$databreadcrumb);								
		$this->load->view('listamasteres_gestor_view.php',$data);
		$this->load->view('footer_view.php');
	
	}
	

	public function planlockunlock(){
		$this->load->helper('html'); //lo utilizo para introducir espacios
		$plan=$this->input->post('plan');
		$estadoactual=$this->input->post('estadoactual');
			
		$plan_block=$this->input->post('plan_block');
			
		if (!empty($plan)){
			log_message('debug','Plan::'.$plan.'_Estado::'.$estadoactual);
			if ($estadoactual=='0'){ // esta desbloqueado
				//Bloquear con 1
				$dataupdate = array(
					   'BLOQUEADO' => '1'
					);	
			}else if ($estadoactual=='2'){ // esta finalizado
				//Bloquear con 1
				$dataupdate = array(
					   'BLOQUEADO' => '1'
					);	
			}else{ // esta bloqueado
			    //Desbloquear con 0
				$dataupdate = array(
					   'BLOQUEADO' => '0'
					);			
			}
		
			$resultado=$this->plan_model->updatePlan($this->anoacademico,$this->convocatoria,$plan,$dataupdate);
			log_message('debug','Resultado de cambiar estado'.$resultado);
			
			// GUARDO EN HISTORICO
			$historicodata=array(
				"Plan" => $plan,
				"Bloqueado" => $dataupdate['BLOQUEADO']
			);		
			
			if ($estadoactual=='0' || $estadoactual=='2') {
			   $accion =BLOQUEAR_MASTER;
			}
			else {
			  $accion =DESBLOQUEAR_MASTER;
			}
			
			$this->historico_model->insertarAccionHistorico(
			  $this->anoacademico,
			  $this->convocatoria,
			  $this->session->userdata('auth_uid'),
			  $this->session->userdata('auth_uid'),
			  $accion,
			  json_encode($historicodata));
			
		}else{
			log_message('debug','Existe plan block');
			//desbloqueo todos y bloqueo solo los que vienen en el array
			$datareset = array(
					   'BLOQUEADO' => '0'
					);
			$resultado=$this->plan_model->updateAllPlanes($this->anoacademico,$this->convocatoria,$datareset);
			
            // GUARDO EN HISTORICO	
            			
			$this->historico_model->insertarAccionHistorico(
			  $this->anoacademico,
			  $this->convocatoria,
			  $this->session->userdata('auth_uid'),
			  $this->session->userdata('auth_uid'),
			  DESBLOQUEAR_MASTER,
			  json_encode('TODOS'));	
 			
			for($i=0; $i < count($plan_block); $i++){
			
			    if ($estadoactual=='2'){ 
					$datablock = array(
						   'BLOQUEADO' => '3'
						);
				}
                else{
				    $datablock = array(
						   'BLOQUEADO' => '1'
					);
                }				
				log_message('debug','Selected:'. $plan_block[$i]);
				$resultado=$this->plan_model->updatePlan($this->anoacademico,$this->convocatoria,$plan_block[$i],$datablock);			
				
				
			}	

            // GUARDO EN HISTORICO				
            if ($plan_block != FALSE) {
				$this->historico_model->insertarAccionHistorico(
				  $this->anoacademico,
				  $this->convocatoria,
				  $this->session->userdata('auth_uid'),
				  $this->session->userdata('auth_uid'),
				  BLOQUEAR_MASTER,
				  json_encode($plan_block));	
			}	  
				
		}
		

        $this->selectMaster();		
	}
	

	public function unplanlockunlock($plan, $estadoactual){
		$this->load->helper('html'); //lo utilizo para introducir espacios
		
		log_message('debug','Plan::'.$plan.'_Estado::'.$estadoactual);
		if ($estadoactual=='0'){ // esta desbloqueado
			//Bloquear con 1
			$dataupdate = array(
				   'BLOQUEADO' => '1'
				);	
		}else if ($estadoactual=='2'){ // esta finalizado
			//Bloquear con 1
			$dataupdate = array(
				   'BLOQUEADO' => '1'
				);	
		}else{ // esta bloqueado
			//Desbloquear con 0
			$dataupdate = array(
				   'BLOQUEADO' => '0'
				);			
		}
	
		$resultado=$this->plan_model->updatePlan($this->anoacademico,$this->convocatoria,$plan,$dataupdate);
		log_message('debug','Resultado de cambiar estado'.$resultado);
		
		// GUARDO EN HISTORICO
		//meto el plan
		$dataupdate['PLAN'] = $plan;
		
		if ($estadoactual=='0' || $estadoactual=='2') {
		   $accion =BLOQUEAR_MASTER;
		}
		else {
		  $accion =DESBLOQUEAR_MASTER;
		}
		$this->historico_model->insertarAccionHistorico(
		  $this->anoacademico,
		  $this->convocatoria,
		  $this->session->userdata('auth_uid'),
		  $this->session->userdata('auth_uid'),
		  $accion,
		  json_encode($dataupdate));

        $this->selectMaster();		
	}
	
	/**
	* Voy al formulario de buscar nuevas preinscripciones
	*/
	public function nuevaPreinscripcion(){
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),
			lang('ges_listSolicitudes') => site_url('gestor/solicitudes'),	
			lang('ges_nuevaPreinscripcion') => ''
		);
		
		//obtengo lista de tipos de documento
		$data['listaTiposDocumento']=$this->gestor_model->listarTiposDocumento();		
		
        $databreadcrumb['breadcrumb'] = $breadcrumb;
		
		$datacabecera['titulo']= lang('ges_nuevaPreinscripcion');
		$this->load->view('header_gestor_view',$datacabecera);
		$this->load->view('breadcrumb_view.php',$databreadcrumb);	
		$this->load->view('nueva_preinscripcion_form_view.php', $data);	
		$this->load->view('footer_view.php');				
	}
	
	/**
	 * Validación de los distintos tipos de documentos, se ayudará de un helper auxiliar.
	 */
	public function tipo_documento_check($str){
		$validate=true;
		
		if ($str=='0'){
			$this->form_validation->set_message('tipo_documento_check', lang('error_tipoDocumentoObligatorio'));
			$validate=false;
		}
		return $validate;
	}
	
	public function documento_check($str){
	   
		$validate=true;
		$tipo_id=$this->input->post('tipo_id');
		
		//$this->form_validation->set_message('custom_opciones_campus_check', lang('error_opciones_exceds')."(".$this->config->item('opciones_preinscripcion').")");
		if ( $tipo_id== 'NIF' or  $tipo_id== 'NIE') {
			if (validate_nif_nie($str)) {
			  log_message('debug','NIF/NIE CORRECTO');
			  $validate=true;
			}
			else {
			  log_message('debug','NIF/NIE INCORRECTO');
			  $this->form_validation->set_message('documento_check', lang('error_validarDocumento'));
			  $validate=false;
			}
		}	
		
		return $validate;
	}
	
	public function nuevaPreinscripcionValidar(){
		$tipo_id=$this->input->post('tipo_id');
		$user_id=strtoupper($this->input->post('user_id'));
		//$id_parcial=$this->input->post('id_parcial');
				
		log_message('debug','quiero introducir uno nuevo:'.$tipo_id.'__'.$user_id);
		
		
		$this->form_validation->set_error_delimiters('<div class="alert alert-danger">', '</div>');
		$this->form_validation->set_rules('tipo_id', 'lang:ges_tipoDocumento', "required|callback_tipo_documento_check");
		$this->form_validation->set_rules('user_id', 'lang:ges_documento', "required|strtoupper|callback_documento_check");
		
		
	    $existeSolicitud=false;
		$datosuva=false;
		
		$data=Array();
		
		
		if ($this->form_validation->run() == FALSE )
		{
			log_message('debug',"no paso la validacion.");
			   
		
		}else{
			
			log_message('debug',"paso la validación.");
			$existeSolicitud=$this->datospersonales_model->existeSolicitante($user_id,$this->anoacademico,$this->convocatoria);
		
			if ($existeSolicitud){
				//cargo nombre y apellidos
				log_message('debug','Esta solicitud ya existe');
				$data['solicitudgrabada']=$existeSolicitud;
			}else {
				$alumnouva=$this->datospersonales_model->alumnoUva($user_id);
				
				if ($alumnouva){
					log_message('debug','Hay datos uva para este identificador');
					$data['alumnouva']=$alumnouva;
				}else{
					log_message('debug','Esta solicitud es totalmente nueva');
					$data['tipo_id']=$tipo_id;
					$data['user_id']=$user_id;
		
				}
			}
			
		}
			
		//obtengo lista de tipos de documento
		$data['listaTiposDocumento']=$this->gestor_model->listarTiposDocumento();		
			
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),
			lang('ges_listSolicitudes') => site_url('gestor/solicitudes'),	
			lang('ges_nuevaPreinscripcion') => ''
		);
        $databreadcrumb['breadcrumb'] = $breadcrumb;
		
		
		$datacabecera['titulo']= lang('ges_nuevaPreinscripcion');
		$this->load->view('header_gestor_view',$datacabecera);		
		$this->load->view('breadcrumb_view.php',$databreadcrumb);	
		$this->load->view('header_gestor_view.php');
		$this->load->view('nueva_preinscripcion_form_view.php',$data);	
		$this->load->view('footer_view.php');				
	}
	
	
	public function save_solicitudes(){		
	
		   log_message('info',"entro en save_solicitudes usuario :".$this->session->userdata('auth_uid'));			
			
           //$strExcluir = json_decode($_POST['strExcluir'], true); 
		   $strExcluir = json_decode($this->input->post('strExcluir'), true); 
	       
		   foreach($strExcluir as $item){
			    foreach ($item as $key=>$opcion){								 
				
				  if ($key == 'dni') {
				       $dni = $opcion;
				  }
				  if ($key == 'excluido') {
				       $motivoexcluido = $opcion;
				  }
			    }				
				log_message('debug', ">llamoa actualiza::".$dni." con exclusion ".$motivoexcluido);
			
				$this->gestor_model->deleteSolicitanteExcluido($this->anoacademico,$this->convocatoria,$dni);
				//GUARDO EN HISTORICO				
				$this->historico_model->insertarAccionHistorico(
				  $this->anoacademico,
				  $this->convocatoria,
				  $dni,
				  $this->session->userdata('auth_uid'),
				  DELETE_EXCLUIDO,
				  json_encode($dni));
				
				if ($motivoexcluido != 0) {
				   $this->gestor_model->insertSolicitanteExcluido($this->anoacademico,$this->convocatoria,$dni,'',$motivoexcluido);
				   
				   //GUARDO EN HISTORICO	
					$descripcionMotivo = $this->motivosexclusion_model -> getDescripcionMotivo($this->anoacademico,$this->convocatoria,$motivoexcluido);			
					unset($datahistorico);
					$datahistorico[$dni] = $descripcionMotivo;
					$this->historico_model->insertarAccionHistorico(
					  $this->anoacademico,
					  $this->convocatoria,
					  $dni,
					  $this->session->userdata('auth_uid'),
					  INSERT_EXCLUIDO,
					  json_encode($datahistorico));
				}   
				
			}	
				
		    //$strBloquear = json_decode($_POST['strBloquear'], true); 
			$strBloquear = json_decode($this->input->post('strBloquear'), true); 
		   
		    unset($datareset);
		    $datareset = array(
				   'NIVEL_BLOQUEO' => '0'
				);
		    $resultado=$this->datosacademicos_model->modificarAllDatosAcademicos($this->anoacademico,$this->convocatoria,$datareset);
							
			// GUARDO EN HISTORICO								
			$this->historico_model->insertarAccionHistorico(
			  $this->anoacademico,
			  $this->convocatoria,
			  $this->session->userdata('auth_uid'),
			  $this->session->userdata('auth_uid'),
			  DESBLOQUEAR_SOLICITANTE,
			  json_encode('TODOS'));
	       
		   foreach($strBloquear as $item){
			    foreach ($item as $key=>$opcion){								 
				
				  if ($key == 'dni') {
				       $dni = $opcion;
				  }
				  if ($key == 'bloqueo') {
				       $bloqueo = $opcion;
				  }
			    }				
				log_message('debug', ">llamoa actualiza::".$dni." con bloqueo ".$bloqueo);
				
					
				unset($datareset);
				$datareset = array(
					   'NIVEL_BLOQUEO' => $bloqueo
				);
				$resultado=$this->datosacademicos_model->modificarDatosAcademicos($this->anoacademico,$this->convocatoria,$dni,$datareset);
				
               //GUARDO EN HISTORICO					
				unset($datahistorico);				
				$this->historico_model->insertarAccionHistorico(
				  $this->anoacademico,
				  $this->convocatoria,
				  $dni,
				  $this->session->userdata('auth_uid'),
				  BLOQUEAR_SOLICITANTE,
				  json_encode($dni));				
				
			}	
				
						
			$this->solicitudes();
				
			
	}
	
	public function tutorial(){
		//log_message("debug","--- downloader ---");
		
		$tutorial_base_dir=$this->config->item('tutorial_base_dir');
		$viewer_path="$tutorial_base_dir";
		
		$data['viewer_path']=$viewer_path;
		if ($this->session->userdata('idioma') == 'english') {
		   if ($this->session->userdata('auth_rol_nombre')==ADMINISTRADOR)  {
		     $data['filename']='manual_administrador_en.pdf';
		   }
		   else {
		     $data['filename']='manual_gestor_en.pdf';
		   }	 
		}
        else {
		   if ($this->session->userdata('auth_rol_nombre')==ADMINISTRADOR)  {
		     $data['filename']='manual_administrador_es.pdf';
		   }
		   else {
		    $data['filename']='manual_gestor_es.pdf';
		    }	
        }
		
		
		$this->load->view('upload/downloader', $data);		
	}
	
	
	
	/**
	 * Finaliza el proceso de preinscripcion para un Master
	 */
	public function finalizarPreins($plan){		
	
			log_message('debug',"entro en finalizarPreins:".$plan);		
			
				
			//Puedo saber el estado actual de una preinscripción			   
			if (!empty($plan)){	
               
			
			    $dataupdate = array(
						   'BLOQUEADO' => '2'
						);	
				
				$resultado=$this->plan_model->updatePlan($this->anoacademico,$this->convocatoria,$plan,$dataupdate);
			    log_message('debug','Resultado de cambiar estado'.$resultado);
				
				// guardamos en historico	
				$historicodata=array(
					"Plan" => $plan,
					"bloqueado" => $dataupdate['BLOQUEADO']
				);
				
				
			    $this->historico_model->insertarAccionHistorico(
			      $this->anoacademico,
				  $this->convocatoria,
				  $this->session->userdata('auth_uid'),
				  $this->session->userdata('auth_uid'),
				  CERRAR_LISTAS_COORDINADOR,
				  json_encode($historicodata));
			
			}
						
			$this->selectMaster();   // con esto regresa a la lista de masteres
			
			
	}
	
	
}//End class

