﻿<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

define('DESPUBLICAR_LISTADOS_ADMITIDOS',0);
define('PUBLICAR_LISTADOS_ADMITIDOS',1);
define('ADMINISTRADOR', "Administrador");
define('GESTOR', "Gestor");

class GestorProcesos extends CI_Controller {
		
    var $anoacademico=false;
	var $convocatoria=false;
	
	public function __construct()
	{
		parent::__construct();
		$this->load->model('gestor_model');		
		$this->load->model('curso_convocatoria_model');	
	
	    if ($this->session->userdata('auth_rol_nombre')!=null){	
			$this->anoacademico= $this->config->item('anoacademico');
			$this->convocatoria= $this->config->item('convocatoria'); 
			
			//si está puesto en session entonces pongo los de session
			if ($this->session->userdata('anoacademico')!=null){
				log_message('debug',"puesto el anoacademico:".$this->session->userdata('anoacademico'));
				$this->anoacademico=$this->session->userdata('anoacademico');
			}
			
			if ($this->session->userdata('convocatoria')!=null){
				log_message('debug',"puesta la convocatoria:".$this->session->userdata('convocatoria'));
				$this->convocatoria=$this->session->userdata('convocatoria');
			}
			
			//Si intento entrar a este controlador y no soy Gestor o administrador destruyo la session
			if ($this->session->userdata('auth_rol_nombre')!=GESTOR and
					$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {
					$this->session->sess_destroy();	
			}
		}	
		
	}
	

	public function index()
	{
		
      
		$data['titulo']= lang('soli_inicio');
	    $this->load->view('header_gestor_view',$data);
		$this->load->view('landing_gestor_view.php');
		$this->load->view('footer_view.php');
	}
	
	public function procesos()
	{
		log_message('debug',"entro en procesos");
		
		
		//obtenemos la descripcion del plan				
		$data['titulo'] = lang('ges_procesosAdministracion');
		
		//creo las migas 	
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_procesos') =>  ""
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		$data['selected']="administracion";
		
		$datacabecera['titulo']= lang('ges_procesos');
	    $this->load->view('header_gestor_view',$datacabecera);
		$this->load->view('breadcrumb_view',$databreadcrumb);
		$this->load->view('procesos_gestor_view.php',$data);
		$this->load->view('footer_view.php');
	
	}  
	
	
	public function ExcluirSolicitudes()
	{
		log_message('debug',"entro en ExcluirSolicitudes");
		
		
		//obtenemos la descripcion del plan			
		$data['titulo'] = lang('ges_procesoExclusion');
		
		//creo las migas 	
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_procesos') =>  site_url('gestorProcesos/procesos'),	
            lang('ges_procesoExclusion') =>  ""		
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		
		//obtengo lista de solicitudes sin documentacion
		$data['listaSolicitudes']=$this->gestor_model->listarSoliSinDocumentacion($this->anoacademico,$this->convocatoria);			
		$numSolicitudes=count($data['listaSolicitudes']);
		
		if ($numSolicitudes == 0) {
		   $datacabecera['titulo']=  lang('ges_procesoExclusion');
	       $this->load->view('header_gestor_view',$datacabecera);
		   $this->load->view('breadcrumb_view',$databreadcrumb);
		   $datamensaje['mensaje']= lang('ges_sinSolicitudesSinDocumentacion');
		   $datamensaje['siguiente']= site_url('gestorProcesos/procesos');
		   $datamensaje['error']= "S";				 
	       $this->load->view('mensaje_view.php',$datamensaje);
  		   $this->load->view('footer_view.php');
		}
		else {
			$datacabecera['titulo']= lang('ges_procesoExclusion');
			$this->load->view('header_gestor_view',$datacabecera);
			$this->load->view('breadcrumb_view',$databreadcrumb);
			$this->load->view('proceso_excluir_soli_view.php',$data);
			$this->load->view('footer_view.php');
		}	
	
	}
	
	
	public function doExcluirSolicitudes()
	{
		log_message('debug',"entro en doExcluirSolicitudes");
		
		
		//obtenemos la descripcion del plan		
		$databreadcrumb['tituloMaster'] = lang('ges_procesoExclusion');
		
		//creo las migas 
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_procesos') =>  site_url('gestorProcesos/procesos'),	
            lang('ges_procesoExclusion') =>  ""		
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		
		//obtengo lista de solicitudes sin documentacion
		$data['listaSolicitudes']=$this->gestor_model->listarSoliSinDocumentacion($this->anoacademico,$this->convocatoria);	
  
        $motivo =  $this->gestor_model->getCodExclusion($this->anoacademico,$this->convocatoria, 'No documentacion');	 
			
		foreach ($data['listaSolicitudes'] as $soli) {	
		
		           $data = array(
					   'ANO_ACADEMICO' => $this->anoacademico,
					   'CONVOCATORIA' =>  $this->convocatoria,
					   'DNI_PASAPORTE' => $soli->DNI_PASAPORTE,
					   'OBSERVACIONES' => $this->config->item('proceso_excluidos_observacion'),
                       'COD_EXCLUSION' => $motivo						
				    );
										
			
		            $resultado=$this->gestor_model->insertarExcluido($data);
		            log_message('info','INSERTADO EXCLUIDO! '.$resultado);
				    
					
		}
		
		
	    $datacabecera['titulo']=  lang('ges_procesoExclusion');
	    $this->load->view('header_gestor_view',$datacabecera);
	    $this->load->view('breadcrumb_view',$databreadcrumb);
	    $datamensaje['mensaje']= lang('ges_ExclusionSinDocumentacionOk');
	    $datamensaje['siguiente']= site_url('gestorProcesos/procesos');
	    $datamensaje['error']= "N";				 
	    $this->load->view('mensaje_view.php',$datamensaje);
	    $this->load->view('footer_view.php');
	
	}
	
	
	
	/**
	*  Ir a los procesos back que pueden afectar a varias muchas preinscripciones
	*/
	public function informes(){

		$data['titulo'] = lang('ges_procesosInformes');
		
		//creo las migas 
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_procesos') =>  ""
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		$data['selected']="informes";
		$data['anoacademico'] = $this->anoacademico;
		$data['convocatoria'] = $this->convocatoria;
		
		if ($this->curso_convocatoria_model->getCursoConvocatoria($this->anoacademico,$this->convocatoria)->PUBLICAR_ADMITIDOS==1){
			$data['listados_admitidos_publicados']=true;
		}
		
		$datacabecera['titulo']= lang('ges_procesos');
	    $this->load->view('header_gestor_view',$datacabecera);
		$this->load->view('breadcrumb_view',$databreadcrumb);
		$this->load->view('procesos_informes_gestor_view.php',$data);
		$this->load->view('footer_view.php');
		
	}
	
	//0 - defecto no publicados   1 - publicados
	public function publicarlistados(){
		//modifica el estatus de una convocatoria a informes publicados
		$data=array('PUBLICAR_ADMITIDOS'=>PUBLICAR_LISTADOS_ADMITIDOS);
		$this->curso_convocatoria_model->updateCursoConvocatoria($this->anoacademico, $this->convocatoria,$data);
		
		$this->informes();
	
	}
	
	//0 - defecto no publicados   1 - publicados
	public function despublicarlistados(){
		//modifica el estatus de una convocatoria a informes publicados
		$data=array('PUBLICAR_ADMITIDOS'=>DESPUBLICAR_LISTADOS_ADMITIDOS);
		$this->curso_convocatoria_model->updateCursoConvocatoria($this->anoacademico, $this->convocatoria,$data);
		
		$this->informes();
			
		
	
	}
	
}//End class

