﻿<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

define('GESTOR', "Gestor");
define('ADMINISTRADOR', "Administrador");
define('COORDINADOR', "Coordinador");

class Listados extends CI_Controller {
		
   //La función listar_directorios_ruta lista todos los ficheros que queremos comprimir	
	var $zipfiles=Array();
    var $anoacademico=false;
	var $convocatoria=false;	
	
	public function __construct()
	{
		parent::__construct();
		
		
		$this->load->model('listados_model');	
        $this->load->model('gestor_model');			
		$this->load->library('Cezpdf');
		$this->load->library('Cpdf');	
        $this->load->helper('pdf_helper');	
        $this->load->model('curso_convocatoria_model');			
		if ($this->session->userdata('auth_rol_nombre')!=null){
			//la borro cuando me manejo en este controlador para que no esté activada este uid solo le utilizo al suplantar a un solicitante como gestor
			$this->session->unset_userdata('uid');	
			$this->session->unset_userdata('coordinador_plan');
			
			$this->anoacademico= $this->config->item('anoacademico');
			$this->convocatoria= $this->config->item('convocatoria'); 

			//si está puesto en session entonces pongo los de session
			if ($this->session->userdata('anoacademico')!=null){
				log_message('debug',"puesto el anoacademico:".$this->session->userdata('anoacademico'));
				$this->anoacademico=$this->session->userdata('anoacademico');
			}
			
			if ($this->session->userdata('convocatoria')!=null){
				log_message('debug',"puesta la convocatoria:".$this->session->userdata('convocatoria'));
				$this->convocatoria=$this->session->userdata('convocatoria');
			}	

            if ($this->session->userdata('auth_rol_nombre')!=COORDINADOR and $this->session->userdata('auth_rol_nombre')!=GESTOR and
				$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {
				$this->session->sess_destroy();	
		    }			
		}	
	}
	
	
	public function pdfListListaEspera($plan,$server_filename=null){
      
           
			
		    $dplan=$this->listados_model->getDescripcionPlan($plan);
			
			
			// REPORT EN VERTICAL
			/*$titulo = "<b>LISTA DE ESPERA EN EL PLAN: ".$plan."</b>\n        ".$dplan;
			preparar_pdf('portrait',$titulo);*/
           
			// REPORT EN HORIZONTAL
		    $titulo = "<b>LISTA DE ESPERA EN EL PLAN: ".$plan."</b>\n                                           ".$dplan;
			preparar_pdf('landscape',$titulo,$server_filename);	
			
			$data['lista']=$this->listados_model->pdfListaEspera($plan,$this->anoacademico,$this->convocatoria);	

            $totalMaster= count($data['lista']);										
		   
		    //for($i=0;$i< 35 ;$i++) { pruebas
			foreach( $data['lista'] as $item){
					$dni = $item ->DNI_PASAPORTE;
					$nombre = trim($item ->APE1_ALUMNO)." ".trim($item ->APE2_ALUMNO)." , ".trim($item ->NOMB_ALUMNO);
					
					if ($item ->PAIS_ORIGEN == 'E') {
						$estudios = $item -> DES_CODIGO_MEC;
						$universidad = $item -> DES_UNIVERSIDAD;
					}
					else {
						$estudios = $item -> OTRO_ESTUDIO_ORIGEN;
						$universidad =  $item -> OTRA_UNIVERSIDAD_ORIGEN;
					}
					
					$data[] = array(
								'orden'=> $item ->ORDENLISTAESPERA,
								'dni_pasaporte'=>$dni,
								'nomb_alumno'=>$nombre, 
								'estudios' =>$estudios,
								'universidad' =>$universidad,								
								'nodo' =>$item ->NODO_OPC,
								'opcion' =>$item ->OPCION,
								'telefono' =>$item ->TELEFONO_HABIT,
								'telefono2' =>$item ->TELEFONO2_HABIT,
								'email' =>$item ->CORREO_ELEC_2
								); 
										
					
			 }
			//} pruebas
			
		   $titles = array(
						    'orden'=>'<b>Orden</b>',
						    'dni_pasaporte'=>'<b>DNI</b>',
							'nomb_alumno'=>'<b>Nombre</b>',
							'universidad'=>'<b>Universidad</b>',
							'estudios'=>'<b>Estudios Origen</b>',
							'nodo'=>'<b>Itine.</b>',
							'opcion'=>'<b>Opcion</b>',							
							'telefono'=>'<b>Telefono</b>',
							'telefono2'=>'<b>Telefono2</b>',
							'email'=>'<b>Email</b>'
							
						);
		   $options = array(
							'shadeCol'=>array(0.9,0.9,0.9),
							'xOrientation'=>'center',
							'width'=>800,
							'yOrientation'=>'center',						   
							'fontSize'=>9,
							'cols'=>array('orden'=>array('justification'=>'left' ,'width' => '40'),
										  'dni_pasaporte'=>array('justification'=>'left','width' => '80'),
										  'nomb_alumno'=>array('justification'=>'left','width' => '120'),
										  'universidad'=>array('justification'=>'left','width' => '100'),
										  'estudios'=>array('justification'=>'left','width' => '110'),
										  'nodo'=>array('justification'=>'left','width' => '32'),
										  'opcion'=>array('justification'=>'left','width' => '45'),
										  'telefono'=>array('justification'=>'left','width' => '63'),
										  'telefono2'=>array('justification'=>'left','width' => '62'),
										  'email'=>array('justification'=>'left','width' => '145'))
							);
		   
	
           
            $this->cezpdf->ezTable($data, $titles, '', $options);           
            $this->cezpdf->ezText("\n\n\n", 5);
            $this->cezpdf->ezText("<b>Total Lista Espera : </b>".$totalMaster,14);  			
 
            //Lo genero en el servidor
			if (isset($server_filename)){
				log_message('debug','>>Generar fichero en el servidor:'.$server_filename);
				$output=$this->cezpdf->ezOutput(); //Salida de archivo
				file_put_contents($server_filename.'/'.$plan.'.pdf', $output); 
			
			}else{
				//Lo cargo en el navegador
				$this->cezpdf->ezStream(array('Content-Disposition'=>'lista_espera_'.$plan.'.pdf'));
			}
           
			
			
    }
	

	public function pdfListAdmitidos($plan,$server_filename=null){
                 
			
		    $dplan=$this->listados_model->getDescripcionPlan($plan);
			
			
			// REPORT EN VERTICAL
			/*$titulo = "<b>LISTA DE ADMITIDOS EN EL PLAN: ".$plan."</b>\n        ".$dplan;
			preparar_pdf('portrait',$titulo);*/
           
			// REPORT EN HORIZONTAL
		    $titulo = "<b>LISTA DE ADMITIDOS EN EL PLAN: ".$plan."</b>\n                                           ".$dplan;
			preparar_pdf('landscape',$titulo,$server_filename);	
			
			$data['lista']=$this->listados_model->pdfListaAdmitidos($plan,$this->anoacademico,$this->convocatoria);	  
		    $totalMaster= count($data['lista']);	
					  
			foreach( $data['lista'] as $item){
					$dni = $item ->DNI_PASAPORTE;
					$nombre = trim($item ->APE1_ALUMNO)." ".trim($item ->APE2_ALUMNO)." , ".trim($item ->NOMB_ALUMNO);
					
					if ($item ->PAIS_ORIGEN == 'E') {
						$estudios = $item -> DES_CODIGO_MEC;
						$universidad = $item -> DES_UNIVERSIDAD;
					}
					else {
						$estudios = $item -> OTRO_ESTUDIO_ORIGEN;
						$universidad =  $item -> OTRA_UNIVERSIDAD_ORIGEN;
					}
					
					$data[] = array(								
								'dni_pasaporte'=>$dni,
								'nomb_alumno'=>$nombre, 
								'estudios' =>$estudios,
								'universidad' =>$universidad,								
								'nodo' =>$item ->NODO_OPC,
								'opcion' =>$item ->OPCION,
								'telefono' =>$item ->TELEFONO_HABIT,
								'telefono2' =>$item ->TELEFONO2_HABIT,
								'email' =>$item ->CORREO_ELEC_2
								); 
					
			}
			
			
		   $titles = array(						   
						    'dni_pasaporte'=>'<b>DNI</b>',
							'nomb_alumno'=>'<b>Nombre</b>',
							'universidad'=>'<b>Universidad</b>',
							'estudios'=>'<b>Estudios Origen</b>',
							'nodo'=>'<b>Itine.</b>',
							'opcion'=>'<b>Opcion</b>',							
							'telefono'=>'<b>Telefono</b>',
							'telefono2'=>'<b>Telefono2</b>',
							'email'=>'<b>Email</b>'
							
						);
		   $options = array(
							'shadeCol'=>array(0.9,0.9,0.9),
							'xOrientation'=>'center',
							'width'=>800,
							'yOrientation'=>'center',						  
							'fontSize'=>9,
							'cols'=>array('dni_pasaporte'=>array('justification'=>'left','width' => '90'),
										  'nomb_alumno'=>array('justification'=>'left','width' => '135'),
										  'universidad'=>array('justification'=>'left','width' => '110'),
										  'estudios'=>array('justification'=>'left','width' => '120'),
										  'nodo'=>array('justification'=>'left','width' => '32'),
										  'opcion'=>array('justification'=>'left','width' => '45'),
										  'telefono'=>array('justification'=>'left','width' => '65'),
										  'telefono2'=>array('justification'=>'left','width' => '65'),
										  'email'=>array('justification'=>'left','width' => '145'))
							);
		   
	
           
            $this->cezpdf->ezTable($data, $titles, '', $options);	         
            $this->cezpdf->ezText("\n\n\n", 5);
            $this->cezpdf->ezText("<b>Total Admitidos: </b>".$totalMaster,14);  			
 
            if (isset($server_filename)){
				log_message('debug','>>Generar fichero en el servidor:'.$server_filename);
				$output=$this->cezpdf->ezOutput(); //Salida de archivo
				file_put_contents($server_filename.'/'.$plan.'.pdf', $output); 
			
			}else{
				//Lo cargo en el navegador
				$this->cezpdf->ezStream(array('Content-Disposition'=>'lista_admitidos_'.$plan.'.pdf'));
			}
            
			
			
    }


 public function pdfListSolicitudes($plan,$server_filename=null){
      
            $dplan=$this->listados_model->getDescripcionPlan($plan);
			
			
			// REPORT EN VERTICAL
			/*$titulo = "<b>LISTA DE SOLICITUDES EN EL PLAN: ".$plan."</b>\n        ".$dplan;
			preparar_pdf('portrait',$titulo);*/
           
			// REPORT EN HORIZONTAL
		    $titulo = "<b>LISTA DE SOLICITUDES EN EL PLAN: ".$plan."</b>\n                                           ".$dplan;
			preparar_pdf('landscape',$titulo,$server_filename);			
					
			$data['lista']=$this->listados_model->pdfListaSolicitudes($plan,$this->anoacademico,$this->convocatoria);	  
			$totalMaster= count($data['lista']);	
						
			foreach( $data['lista'] as $item){
					$dni = $item ->DNI_PASAPORTE;
					$nombre = trim($item ->APE1_ALUMNO)." ".trim($item ->APE2_ALUMNO)." , ".trim($item ->NOMB_ALUMNO);
					
					if ($item ->PAIS_ORIGEN == 'E') {
						$estudios = $item -> DES_CODIGO_MEC;
						$universidad = $item -> DES_UNIVERSIDAD;
					}
					else {
						$estudios = $item -> OTRO_ESTUDIO_ORIGEN;
						$universidad =  $item -> OTRA_UNIVERSIDAD_ORIGEN;
					}
					
					$data[] = array(								
								'dni_pasaporte'=>$dni,
								'nomb_alumno'=>$nombre, 
								'estudios' =>$estudios,
								'universidad' =>$universidad,								
								'nodo' =>$item ->NODO_OPC,
								'opcion' =>$item ->OPCION,
								'telefono' =>$item ->TELEFONO_HABIT,
								'telefono2' =>$item ->TELEFONO2_HABIT,
								'email' =>$item ->CORREO_ELEC_2
								); 
					
			}
			
			
		   $titles = array(						   
						    'dni_pasaporte'=>'<b>DNI</b>',
							'nomb_alumno'=>'<b>Nombre</b>',
							'universidad'=>'<b>Universidad</b>',
							'estudios'=>'<b>Estudios Origen</b>',
							'nodo'=>'<b>Itine.</b>',
							'opcion'=>'<b>Opcion</b>',							
							'telefono'=>'<b>Telefono</b>',
							'telefono2'=>'<b>Telefono2</b>',
							'email'=>'<b>Email</b>'
							
						);
		   $options = array(
							'shadeCol'=>array(0.9,0.9,0.9),
							'xOrientation'=>'center',
							'width'=>800,
							'yOrientation'=>'center',						    
							'fontSize'=>9,
							'cols'=>array('dni_pasaporte'=>array('justification'=>'left','width' => '90'),
										  'nomb_alumno'=>array('justification'=>'left','width' => '135'),
										  'universidad'=>array('justification'=>'left','width' => '110'),
										  'estudios'=>array('justification'=>'left','width' => '120'),
										  'nodo'=>array('justification'=>'left','width' => '32'),
										  'opcion'=>array('justification'=>'left','width' => '45'),
										  'telefono'=>array('justification'=>'left','width' => '65'),
										  'telefono2'=>array('justification'=>'left','width' => '65'),
										  'email'=>array('justification'=>'left','width' => '145'))
							);
		   
	
           
            $this->cezpdf->ezTable($data, $titles, '', $options);	            
            $this->cezpdf->ezText("\n\n\n", 5);
            $this->cezpdf->ezText("<b>Total Solicitudes: </b>".$totalMaster,14);  	


            //Lo genero en el servidor
			if (isset($server_filename)){
				log_message('debug','>>Generar fichero en el servidor:'.$server_filename);
				$output=$this->cezpdf->ezOutput(); //Salida de archivo
				file_put_contents($server_filename.'/'.$plan.'.pdf', $output); 
			
			}else{
				//Lo cargo en el navegador
				$this->cezpdf->ezStream(array('Content-Disposition'=>'lista_solicitudes_'.$plan.'.pdf'));
			}		

			
    }
	
	public function pdfListAdmitidosWeb($plan,$server_filename=null){
      
            $dplan=$this->listados_model->getDescripcionPlan($plan);
			
			
			// REPORT EN VERTICAL
			/*$titulo = "<b>LISTA DE ADMITIDOS EN EL PLAN: ".$plan."</b>\n        ".$dplan;
			preparar_pdf('portrait',$titulo);*/
           
			// REPORT EN HORIZONTAL
		    $titulo = "<b>LISTA DE ADMITIDOS EN EL PLAN: ".$plan."</b>\n                                           ".$dplan;			
			preparar_pdf('landscape',$titulo,$server_filename);	
			
			$data['lista']=$this->listados_model->pdfListaAdmitidos($plan,$this->anoacademico,$this->convocatoria);	
            $totalMaster= count($data['lista']);				
		   
		 
			foreach( $data['lista'] as $item){
					$dni = $item ->DNI_PASAPORTE;
					$nombre = trim($item ->APE1_ALUMNO)." ".trim($item ->APE2_ALUMNO)." , ".trim($item ->NOMB_ALUMNO);
					
					$data[] = array(								
								'dni_pasaporte'=>$dni,
								'nomb_alumno'=>$nombre, 								
								'opcion' =>$item ->OPCION
								); 
					
			}
		
			
		   $titles = array(						   
						    'dni_pasaporte'=>'<b>DNI</b>',
							'nomb_alumno'=>'<b>Nombre</b>',
							'opcion'=>'<b>Opcion</b>'
						);
		   $options = array(
							'shadeCol'=>array(0.9,0.9,0.9),
							'xOrientation'=>'center',
							'width'=>800,
							'yOrientation'=>'center',						  
							'fontSize'=>9,
							'cols'=>array('dni_pasaporte'=>array('justification'=>'left'),
										  'nomb_alumno'=>array('justification'=>'left'),										
										  'opcion'=>array('justification'=>'left'))
							);
		   
	
           
            $this->cezpdf->ezTable($data, $titles, '', $options);
            $this->cezpdf->ezText("\n\n\n", 5);
            $this->cezpdf->ezText("<b>Total Admitidos: </b>".$totalMaster,14);  			
 
            //Lo genero en el servidor
			if (isset($server_filename)){
				log_message('debug','>>Generar fichero en el servidor:'.$server_filename);
				$output=$this->cezpdf->ezOutput(); //Salida de archivo
				file_put_contents($server_filename.'/'.$plan.'.pdf', $output); 
			
			}else{
				//Lo cargo en el navegador
				$this->cezpdf->ezStream(array('Content-Disposition'=>'lista_admitidosWeb_'.$plan.'.pdf'));
			}
			
			
    }
	
	
	
public function pdfListSolicitudesAll(){
      
           //obtengo lista de master 		   
			$data['listaMasteres']=$this->gestor_model->listarMasteres($this->anoacademico,$this->convocatoria);	
		   
		   
			// REPORT EN VERTICAL
			/* prepararAll_pdf('portrait','');*/
           
		   
		   // REPORT EN HORIZONTAL		  
			prepararAll_pdf('landscape','');	
			
			$total = 0;
			$nuevo = 0;
			foreach($data['listaMasteres'] as $master){	
			    
                if ($master-> N_SOLICITUDES >0 ) {	
                           	
                            if ($nuevo == 0) {
							  $nuevo = 1;
                            }							
							else {
							   //Añadir nueva página aquí
							   $this->cezpdf->ezNewPage();	
							}
                          
                            $dplan=$this->listados_model->getDescripcionPlan($master->COD_PLAN);
							
							/* REPORT EN VERTICAL 
							$this->cezpdf->addJpegFromFile("./resources/imgs/logo_uva.jpg",518,800,50,30);						
		                    $this->cezpdf->ezText("\n", 5);
							
							$titulo = "<b>LISTA ACTUAL DE PREINSCRITOS EN EL PLAN: ".$master->COD_PLAN."</b>\n        ".$dplan;
                            $this->cezpdf->ezText("     ".$titulo, 13);							
	                        $this->cezpdf->ezText("\n", 10);*/
							
							
							/* REPORT EN HORIZONTAL*/
							$this->cezpdf->addJpegFromFile("./resources/imgs/logo_uva.jpg",8,515,125,70);							
		                    $this->cezpdf->ezText("\n", 5);
							
							$titulo = "<b>LISTA ACTUAL DE PREINSCRITOS EN EL PLAN: ".$master->COD_PLAN."</b>\n                                           ".$dplan;
                            $this->cezpdf->ezText("                                           ".$titulo, 13);
							$this->cezpdf->setStrokeColor(0,0,0);
							$this->cezpdf->setLineStyle(5);
							$this->cezpdf->rectangle(175,510,625,50);
	                        $this->cezpdf->ezText("\n", 15);
							
                            unset($data);	
                            $totalMaster= 0;							
							$data['lista']=$this->listados_model->pdfListaSolicitudes($master->COD_PLAN,$this->anoacademico,$this->convocatoria);	  
							$totalMaster = count($data['lista']);
							$total = $total + $totalMaster;
							
						   											
							foreach( $data['lista'] as $item){
									$dni = $item ->DNI_PASAPORTE;
									$nombre = trim($item ->APE1_ALUMNO)." ".trim($item ->APE2_ALUMNO)." , ".trim($item ->NOMB_ALUMNO);
									
									if ($item ->PAIS_ORIGEN == 'E') {
										$estudios = $item -> DES_CODIGO_MEC;
										$universidad = $item -> DES_UNIVERSIDAD;
									}
									else {
										$estudios = $item -> OTRO_ESTUDIO_ORIGEN;
										$universidad =  $item -> OTRA_UNIVERSIDAD_ORIGEN;
									}
									
									$data[] = array(								
												'dni_pasaporte'=>$dni,
												'nomb_alumno'=>$nombre, 
												'estudios' =>$estudios,
												'universidad' =>$universidad,																			
												'opcion' =>$item ->OPCION
												
												); 
									
							}							
					
                            $titles = array(						   
											'dni_pasaporte'=>'<b>DNI</b>',
											'nomb_alumno'=>'<b>Nombre</b>',
											'universidad'=>'<b>Universidad</b>',
											'estudios'=>'<b>Estudios Origen</b>',											
											'opcion'=>'<b>Opcion</b>'
											
										);
							$options = array(
											'shadeCol'=>array(0.9,0.9,0.9),
											'xOrientation'=>'center',
											'width'=>800,
											'yOrientation'=>'center',						    
											'fontSize'=>9,
											'cols'=>array('dni_pasaporte'=>array('justification'=>'left','width' => '90'),
														  'nomb_alumno'=>array('justification'=>'left','width' => '220'),
														  'universidad'=>array('justification'=>'left','width' => '190'),
														  'estudios'=>array('justification'=>'left','width' => '250'),														 
														  'opcion'=>array('justification'=>'left','width' => '45'))
											);
		   
	
		   
			                $this->cezpdf->ezTable($data, $titles, '', $options);	

                            $this->cezpdf->ezText("\n\n\n", 5);
                            $this->cezpdf->ezText("<b>Preinscritos Plan- ".$master->COD_PLAN." : </b>".$totalMaster,12);
                          
                            
                           // $this->cezpdf->ezNewPage();	
							
				}	  
		    }	
			 	
			$this->cezpdf->ezText("\n\n\n", 5);
            $this->cezpdf->ezText("<b>Total Preinscritos : </b>".$total,14);           
			$this->cezpdf->ezStream(array('Content-Disposition'=>'lista_solicitudes'.'.pdf'));	
        		
			
    }

	
	
     public function pdfListExtranjeros(){
      
           			
			// REPORT EN VERTICAL
			/*$titulo = "<b>LISTA DE ESPERA EN EL PLAN: ".$plan."</b>\n        ".$dplan;
			preparar_pdf('portrait',$titulo);*/
           
			// REPORT EN HORIZONTAL
		    $titulo = "<b>SOLICITUDES DE ORIGEN UNIVERSIDAD EXTRANJERA PREADMITIDO</b>";			
			preparar_pdf('landscape',$titulo);
			
			$data['lista']=$this->listados_model->pdfListaExtranjeros($this->anoacademico,$this->convocatoria);	

            $totalExtranjeros= count($data['lista']);										
		   
		   
			foreach( $data['lista'] as $item){
					$dni = $item ->DNI_PASAPORTE;
					$nombre = trim($item ->APE1_ALUMNO)." ".trim($item ->APE2_ALUMNO)." , ".trim($item ->NOMB_ALUMNO);
					
					if ($item ->PAIS_ORIGEN == 'E') {
						$estudios = $item -> DES_CODIGO_MEC;
						$universidad = $item -> DES_UNIVERSIDAD;
					}
					else {
						$estudios = $item -> OTRO_ESTUDIO_ORIGEN;
						$universidad =  $item -> OTRA_UNIVERSIDAD_ORIGEN;
					}
					
					$data[] = array(								
								'dni_pasaporte'=>$dni,
								'nomb_alumno'=>$nombre, 
								'universidad' =>$universidad,		
                                'pais_origen' =>$item ->PAIS_ORIGEN,																	
								'estudios' =>$estudios,
								'ind_pertenece_eees' =>$item ->IND_PERTENECE_EEES,								
								'opcion' =>$item ->OPCION,
								'descod_plan' =>$item ->DESCOD_PLAN,								
								'email' =>$item ->CORREO_ELEC_2
								); 
										
					
			 }

			
		   $titles = array(						   
						    'dni_pasaporte'=>'<b>DNI</b>',
							'nomb_alumno'=>'<b>Nombre</b>',
							'universidad'=>'<b>Universidad</b>',
							'pais_origen'=>'<b>Pais</b>',
							'estudios'=>'<b>Estudios Origen</b>',
							'ind_pertenece_eees'=>'<b>EEES</b>',
							'opcion'=>'<b>Opcion</b>',														
							'descod_plan'=>'<b>Máster</b>',
							'email'=>'<b>Email</b>'
							
						);
		   $options = array(
							'shadeCol'=>array(0.9,0.9,0.9),
							'xOrientation'=>'center',
							'width'=>800,
							'yOrientation'=>'center',						   
							'fontSize'=>9,
							'cols'=>array('dni_pasaporte'=>array('justification'=>'left','width' => '80'),
										  'nomb_alumno'=>array('justification'=>'left','width' => '120'),
										  'universidad'=>array('justification'=>'left','width' => '115'),
										  'pais_origen'=>array('justification'=>'left','width' => '32'),
										  'estudios'=>array('justification'=>'left','width' => '115'),
										  'ind_pertenece_eees'=>array('justification'=>'left','width' => '35'),
										  'opcion'=>array('justification'=>'left','width' => '45'),
										  'descod_plan'=>array('justification'=>'left','width' => '130'),										  
										  'email'=>array('justification'=>'left','width' => '145'))
							);
		   
	
           
            $this->cezpdf->ezTable($data, $titles, '', $options);           
            $this->cezpdf->ezText("\n\n\n", 5);
            $this->cezpdf->ezText("<b>Total Preadmtidos Extranjeros : </b>".$totalExtranjeros,14);  			
 
            $this->cezpdf->ezStream(array('Content-Disposition'=>'lista_extranjeros.pdf'));
			
			
    }

	
	 public function pdfListExcluidos(){
                		
		    			
			// REPORT EN VERTICAL
			/*$titulo = "<b>LISTA DE ESPERA EN EL PLAN: ".$plan."</b>\n        ".$dplan;
			preparar_pdf('portrait',$titulo);*/
           
			// REPORT EN HORIZONTAL
		    $titulo = "<b>SOLICITUDES DE ALUMNOS EXCLUIDOS</b>";			
			preparar_pdf('landscape',$titulo);
			
			$data['lista']=$this->listados_model->pdfListaExcluidos($this->anoacademico,$this->convocatoria);	

            $totalExcluidos= count($data['lista']);										
		   		   
			foreach( $data['lista'] as $item){
					$dni = $item ->DNI_PASAPORTE;
					$nombre = trim($item ->APE1_ALUMNO)." ".trim($item ->APE2_ALUMNO)." , ".trim($item ->NOMB_ALUMNO);
					
					
					$data[] = array(								
								'dni_pasaporte'=>$dni,
								'nomb_alumno'=>$nombre, 															
								'email' =>$item ->CORREO_ELEC_2,
								'descripcion' =>$item ->DESCRIPCION
								); 
										
					
			 }			
			
		   $titles = array(						   
						    'dni_pasaporte'=>'<b>DNI</b>',
							'nomb_alumno'=>'<b>Nombre</b>',							
							'email'=>'<b>Email</b>',
							'descripcion'=>'<b>Exclusion</b>',
							
						);
		   $options = array(
							'shadeCol'=>array(0.9,0.9,0.9),
							'xOrientation'=>'center',
							'width'=>800,
							'yOrientation'=>'center',						   
							'fontSize'=>9,
							'cols'=>array('dni_pasaporte'=>array('justification'=>'left','width' => '80'),
										  'nomb_alumno'=>array('justification'=>'left','width' => '280'),										 								 
										  'email'=>array('justification'=>'left','width' => '250'),
										  'descripcion'=>array('justification'=>'left','width' => '150'),
										  )
							);
		   
	
           
            $this->cezpdf->ezTable($data, $titles, '', $options);           
            $this->cezpdf->ezText("\n\n\n", 5);
            $this->cezpdf->ezText("<b>Total Solicitudes Excluidas : </b>".$totalExcluidos,14);  			
 
            $this->cezpdf->ezStream(array('Content-Disposition'=>'lista_excluidos.pdf'));
			
			
    }
	
	
	
	public function pdfListEsperaAll(){
      
           //obtengo lista de master 
		    $data['listaMasteres']=$this->gestor_model->listarNumeroListaEsperaMasteres($this->anoacademico,$this->convocatoria);	
		   
		   
			// REPORT EN VERTICAL
			/* prepararAll_pdf('portrait','');*/
           
		   
		   // REPORT EN HORIZONTAL		  
			prepararAll_pdf('landscape','');	
			
			$total = 0;
			$nuevo = 0;
			foreach($data['listaMasteres'] as $master){	
			    
                if ($master-> N_LISTAESPERA >0 ) {	
                           	
                            if ($nuevo == 0) {
							  $nuevo = 1;
                            }							
							else {
							   //Añadir nueva página aquí
							   $this->cezpdf->ezNewPage();	
							}
                          
                            $dplan=$this->listados_model->getDescripcionPlan($master->COD_PLAN);
							
							/* REPORT EN VERTICAL 
							$this->cezpdf->addJpegFromFile("./resources/imgs/logo_uva.jpg",518,800,50,30);						
		                    $this->cezpdf->ezText("\n", 5);
							
							$titulo = "<b>LISTA ACTUAL DE PREINSCRITOS EN EL PLAN: ".$master->COD_PLAN."</b>\n        ".$dplan;
                            $this->cezpdf->ezText("     ".$titulo, 13);							
	                        $this->cezpdf->ezText("\n", 10);*/
							
							
							/* REPORT EN HORIZONTAL*/
							$this->cezpdf->addJpegFromFile("./resources/imgs/logo_uva.jpg",8,515,125,70);							
		                    $this->cezpdf->ezText("\n", 5);
							
							$titulo = "<b>LISTA ACTUAL SOLICITUDES EN LISTA DE ESPERA EN EL PLAN: ".$master->COD_PLAN."</b>\n                                           ".$dplan;
                            $this->cezpdf->ezText("                                           ".$titulo, 13);
							$this->cezpdf->setStrokeColor(0,0,0);
							$this->cezpdf->setLineStyle(5);
							$this->cezpdf->rectangle(175,510,625,50);
	                        $this->cezpdf->ezText("\n", 15);
							
                            unset($data);	
                            $totalMaster= 0;							
							$data['lista']=$this->listados_model->pdfListaEspera($master->COD_PLAN,$this->anoacademico,$this->convocatoria);	  
							$totalMaster = count($data['lista']);
							$total = $total + $totalMaster;
							
							foreach( $data['lista'] as $item){
									$dni = $item ->DNI_PASAPORTE;
									$nombre = trim($item ->APE1_ALUMNO)." ".trim($item ->APE2_ALUMNO)." , ".trim($item ->NOMB_ALUMNO);
									
									if ($item ->PAIS_ORIGEN == 'E') {
										$estudios = $item -> DES_CODIGO_MEC;
										$universidad = $item -> DES_UNIVERSIDAD;
									}
									else {
										$estudios = $item -> OTRO_ESTUDIO_ORIGEN;
										$universidad =  $item -> OTRA_UNIVERSIDAD_ORIGEN;
									}
									
									$data[] = array(
												'orden'=> $item ->ORDENLISTAESPERA,
												'dni_pasaporte'=>$dni,
												'nomb_alumno'=>$nombre, 
												'estudios' =>$estudios,
												'universidad' =>$universidad,								
												'nodo' =>$item ->NODO_OPC,
												'opcion' =>$item ->OPCION,
												'telefono' =>$item ->TELEFONO_HABIT,
												'telefono2' =>$item ->TELEFONO2_HABIT,
												'email' =>$item ->CORREO_ELEC_2
												); 
									
							}
							
					
                            $titles = array(
								'orden'=>'<b>Orden</b>',
								'dni_pasaporte'=>'<b>DNI</b>',
								'nomb_alumno'=>'<b>Nombre</b>',
								'universidad'=>'<b>Universidad</b>',
								'estudios'=>'<b>Estudios Origen</b>',
								'nodo'=>'<b>Itine.</b>',
								'opcion'=>'<b>Opcion</b>',							
								'telefono'=>'<b>Telefono</b>',
								'telefono2'=>'<b>Telefono2</b>',
								'email'=>'<b>Email</b>'
								
							);
							
							$options = array(
										'shadeCol'=>array(0.9,0.9,0.9),
										'xOrientation'=>'center',
										'width'=>800,
										'yOrientation'=>'center',						   
										'fontSize'=>9,
										'cols'=>array('orden'=>array('justification'=>'left' ,'width' => '40'),
													  'dni_pasaporte'=>array('justification'=>'left','width' => '80'),
													  'nomb_alumno'=>array('justification'=>'left','width' => '120'),
													  'universidad'=>array('justification'=>'left','width' => '100'),
													  'estudios'=>array('justification'=>'left','width' => '110'),
													  'nodo'=>array('justification'=>'left','width' => '32'),
													  'opcion'=>array('justification'=>'left','width' => '45'),
													  'telefono'=>array('justification'=>'left','width' => '63'),
													  'telefono2'=>array('justification'=>'left','width' => '62'),
													  'email'=>array('justification'=>'left','width' => '145'))
										);
		   
	
		   
			                $this->cezpdf->ezTable($data, $titles, '', $options);	

                            $this->cezpdf->ezText("\n\n\n", 5);
                            $this->cezpdf->ezText("<b>Lista Espera Plan- ".$master->COD_PLAN." : </b>".$totalMaster,12);
                          
                            
                           // $this->cezpdf->ezNewPage();	
							
				}	  
		    }	
			 	
			$this->cezpdf->ezText("\n\n\n", 5);
            $this->cezpdf->ezText("<b>Total Lista Espera : </b>".$total,14);           
			$this->cezpdf->ezStream(array('Content-Disposition'=>'lista_espera'.'.pdf'));	
        		
			
    }
	
	
	public function excelEquivalencias(){
      
          
			//obtengo datos de equivalencias 
		    $data['listaEquivalencias']=$this->listados_model->excelEquivalencias($this->anoacademico,$this->convocatoria);

            //obtengo lista de documentos requeridos
		    $data['listaDocumentos']=$this->listados_model->listarDocumentos($this->anoacademico,$this->convocatoria);				
		   
        	$this->load->view('excelEquivalencias_view.php', $data);	
			
    }
	
	 public function pdfListExcluidosPlan(){
                							
			
			//obtengo lista de master 
		    $data['listaMasteres']=$this->gestor_model->listarNumeroExcluidosMasteres($this->anoacademico,$this->convocatoria);	
		   
		   
			// REPORT EN VERTICAL
			/* prepararAll_pdf('portrait','');*/
           
		   
		   // REPORT EN HORIZONTAL		  
			prepararAll_pdf('landscape','');	
			
			$total = 0;
			$nuevo = 0;
			foreach($data['listaMasteres'] as $master){	
			    
                if ($master-> N_EXCLUIDOS >0 ) {	
                           	
                            if ($nuevo == 0) {
							  $nuevo = 1;
                            }							
							else {
							   //Añadir nueva página aquí
							   $this->cezpdf->ezNewPage();	
							}
                          
                            $dplan=$this->listados_model->getDescripcionPlan($master->COD_PLAN);
							
							/* REPORT EN VERTICAL 
							$this->cezpdf->addJpegFromFile("./resources/imgs/logo_uva.jpg",518,800,50,30);						
		                    $this->cezpdf->ezText("\n", 5);
							
							$titulo = "<b>LISTA ACTUAL DE PREINSCRITOS EN EL PLAN: ".$master->COD_PLAN."</b>\n        ".$dplan;
                            $this->cezpdf->ezText("     ".$titulo, 13);							
	                        $this->cezpdf->ezText("\n", 10);*/
							
							
							/* REPORT EN HORIZONTAL*/
							$this->cezpdf->addJpegFromFile("./resources/imgs/logo_uva.jpg",8,515,125,70);							
		                    $this->cezpdf->ezText("\n", 5);
							
							$titulo = "<b>LISTA EXCLUIDOS EN EL PLAN: ".$master->COD_PLAN."</b>\n                                           ".$dplan;
                            $this->cezpdf->ezText("                                           ".$titulo, 13);
							$this->cezpdf->setStrokeColor(0,0,0);
							$this->cezpdf->setLineStyle(5);
							$this->cezpdf->rectangle(175,510,625,50);
	                        $this->cezpdf->ezText("\n", 15);
							
                            unset($data);	
                            $totalMaster= 0;							
							$data['lista']=$this->listados_model->pdfListaExcluidosPlan($master->COD_PLAN,$this->anoacademico,$this->convocatoria);	  
							$totalMaster = count($data['lista']);
							$total = $total + $totalMaster;
													   					
							foreach( $data['lista'] as $item){									
									
									$dni = $item ->DNI_PASAPORTE;
									$nombre = trim($item ->APE1_ALUMNO)." ".trim($item ->APE2_ALUMNO)." , ".trim($item ->NOMB_ALUMNO);
									
									
									$data[] = array(								
												'dni_pasaporte'=>$dni,
												'nomb_alumno'=>$nombre, 															
												'email' =>$item ->CORREO_ELEC_2,
												'descripcion' =>$item ->DESCRIPCION
												); 
									
									
							}
							
                            $titles = array(						   
											'dni_pasaporte'=>'<b>DNI</b>',
											'nomb_alumno'=>'<b>Nombre</b>',							
											'email'=>'<b>Email</b>',
											'descripcion'=>'<b>Exclusion</b>',
											
										);
						    $options = array(
											'shadeCol'=>array(0.9,0.9,0.9),
											'xOrientation'=>'center',
											'width'=>800,
											'yOrientation'=>'center',						   
											'fontSize'=>9,
											'cols'=>array('dni_pasaporte'=>array('justification'=>'left','width' => '80'),
														  'nomb_alumno'=>array('justification'=>'left','width' => '280'),										 								 
														  'email'=>array('justification'=>'left','width' => '250'),
														  'descripcion'=>array('justification'=>'left','width' => '150'),
														  )
											);
		   
	
		   
			                $this->cezpdf->ezTable($data, $titles, '', $options);	

                            $this->cezpdf->ezText("\n\n\n", 5);
                            $this->cezpdf->ezText("<b>Excluidos Plan- ".$master->COD_PLAN." : </b>".$totalMaster,12);
                                                     
							
				}	  
		    }	
			 	
			$this->cezpdf->ezText("\n\n\n", 5);
            $this->cezpdf->ezText("<b>Total Exclusiones : </b>".$total,14);  

            $data['lista']=$this->listados_model->pdfListaExcluidos($this->anoacademico,$this->convocatoria);	  
			$totalAlumnosExcluidosMaster = count($data['lista']);	
			
			$this->cezpdf->ezText("\n\n\n", 5);
            $this->cezpdf->ezText("<b>Total Alumnos Excluidos : </b>".$totalAlumnosExcluidosMaster,14);
			
			$this->cezpdf->ezStream(array('Content-Disposition'=>'lista_excluidos_plan'.'.pdf'));	

			
    }
	
	
	public function menuGestor()
	{
		if($this->input->is_ajax_request()){
		
			log_message('debug','Esto es una petición ajax');
		}
		//compruebo si hay alumnos extranjeros para habilitar o no el boton de pdf extranjeros		
		$data['listaExtranjeros']=$this->listados_model->pdfListaExtranjeros($this->anoacademico,$this->convocatoria);	  
		$numExtranjeros=count($data['listaExtranjeros']);	
		if($numExtranjeros > 0)
		{  // tiene lista extranjeros, botón de lista de extranjeros habilitado
		
			$datamenu['listaExtranjeros'] = "S";
		}
		else {  //no tiene lista extranjeros,botón de lista de extranjeros deshabilitado
		    $datamenu['listaExtranjeros'] = "N";
		}

        //compruebo si hay solicitudes para habilitar o no el boton de pdf solicitudes	
		$data['listasolicitudes']=$this->listados_model->pdfListaTodasSolicitudes($this->anoacademico,$this->convocatoria);	  
		$numSolicitudes=count($data['listasolicitudes']);	
		if($numSolicitudes > 0)
		{  // tiene lista solicitudes,botón de lista de solicitudes habilitado
		
			$datamenu['listasolicitudes'] = "S";
		}
		else {  //no tiene lista solicitudes,botón de lista de solicitudes deshabilitado
		    $datamenu['listasolicitudes'] = "N";
		}	
		
		//compruebo si hay solicitudes en lista de espera  para habilitar o no el boton de pdf lista espera	
		$data['listaespera']=$this->listados_model->pdfListaTodasListEspera($this->anoacademico,$this->convocatoria);	  
		$numListaEspera=count($data['listaespera']);	
		if($numListaEspera > 0)
		{  // tiene lista espera,botón de lista de espera habilitado
		
			$datamenu['listaespera'] = "S";
		}
		else {  //no tiene lista espera,botón de lista de espera deshabilitado
		    $datamenu['listaespera'] = "N";
		}
			
		//compruebo si hay excluidos para habilitar o no el boton de pdf de excluidos
		$data['listaexcluidos']=$this->listados_model->pdfListaExcluidos($this->anoacademico,$this->convocatoria);	  
		$numExcluidos=count($data['listaexcluidos']);	
		if($numExcluidos > 0)
		{  // tiene lista de excluidos,botón de lista excluidos habilitado
		
			$datamenu['listaexcluidos'] = "S";
		}
		else {  //no tiene lista excluidos,botón de lista excluidos deshabilitado
		    $datamenu['listaexcluidos'] = "N";
		}
			
			
	    //compruebo si hay equivalencias para habilitar o no el boton de excel de equivalencias
		$data['listaequivalencias']=$this->listados_model->excelEquivalencias($this->anoacademico,$this->convocatoria);	  
		$numEquivalencias=count($data['listaequivalencias']);	
		if($numEquivalencias > 0)
		{  // tiene lista de equivalencias,botón de lista equivalencias habilitado
		
			$datamenu['listaequivalencias'] = "S";
		}
		else {  //no tiene lista equivalencias,botón de lista numEquivalencias deshabilitado
		    $datamenu['listaequivalencias'] = "N";
		}
				    
		$this->load->view('listados_gestor_view',$datamenu);					
		
	}

	
	public function listadosGestor()
	{
		log_message('debug',"entro en listadosGestor");
		
				
		//creo las migas de pan		
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_informes') =>  ""
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		
			
        //compruebo si hay alumnos extranjeros para habilitar o no el boton de pdf extranjeros		
		$data['listaExtranjeros']=$this->listados_model->pdfListaExtranjeros($this->anoacademico,$this->convocatoria);	  
		$numExtranjeros=count($data['listaExtranjeros']);	
		if($numExtranjeros > 0)
		{  // tiene lista extranjeros, botón de lista de extranjeros habilitado
		
			$datamenu['listaExtranjeros'] = "S";
		}
		else {  //no tiene lista extranjeros,botón de lista de extranjeros deshabilitado
		    $datamenu['listaExtranjeros'] = "N";
		}

        //compruebo si hay solicitudes para habilitar o no el boton de pdf solicitudes	
		$data['listasolicitudes']=$this->listados_model->pdfListaTodasSolicitudes($this->anoacademico,$this->convocatoria);	  
		$numSolicitudes=count($data['listasolicitudes']);	
		if($numSolicitudes > 0)
		{  // tiene lista solicitudes,botón de lista de solicitudes habilitado
		
			$datamenu['listasolicitudes'] = "S";
		}
		else {  //no tiene lista solicitudes,botón de lista de solicitudes deshabilitado
		    $datamenu['listasolicitudes'] = "N";
		}	
		
		//compruebo si hay solicitudes en lista de espera  para habilitar o no el boton de pdf lista espera	
		$data['listaespera']=$this->listados_model->pdfListaTodasListEspera($this->anoacademico,$this->convocatoria);	  
		$numListaEspera=count($data['listaespera']);	
		if($numListaEspera > 0)
		{  // tiene lista espera,botón de lista de espera habilitado
		
			$datamenu['listaespera'] = "S";
		}
		else {  //no tiene lista espera,botón de lista de espera deshabilitado
		    $datamenu['listaespera'] = "N";
		}
			
		//compruebo si hay excluidos para habilitar o no el boton de pdf de excluidos
		$data['listaexcluidos']=$this->listados_model->pdfListaExcluidos($this->anoacademico,$this->convocatoria);	  
		$numExcluidos=count($data['listaexcluidos']);	
		if($numExcluidos > 0)
		{  // tiene lista de excluidos,botón de lista excluidos habilitado
		
			$datamenu['listaexcluidos'] = "S";
		}
		else {  //no tiene lista excluidos,botón de lista excluidos deshabilitado
		    $datamenu['listaexcluidos'] = "N";
		}
			
			
	    //compruebo si hay equivalencias para habilitar o no el boton de excel de equivalencias
		$data['listaequivalencias']=$this->listados_model->excelEquivalencias($this->anoacademico,$this->convocatoria);	  
		$numEquivalencias=count($data['listaequivalencias']);	
		if($numEquivalencias > 0)
		{  // tiene lista de equivalencias,botón de lista equivalencias habilitado
		
			$datamenu['listaequivalencias'] = "S";
		}
		else {  //no tiene lista equivalencias,botón de lista numEquivalencias deshabilitado
		    $datamenu['listaequivalencias'] = "N";
		}
				    
	
	    $datacabecera['titulo']= lang('ges_informes');
	    $this->load->view('header_gestor_view',$datacabecera);	
		$this->load->view('breadcrumb_view.php',$databreadcrumb);	
		$this->load->view('listados_gestor_view',$datamenu);							
		$this->load->view('footer_view.php');		
		
	
	}
	
	
	/**
	 * Generar todos los pdfs de solicitudes
	 */
	public function genAllSolicitudesPDF(){
		$report_base_dir=$this->config->item('report_base_dir');
		$report_path=$report_base_dir."/".$this->anoacademico."/".$this->convocatoria."/".$this->config->item('report_solicitudes');
		
		if (@mkdir($report_path,0777,true)){
			log_message("info",">>Creando directorio:$report_path");
			
		}else{
			//ya está creado
			log_message("debug",">>El directorio:$report_path ya está creado");	
		}
		
		$data['listaPlanes']=$this->gestor_model->listarMasteres($this->anoacademico,$this->convocatoria);	
		   	   
		foreach($data['listaPlanes'] as $plan){	
			
			if ($plan-> N_SOLICITUDES >0 ) {
			
				$this->pdfListSolicitudes($plan->COD_PLAN,$report_path);
			}
			
			
			
		}	
		
		$data['titulo'] = lang('ges_procesosInformes');
		
		//creo las migas de pan		
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_procesos') =>  ""
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		$data['selected']="informes";
		$data['anoacademico'] = $this->anoacademico;
		$data['convocatoria'] = $this->convocatoria;
		
		if ($this->curso_convocatoria_model->getCursoConvocatoria($this->anoacademico,$this->convocatoria)->PUBLICAR_ADMITIDOS==1){
			$data['listados_admitidos_publicados']=true;
		}
		
		$datacabecera['titulo']= lang('ges_procesos');
	    $this->load->view('header_gestor_view',$datacabecera);
		$this->load->view('breadcrumb_view',$databreadcrumb);
		$this->load->view('procesos_informes_gestor_view.php',$data);
		$this->load->view('footer_view.php');
		

	}	
	
	function listar_directorios_ruta($ruta){ 
    // abrir un directorio y listarlo recursivo
		
    if (is_dir($ruta)) { 
      if ($dh = opendir($ruta)) { 
         while (($file = readdir($dh)) !== false) { 
            //esta línea la utilizaríamos si queremos listar todo lo que hay en el directorio 
            //mostraría tanto archivos como directorios
			if (!is_dir($ruta.'/'.$file)){
				log_message('debug',"Nombre de archivo: $file : Es un: " . filetype($ruta .'/'. $file));
				array_push($this->zipfiles, $ruta .'/'. $file);
			}
            //echo "<br>Nombre de archivo: $file : Es un: " . filetype($ruta . $file); 
            if (is_dir($ruta .'/'. $file) && $file!="." && $file!=".."){ 
               log_message('debug',"Directorio: $ruta/$file");
			   
               $this->listar_directorios_ruta($ruta.'/'. $file ); 
            } 
         } 
      closedir($dh); 
      } 
	}else{ 
		echo "<br>No es ruta valida";
		}	
	}

	public function genzips(){
	
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_procesos') =>  ""
			
		);
		$data=null;
		
		
		$report_base_dir=$this->config->item('report_base_dir');
		$report_path=$report_base_dir."/".$this->anoacademico."/".$this->convocatoria."/".$this->config->item('report_admitidos_web');
		$this->listar_directorios_ruta($report_base_dir);
		
		$this->load->library('zip');
		
		foreach ($this->zipfiles as $item) {
			log_message('debug','to zip::'.$item);
			$this->zip->read_file($item, TRUE); 
		}
		
		$report_zip_path=$this->config->item('report_base_dir_zips').'/'.$this->anoacademico."/".$this->convocatoria;
		if (@mkdir($report_zip_path,0777,true)){
			log_message("info",">>Creando directorio:$report_zip_path");
			
		}else{
			//ya está creado
			log_message("debug",">>El directorio:$report_zip_path ya está creado");	
		}
		
		$this->zip->archive($this->config->item('report_base_dir_zips').'/'.$this->anoacademico."/".$this->convocatoria.'/'.$this->config->item('report_zip'));
		
		$data['titulo'] = lang('ges_procesosInformes');
		
		//creo las migas 	
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_procesos') =>  ""
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		$data['selected']="informes";
		$data['anoacademico'] = $this->anoacademico;
		$data['convocatoria'] = $this->convocatoria;
		
		if ($this->curso_convocatoria_model->getCursoConvocatoria($this->anoacademico,$this->convocatoria)->PUBLICAR_ADMITIDOS==1){
			$data['listados_admitidos_publicados']=true;
		}
		
		$datacabecera['titulo']= lang('ges_procesos');
	    $this->load->view('header_gestor_view',$datacabecera);
		$this->load->view('breadcrumb_view',$databreadcrumb);
		$this->load->view('procesos_informes_gestor_view.php',$data);
		$this->load->view('footer_view.php');
	
	}
	
	/**
	* Función para cargar en remoto
	*/
	public function loadreportfiles(){
				
		$report_base_dir=$this->config->item('report_base_dir');
		$report_path=$report_base_dir."/".$this->anoacademico."/".$this->convocatoria."/".$this->config->item('report_admitidos_web');
		$this->listar_directorios_ruta($report_base_dir);
			
		$report_zip_path=$this->config->item('report_base_dir_zips').'/'.$this->anoacademico."/".$this->convocatoria;
		
		
		$data['reports']=$this->zipfiles;
		$data['zipfile']=$this->config->item('report_base_dir_zips').'/'.$this->anoacademico."/".$this->convocatoria.'/'.$this->config->item('report_zip');
		
		$this->load->view('reportfiles_list_view.php',$data);
		
	
	}
	
	
	public function genAllAdmitidosPDF(){
		$report_base_dir=$this->config->item('report_base_dir');
		$report_path=$report_base_dir."/".$this->anoacademico."/".$this->convocatoria."/".$this->config->item('report_admitidos');
		
		if (@mkdir($report_path,0777,true)){
			log_message("info",">>Creando directorio:$report_path");
			
		}else{
			//ya está creado
			log_message("debug",">>El directorio:$report_path ya está creado");	
		}
		
		$data['listaPlanes']=$this->gestor_model->listarNumeroSolicitudesPreadmitidasMasteres($this->anoacademico,$this->convocatoria);	
		   	   
		foreach($data['listaPlanes'] as $plan){	
			    
            if ($plan-> N_SOLICITUDES >0 ) {
			
				$this->pdfListAdmitidos($plan->COD_PLAN,$report_path);
			}
		}		
		
		
		$data['titulo'] = lang('ges_procesosInformes');
		
		//creo las migas 	
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_procesos') =>  ""
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		$data['selected']="informes";
		$data['anoacademico'] = $this->anoacademico;
		$data['convocatoria'] = $this->convocatoria;
		
		if ($this->curso_convocatoria_model->getCursoConvocatoria($this->anoacademico,$this->convocatoria)->PUBLICAR_ADMITIDOS==1){
			$data['listados_admitidos_publicados']=true;
		}
		
		$datacabecera['titulo']= lang('ges_procesos');
	    $this->load->view('header_gestor_view',$datacabecera);
		$this->load->view('breadcrumb_view',$databreadcrumb);
		$this->load->view('procesos_informes_gestor_view.php',$data);
		$this->load->view('footer_view.php');
	}

	
	
	public function genAllAdmitidosWebPDF(){
		$report_base_dir=$this->config->item('report_base_dir');
		$report_path=$report_base_dir."/".$this->anoacademico."/".$this->convocatoria."/".$this->config->item('report_admitidos_web');
		
		if (@mkdir($report_path,0777,true)){
			log_message("info",">>Creando directorio:$report_path");
			
		}else{
			//ya está creado
			log_message("debug",">>El directorio:$report_path ya está creado");	
		}
		
		$data['listaPlanes']=$this->gestor_model->listarNumeroSolicitudesPreadmitidasMasteres($this->anoacademico,$this->convocatoria);	
		   	   
		foreach($data['listaPlanes'] as $plan){	
			    
            if ($plan-> N_SOLICITUDES >0 ) {
			
				$this->pdfListAdmitidosWeb($plan->COD_PLAN,$report_path);
			}
		}		
		
		$data['titulo'] = lang('ges_procesosInformes');
		
		//creo las migas 	
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_procesos') =>  ""
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		$data['selected']="informes";
		$data['anoacademico'] = $this->anoacademico;
		$data['convocatoria'] = $this->convocatoria;
		
		if ($this->curso_convocatoria_model->getCursoConvocatoria($this->anoacademico,$this->convocatoria)->PUBLICAR_ADMITIDOS==1){
			$data['listados_admitidos_publicados']=true;
		}
				
		
		$datacabecera['titulo']= lang('ges_procesos');
	    $this->load->view('header_gestor_view',$datacabecera);
		$this->load->view('breadcrumb_view',$databreadcrumb);
		$this->load->view('procesos_informes_gestor_view.php',$data);
		$this->load->view('footer_view.php');

	}
	
	
	public function genAllListEsperaPDF(){
		$report_base_dir=$this->config->item('report_base_dir');
		$report_path=$report_base_dir."/".$this->anoacademico."/".$this->convocatoria."/".$this->config->item('report_lista_espera');
		
		if (@mkdir($report_path,0777,true)){
			log_message("info",">>Creando directorio:$report_path");
			
		}else{
			//ya está creado
			log_message("debug",">>El directorio:$report_path ya está creado");	
		}
		
		$data['listaPlanes']=$this->gestor_model->listarNumeroListaEsperaMasteres($this->anoacademico,$this->convocatoria);	
		   	   
		foreach($data['listaPlanes'] as $plan){	
			    
            if ($plan-> N_LISTAESPERA >0 ) {
			
				$this->pdfListListaEspera($plan->COD_PLAN,$report_path);
			}
		}		
		
		$data['titulo'] = lang('ges_procesosInformes');
		
		//creo las migas	
		$breadcrumb = array(
			lang('ges_inicio') => site_url('gestor/index'),			
			lang('ges_procesos') =>  ""
			
		);
		$databreadcrumb['breadcrumb'] = $breadcrumb;
		$data['selected']="informes";
		$data['anoacademico'] = $this->anoacademico;
		$data['convocatoria'] = $this->convocatoria;
		
		if ($this->curso_convocatoria_model->getCursoConvocatoria($this->anoacademico,$this->convocatoria)->PUBLICAR_ADMITIDOS==1){
			$data['listados_admitidos_publicados']=true;
		}
		
		$datacabecera['titulo']= lang('ges_procesos');
	    $this->load->view('header_gestor_view',$datacabecera);
		$this->load->view('breadcrumb_view',$databreadcrumb);
		$this->load->view('procesos_informes_gestor_view.php',$data);
		$this->load->view('footer_view.php');

	}
	 
}//End class

