﻿<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Login extends CI_Controller {

    var $anoacademico=false;
	var $convocatoria=false;
	
	public function __construct()
	{
		log_message('debug','constructor controlador Login');
		parent::__construct();		
	
		$this->load->model('login_model');
		$this->load->model('datosacademicos_model');
		$this->load->model('curso_convocatoria_model');
		$this->load->library('form_validation');
		$this->load->helper('validation');
		
	   	$this->anoacademico= $this->config->item('anoacademico');
		$this->convocatoria= $this->config->item('convocatoria'); 						   
	   
	    $convocatoriaactual=$this->curso_convocatoria_model->selectCurrentConvocatoria();
		if (count($convocatoriaactual)==1){
			
			$convocatoriainsession=array(
				'anoacademico'=>$convocatoriaactual->ANO_ACADEMICO,
				'convocatoria'=>$convocatoriaactual->CONVOCATORIA			
			);
			
			$this->anoacademico=$convocatoriaactual->ANO_ACADEMICO;
			$this->convocatoria=$convocatoriaactual->CONVOCATORIA;	
			$this->session->set_userdata($convocatoriainsession);
		}
	}


	public function index($dataextra=null)
	{
	
	   //sacamos la informacion de inicio/cierre de la convocatoria
	   $data['cursoconvocatoriaactual']=$this->curso_convocatoria_model->selectCurrentConvocatoria();
	   
	   
	   //pruebas
	   //$data['userlist']=$this->login_model->listAllUsers(); 
	   //pruebas
	   
	   if (isset($dataextra)){
			$newdata=array_merge($data,$dataextra);
		}else{
			$newdata=$data;
		}
	   
	   $this->load->view('login_view',$newdata);
	   
	   
	 
	}


   
	public function autenticar(){
		log_message('debug','llamando a autenticar...usuario:'.$this->input->post('uid'));

		$this->form_validation->set_error_delimiters('<div class="alert alert-danger">', '</div>');
		
		$this->form_validation->set_rules('uid', 'lang:apli_usuarioId','required|callback_autenticar_check');	
        
		$this->form_validation->set_rules('password', 'lang:apli_password', 'required');
		
		
		if ($this->form_validation->run() == FALSE)
		{
			$this->index();

		}
		else
		{
			//Cuando llego a este punto ya estoy autenticado y con una variable en la sessión
			//con esa variable se que rol tengo y en funcion de ese rol, ir a un landing u otro
			
			log_message('debug','usuario dentro:'.$this->input->post('uid'));
				
			if($this->session->userdata('auth_rol_nombre')=='Administrador') {
				$data['titulo']= lang('ges_inicio');
			    $this->load->view('header_gestor_view',$data);
				$this->load->view('landing_gestor_view');
				$this->load->view('footer_view');
			}else if($this->session->userdata('auth_rol_nombre')=='Coordinador') {			   
				$data['titulo']= lang('coor_inicio');
			    $this->load->view('header_coordinador_view',$data);
				$this->load->view('landing_coordinador_view');
				$this->load->view('footer_view');
			}else if($this->session->userdata('auth_rol_nombre')=='Gestor') {
			    $this->session->unset_userdata('uid');
				$data['titulo']= lang('ges_inicio');
			    $this->load->view('header_gestor_view',$data);
				$this->load->view('landing_gestor_view');
				$this->load->view('footer_view');
			}else if($this->session->userdata('auth_rol_nombre')=='Solicitante') {
			    
				//comprobamos que esta dentro del periodo de la convocatoria activa
				$dentroperiodo['dentroperiodo']=$this->curso_convocatoria_model->getDentroCursoConvocatoriaActiva();
				if ($dentroperiodo['dentroperiodo'] == false) { // ESTA FUERA DE LA CONVOCATORIA
				   log_message('info','FUERA DE CONVOCATORIA: '.$dentroperiodo['dentroperiodo']-> FECHA_ACTUAL);
				   // volvemos a la pantalla de inicio  
				   $data["msg_error"]=lang('apli_fueraConvocatoria');
				   $this->index($data);
				}
				else { //ESTA DENTRO DE LA CONVOCATORIA
				    log_message('info','DENTRO DE CONVOCATORIA: '.$dentroperiodo['dentroperiodo']-> FECHA_ACTUAL);
					//comprobamos si tiene los datos academicos bloqueados								  
					$bloqueo['bloqueo']=$this->datosacademicos_model->getBloqueo($this->anoacademico,$this->convocatoria,$this->session->userdata('uid')); 						   				
					if ($bloqueo['bloqueo'] == false || $bloqueo['bloqueo']-> NIVEL_BLOQUEO == 0) { //alumno no bloqueado
						 //$databloqueo['bloqueo'] = '0';
						 $databloqueo= null;
						 log_message('debug','usuario no BLOQUEAD0');
					}
					else { //alumno bloqueado
											
						 $databloqueo['bloqueo'] = $bloqueo['bloqueo']-> NIVEL_BLOQUEO;
						 log_message('debug','usuario BLOQUEADO:'.$bloqueo['bloqueo']-> NIVEL_BLOQUEO);
					}
					
					$data['titulo']= lang('soli_inicio');
					$this->load->view('header_solicitante_view',$data);
					$this->load->view('landing_solicitante_view',$databloqueo);
					$this->load->view('footer_view');
				}	
			} 	

			
		}

	}

	
	/**
	 * Cuando el sso está activado valido
	 * @param $str
	 */
   function autenticar_check($str)
	{
		log_message('info',"Intentando autenticar al usuario:".strtoupper($str));
		log_message('debug','intentando autenticar usuario:'.$this->input->post('uid')."__trueautentication:".$this->input->post('trueautentication'));
			
		
		
		//lo primero será autenticar contra el ldap y sino fuera
		
		
		//Condicion temporal mientras se debuggea		
		if ($this->config->item('autenticar_ldap')==true){ 
			
			$config['ldapserver'] = $this->config->item('ldap_server');       
		
			$config['adminusr'] = $this->config->item('ldap_user'); 
			$config['adminpasswd'] = $this->config->item('ldap_pass');      
		
		
			$this->load->library('ldap/UvaLDAP', $config);
		
			$autenticado=$this->uvaldap->autenticar(strtoupper($str),$this->input->post('password'));
			
			if ($autenticado=='1'){
			
			    log_message('info','Autenticado Ldap: '.strtoupper($str));
				//hay que sacar el nif aquí....
				$resultado=$this->uvaldap->searchData(strtoupper($str));
				$ldapdata=$this->uvaldap->data();
				
				log_message('debug','>>Este usuario es super::'.$ldapdata['uvanif']);
				//voy ok	
				$usuarioespecial=$this->login_model->autenticar(strtoupper($ldapdata['uvanif']));
	
				if (count($usuarioespecial)==1){
		
					log_message('debug','Este usuario es super::'.$str);
					
					log_message('info','Autenticado '.strtoupper($str).' ROL '.$usuarioespecial[0]->ROL);
			
					$user=array(
						
						'auth_uid'=>$ldapdata['uvanif'],
						'auth_nombre'=>$usuarioespecial[0]->NOMBRE,
						'auth_ape1'=>$usuarioespecial[0]->APELLIDO1,
						'auth_ape2'=>$usuarioespecial[0]->APELLIDO2,
						'auth_email'=>$usuarioespecial[0]->EMAIL,
						'auth_rol_nombre'=>$usuarioespecial[0]->ROL,
						'uid'=>$ldapdata['uvanif'],
						 //Siempre va a pertenecer a un solicitante no se pondrá cuando sea un usuario 
						'nombre'=>$usuarioespecial[0]->NOMBRE,
						'ape1'=>$usuarioespecial[0]->APELLIDO1,
						'ape2'=>$usuarioespecial[0]->APELLIDO2,
						'email'=>$usuarioespecial[0]->EMAIL
						
					);
					
					
					$this->session->set_userdata($user);
	
	
					log_message('debug','autenticado en el sistema el usuario especial:'.$user['uid']);
					return TRUE;
				
				}else{
					//estoy autenticado pero soy un solicitante 
					log_message('debug','Este usuario es un solicitante::'.$str);
					//AHORA A CONSEGUIR DATOS
					
					                                           
					if ($ldapdata['tipo_documento'] == '0' || $ldapdata['tipo_documento'] == ' ' || $ldapdata['tipo_documento'] == null) { 
					    //recalculamos el tipo de documento
					   					
						log_message('debug','llamada a  VALIDAR_NIF_NIE:'.$ldapdata['uvanif']);
						
						$result = valida_nif_cif_nie($ldapdata['uvanif']);
						
						log_message('debug','Resultado validadr_nif_nie::'.$result);
						
						if ($result == 1)  {
						   $tipoDocumento  = 'NIF';
						}
						else if ($result == 3)  {
						   $tipoDocumento  = 'NIE';
						}
						else {
						   $tipoDocumento  = 'PAS';
						}
						
						log_message('debug','tipoDocumento VALIDAR_NIF_NIE:'.$tipoDocumento);					
																						
					}
					else {
					   $tipoDocumento = $ldapdata['tipo_documento'];
					}
					
					
					//voy a meter esto en algún sitio
					$user=array(
						'auth_uid'=>$ldapdata['uvanif'],
						'auth_nombre'=>$ldapdata['nombre'],
						'auth_ape1'=>$ldapdata['ape1'],
						'auth_ape2'=>$ldapdata['ape2'],
						//'auth_tipo_documento'=>$ldapdata['tipo_documento'],
						'auth_tipo_documento'=>$tipoDocumento,
						'auth_rol_nombre'=>'Solicitante',
						'uid'=>$ldapdata['uvanif'],                            //Siempre va a pertenecer a un solicitante no se pondrá cuando sea un usuario 
						'nombre'=>$ldapdata['nombre'],
						'ape1'=>$ldapdata['ape1'],
						'ape2'=>$ldapdata['ape2'],
						//'tipo_documento'=>$ldapdata['tipo_documento'],
						'tipo_documento'=>$tipoDocumento,
						//'email'=>$ldapdata['uvanif']
					
					);
					log_message('info','autenticado en el sistema el solicitante:'.$user['uid']."_tipo_documento::".$user['auth_tipo_documento']);
					
					$this->session->set_userdata($user);
					
					return TRUE;
		
			    }
				
			}else {
				//te mando fuera...					
				$this->form_validation->set_message('autenticar_check', lang('error_userNoValido'));
				return false;	
				
			}
			
			
		}else{
			
			log_message('debug',"autenticacion falsa!!");
			$usuarioespecial=$this->login_model->autenticar(strtoupper($str));
	
			if (count($usuarioespecial)==1){
	
				log_message('debug','Este usuario es super::'.$str);
		
				$user=array(
					'auth_uid'=>$str,
					'auth_nombre'=>$usuarioespecial[0]->NOMBRE,
					'auth_ape1'=>$usuarioespecial[0]->APELLIDO1,
					'auth_ape2'=>$usuarioespecial[0]->APELLIDO2,
					'auth_email'=>$usuarioespecial[0]->EMAIL,
					'auth_rol_nombre'=>$usuarioespecial[0]->ROL,
					'uid'=>$str,                            //Siempre va a pertenecer a un solicitante no se pondrá cuando sea un usuario 
					'nombre'=>$usuarioespecial[0]->NOMBRE,
					'ape1'=>$usuarioespecial[0]->APELLIDO1,
					'ape2'=>$usuarioespecial[0]->APELLIDO2,
					'email'=>$usuarioespecial[0]->EMAIL
				
				
				);
				
				
				$this->session->set_userdata($user);


				log_message('debug','autenticado en el sistema el usuario especial:'.$user['uid']);
				return TRUE;
				
			}else{
		
		       
				$user=array(
				'auth_uid'=>strtoupper($str),
				'auth_nombre'=>"",
				'auth_ape1'=>"",
				'auth_ape2'=>"",
				'auth_email'=>"",
				'auth_rol_nombre'=>'Solicitante',
                'auth_tipo_documento'=>'PAS',	
                'tipo_documento'=>'PAS',				
				'uid'=>strtoupper($str),                            //Siempre va a pertenecer a un solicitante no se pondrá cuando sea un usuario 
				'nombre'=>"",
				'ape1'=>"",
				'ape2'=>"",
				'email'=>"" );
				
				
			}	
			
			$this->session->set_userdata($user);


			log_message('debug','autenticado en el sistema:'.$user['uid']);
			return TRUE;
		}
		
		
	}


}//End class

