<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Solicitante extends CI_Controller {
		
	var $anoacademico=false;
	var $convocatoria=false;	
	
	public function __construct()
	{
		parent::__construct();
		log_message('debug',">>".$this->uri->segment(2)."_".$this->uri->segment(3));
		
		if ($this->uri->segment(2)=="idioma"){
			$user=array('idioma'=>$this->uri->segment(3));
			$this->session->set_userdata($user);
		}	
        $this->load->model('historico_model');		
        $this->load->model('datosacademicos_model');	

        $this->anoacademico= $this->config->item('anoacademico');
		$this->convocatoria= $this->config->item('convocatoria'); 	

        //si está puesto en session entonces pongo los de session
		if ($this->session->userdata('anoacademico')!=null){
			log_message('debug',"puesto el anoacademico:".$this->session->userdata('anoacademico'));
			$this->anoacademico=$this->session->userdata('anoacademico');
		}
		
		if ($this->session->userdata('convocatoria')!=null){
			log_message('debug',"puesta la convocatoria:".$this->session->userdata('convocatoria'));
			$this->convocatoria=$this->session->userdata('convocatoria');
		}		
	}


	public function index()
	{
		
		$data['titulo']= lang('soli_inicio');
	    $this->load->view('header_solicitante_view',$data);
		
	    //comprobamos si tiene los datos academicos bloqueados					
		$bloqueo['bloqueo']=$this->datosacademicos_model->getBloqueo($this->anoacademico,$this->convocatoria,$this->session->userdata('uid')); 						   
		if ($bloqueo['bloqueo'] == false || $bloqueo['bloqueo']-> NIVEL_BLOQUEO == 0) { //alumno no bloqueado
			 //$databloqueo['bloqueo'] = '0';
			 $databloqueo = null;
			 log_message('debug','usuario no BLOQUEAD0');
		}
		else { //alumno bloqueado
								
			 $databloqueo['bloqueo']= $bloqueo['bloqueo']-> NIVEL_BLOQUEO;
			 log_message('debug','usuario BLOQUEADO:'.$bloqueo['bloqueo']-> NIVEL_BLOQUEO);
		}
		
		
		$this->load->view('landing_solicitante_view.php',$databloqueo);
		$this->load->view('footer_view.php');
		
	}

	/**
	* cambiar idioma 
	*/
	public function idioma($lang){		
		$this->index();
	}
	
	
	public function verHistorial(){		
		
		$historico=$this->historico_model->listHistoricoSolicitante($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));
		$data['historicolist']=$historico;
		
		$datacabecera['titulo']= lang('soli_historialSolicitud');
		$this->load->view('header_solicitante_view',$datacabecera);
		$this->load->view('historial_solicitud_view.php', $data);	
		$this->load->view('footer_view.php');
	
	
	}

    public function tutorial(){
		//log_message("debug","--- tutorial ---".$this->session->userdata('idioma'));
		
		$tutorial_base_dir=$this->config->item('tutorial_base_dir');
		$viewer_path="$tutorial_base_dir";
		
		$data['viewer_path']=$viewer_path;
		if ($this->session->userdata('idioma') == 'english') {
		    $data['filename']='manual_solicitante_en.pdf';
		}
        else {
		    $data['filename']='manual_solicitante_es.pdf';
        }		
		
		$this->load->view('upload/downloader', $data);		
	}
	
	public function contacto(){				
		$datacabecera['titulo']= lang('soli_contacto');
		$this->load->view('header_solicitante_view',$datacabecera);
		$this->load->view('contacto_solicitante_view.php');	
		$this->load->view('footer_view.php');
	
	}
	
	
	public function enviarContacto(){		
	
		$this->load->library('email');
		
		$this->email->from($this->config->item('contact_soporte_mail'),'Preinscripciones Master');		
		$this->email->to($this->config->item('contact_mail')); 
		
		
		/*if (isset($_POST['nombre'])) {
		    $name = strip_tags($_POST['nombre']);
			$email = strip_tags($_POST['mail']);
			$message = strip_tags($_POST['motivo']);*/
		if (isset($_POST['nombre'])) {
			$name = strip_tags($this->input->post('nombre'));
			$email = strip_tags($this->input->post('mail'));
			$message = strip_tags($this->input->post('motivo'));
				
           		
			$this->email->reply_to($email, $email);
			
			$email_subject = lang('soli_contacto').": $name \n";
			$email_body = lang('soli_nuevoCorreo') .
			lang('soli_detalles')." :\n ".lang('soli_nombre').": $name \n ".
			lang('soli_email').": $email\n ".lang('soli_mensaje')." \n $message";				
			
			$this->email->subject($email_subject);
			$this->email->message($email_body);	
			
			if ( ! $this->email->send())
			{
				// Generate error
				log_message("debug","--- mail error");
				$data['titulo']= lang('soli_contacto');
				$this->load->view('header_solicitante_view',$data);
				$datamensaje['mensaje']= lang('soli_contactoError');
				$datamensaje['siguiente']= site_url('solicitante/index');
				$datamensaje['error']= "S";
				$this->load->view('solicitante_msj_view.php',$datamensaje);
				$this->load->view('footer_view.php');

			}else{
				log_message("debug","--- mail send");
				$data['titulo']= lang('soli_contacto');
				$this->load->view('header_solicitante_view',$data);				
				$datamensaje['mensaje']= lang('soli_contactoOk');
				$datamensaje['siguiente']= site_url('solicitante/index');
				$this->load->view('solicitante_msj_view.php',$datamensaje);
				$this->load->view('footer_view.php');
			}

			
		}

	}
	
	
}//End class

