﻿<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');


define('GESTOR', "Gestor");
define('ADMINISTRADOR', "Administrador");
define('INSERT_DATOS_ACADEMICOS',3);
define('UPDATE_DATOS_ACADEMICOS',4);

class Solicitantedatosacademicos extends CI_Controller {
    var $gestormode=false;
    var $databreadcrumb=array();
	
	var $anoacademico=false;
	var $convocatoria=false;
	
	public function __construct()
	{
		parent::__construct();
		
		$this->load->library('form_validation');
		$this->load->model('datospersonales_model');	
		$this->load->model('datosacademicos_model');
 	    $this->load->model('datosacademicos');		
		$this->load->model('historico_model');
		
		$this->load->model('progreso_solicitud');
		$this->load->model('progreso_solicitud_model');
		$this->lang->load('gestor');
		
		if ($this->session->userdata('auth_rol_nombre')!=null){
			$this->anoacademico= $this->config->item('anoacademico');
			$this->convocatoria= $this->config->item('convocatoria'); 
			
			//si está puesto en session entonces pongo los de session
			if ($this->session->userdata('anoacademico')!=null){
				log_message('debug',"puesto el anoacademico:".$this->session->userdata('anoacademico'));
				$this->anoacademico=$this->session->userdata('anoacademico');
			}
			
			if ($this->session->userdata('convocatoria')!=null){
				log_message('debug',"puesta la convocatoria:".$this->session->userdata('convocatoria'));
				$this->convocatoria=$this->session->userdata('convocatoria');
			}
			
			if ($this->session->userdata('auth_rol_nombre')==GESTOR ||  $this->session->userdata('auth_rol_nombre')==ADMINISTRADOR){
				log_message('debug',">>>>>>>>>>>>>>>>essseeee::".$this->uri->segment(3)."__".$this->uri->segment(4));
				$breadcrumb = array(				
					lang('ges_inicio') => site_url('gestor/index'),
					lang('ges_listSolicitudes') =>  site_url('gestor/solicitudes'),
					lang('ges_datosAcademicos')  => 	''
				);
				
				$this->databreadcrumb['breadcrumb']=$breadcrumb;
				
				$this->gestormode=true;
				if ($this->uri->segment(3)=="uid"){
					$user=array('uid'=>$this->uri->segment(4));
					//log_message('debug',uid);
					$this->session->set_userdata($user);
				
				}
				
				if ($this->uri->segment(5)=="plan"){
					
					$plan=array('gestor_plan'=>$this->uri->segment(6));	
					$this->session->set_userdata($plan);	
				}
				
				$plan=$this->session->userdata('gestor_plan');
				//si tengo en session el valor de un plan meto la miga apropiada para el gestor
				if (!empty($plan)){
					$plan=$this->session->userdata('gestor_plan');
					
					$breadcrumb = array(					
						lang('ges_inicio') => site_url('gestor/index'),
						lang('ges_listaMaster') =>  site_url('gestor/selectMaster'),
						lang('ges_master')." ".$plan => site_url('coordinador/listarPreinscripciones')."/".$plan,
						lang('ges_datosAcademicos') => 	''
					);
					$this->databreadcrumb['breadcrumb']=$breadcrumb;
				}
			}
			
			
			//validacion para que si esta bloqueado no pueda acceder a datos academicos desde la url				
			$bloqueo['bloqueo']=$this->datosacademicos_model->getBloqueo($this->anoacademico,$this->convocatoria,$this->session->userdata('uid')); 						   
			if ($bloqueo['bloqueo']-> NIVEL_BLOQUEO == 1 and $this->session->userdata('auth_rol_nombre')!=GESTOR and
				$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {
				log_message('info',"ACCESO NO AUTORIZADO - PREINSCRIPCION BLOQUEADA - SE DESTRUYE SESION:".$this->session->userdata('uid'));
				$this->session->sess_destroy();	
			}
			
		}
		
		/* pruebas*/
		/*$this->output->enable_profiler(TRUE);
		$sections = array(
			'config'  => TRUE,
			'queries' => TRUE
		);*/
		/*fin pruebas*/
		
	}
	

   public function index()
	{
	    
		$data['titulo']= lang('soli_inicio');
		if ($this->gestormode) {
			$this->load->view('header_gestor_view.php',$data);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
		}else{
			
			$this->load->view('header_solicitante_view',$data);
		}
		
		$this->load->view('landing_solicitante_view.php');
		$this->load->view('footer_view.php');


	}
	

  public function datosacademicos()
	{
       
			log_message('debug',"Datos academicos");	
			
			//obtengo lista de paises de estudios origen
			$data['listaPaises']=$this->datospersonales_model->listarPaises();
			
			//obtengo lista de universidades       			    
			$data['listaUniversidades']=$this->datosacademicos_model->listarUniversidades();
			
			//compruebo si el usuario ya ha realizado antes añadir datos academicos de  preinscripcion o es nuevo
			$nuevo=$this->datosacademicos_model->existeDatosAcademicos($this->session->userdata('uid'),$this->anoacademico,$this->convocatoria);
			if ($nuevo ==false) // datos academicos nuevo
			{

					log_message('debug',"Datos academico nuevo");	
					//guardo en  una variable para saber que es solicitante con datos academicos nuevo
					$data['nuevoAcademico'] = 'S';
						
					//compruebo si el usuario es de la Uva o no
					$alumnouva=$this->datospersonales_model->alumnoUva($this->session->userdata('uid'));			
					if ($alumnouva ==false) // alumno NO uva  
					{
						
						log_message('debug',"Datos academico nuevo NO Uva");	
						//guardo en una variable para saber que si el solicitante con datos academicos nuevo es de la uva o no
						$data['uva'] = 'N';
						
						//inicializo campos
						$datosacad=new datosacademicos();			
						$data['datosAcademicos'] = $datosacad;
						$data['tipo'] = '1';
						
					}
					else{
						// alumno uva  
						log_message('debug',"Datos academico nuevo Uva");	
						//guardo en  una variable para saber que si el solicitante con datos academicos nuevo es de la uva o no
						$data['uva'] = 'S';
								
						//OBTENGO DATOS DE LOS EXPEDIENTES DE LA UVA
						$data['listaExpedientesTitulados'] = $this->datosacademicos_model->listarExpedientesTitulados($this->session->userdata('uid'));
						
						$datosacad=new datosacademicos();		
						$data['datosAcademicos'] = $datosacad;					
						$data['tipo'] = '1';
					}
							
			}
			else // solicitante con datos academicos antiguo
			{
			
				log_message('debug',"Datos academico antiguo");	
				//guardo en una variable para saber que es solicitante con datos academicos antiguo
				$data['nuevoAcademico'] = 'N';
				
				
				// busco en tabla pm_cab_preinscripcion
				$data['datosAcademicos']= $this->datosacademicos_model-> getdatosAcademicos($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));
												
				//compruebo si el usuario es de la Uva o no
				$alumnouva=$this->datospersonales_model->alumnoUva($this->session->userdata('uid'));
			   
				if ($alumnouva ==false) // alumno NO uva
				{				
					log_message('debug',"Datos academicos antiguo  NO Uva");	
					//guardo en una variable para saber que si el solicitante nuevo es de la uva o no
					$data['uva'] = 'N';
					
				}
				else{ 
					// alumno uva
					log_message('debug',"Datos academicos antiguo Uva");	
					//guardo en  una variable para saber que si el solicitante nuevo es de la uva o no
					$data['uva'] = 'S';				
					
					//OBTENGO DATOS DE LOS EXPEDIENTES DE LA UVA
					$data['listaExpedientesTitulados'] = $this->datosacademicos_model->listarExpedientesTitulados($this->session->userdata('uid'));
					
					//recorro los expediente de la uva, si ninguno de ellos coincide con el codigo estudios de la base datos
					//es que eligio acceso por otros estudios
					$data['datosAcademicos']->ACCESO_OTROS_ESTUDIOS ='S';				
					foreach ($data['listaExpedientesTitulados'] as $expe) {					
						if ($data['datosAcademicos']->COD_ESTUDIOS_MEC == $expe->COD_ESTUDIOS_MEC) 
						{
							$data['datosAcademicos']->ACCESO_OTROS_ESTUDIOS ='N';					
						}
						
					}
					
				}
										
					
				if ($data['datosAcademicos']->PAIS_ORIGEN == 'E') {
					//obtengo lista de estudios  dada una universidad y el tipo de estudio
					$uni =$data['datosAcademicos']->UNIVERSIDAD_ORIGEN;
					$tipo= $this->datosacademicos_model-> getTipoEstudio($data['datosAcademicos']->COD_ESTUDIOS_MEC);
					if ($tipo == '5' ) {// bolonia
						$tipoestu = '1';			
					}
					else { // pre-bolonia		
						$tipoestu = '2'; 
									
					}
					$data['tipo'] = $tipoestu;
					$data['listaEstudios'] = $this->datosacademicos_model->listarEstudiosOrigen($uni,$tipoestu);
				}
				else{	
					 $data['tipo'] = '1';
					
				}	


                //obtengo lista de universidades  
				$tipo= $this->input->post('tipoEstudio');
				$expediente = $this->input->post('expediente');				
				if ($data['tipo'] == '1'  and  $data['datosAcademicos']->ACCESO_OTROS_ESTUDIOS!= 'N') {	       		      
    		        $data['listaUniversidades']=$this->datosacademicos_model->listarUniversidadesSinUva();
				}
				else {
					$data['listaUniversidades']=$this->datosacademicos_model->listarUniversidades();
				}					
				
			}
				
			$data['titulo']= lang('soli_datosacademicos');	
			if ($this->gestormode) {
				$this->load->view('header_gestor_view.php',$data);
				$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
			}else{			
				$this->load->view('header_solicitante_view',$data);
			}
			
			$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_DATOSACADEMICOS);	
			$this->load->view('progreso_solicitud_view.php',$data_progreso);
			$this->load->view('datosacademicos_solicitante_view.php',$data);		
			$this->load->view('footer_view.php');
		
	}



 public function validar_datosacademicos()
	{
	    log_message('debug',"Entro en validar_datos_academicos");	
		
					
        $this->form_validation->set_error_delimiters('<div class="alert alert-danger "><span class="glyphicon glyphicon-minus-sign"></span> ', '</div>');	


     	//REGLAS DE VALIDACION
		
		if ($this->input->post('uva') == 'S')
		{
			//expediente u otro acceso seleccionado
     		$this->form_validation->set_rules('expediente', 'lang:soli_estudiosacceso','trim|required');
		}
		
	 	$expediente = $this->input->post('expediente');
		if ($this->input->post('uva') == 'N' or  $expediente== 'OtroAcceso')  
		{
		
			   //pais origen
				$this->form_validation->set_rules('paisorigen', 'lang:soli_pais','trim|required');
						
			  
				$selectuni= $this->input->post('selectuni');
				if ($selectuni == 1) { //campo lista desplegable-- Pais ESPAÑA
					//universidad y descripcion universidad de origen
					$this->form_validation->set_rules('selectuniversidadorigen', 'lang:soli_universidad','trim|required');
					//tipo estudio
					$this->form_validation->set_rules('tipoEstudio', 'Tipo Estudio','trim|required');
				}
				else {  //pais EXTRANJERO
					 //campo input universidad y descripcion 
					$this->form_validation->set_rules('otrauniversidadorigen', 'lang:soli_universidadDescripcion','trim|required|max_length[100]');
				
				}	
				
				//estudios origen
				$estudio= $this->input->post('estudio');
				$selectestudio= $this->input->post('selectestudio');
				if ($estudio == 1) { //campo input
				   $this->form_validation->set_rules('estudioorigen', 'lang:soli_estudiosDescripcion','trim|required|max_length[300]');
				}
				if ($selectestudio == 1) { //campo lista desplegable
					$this->form_validation->set_rules('selectestudioorigen', 'lang:soli_estudios','trim|required');
				}
				
				//fecha expedicion de titulo
				 $this->form_validation->set_rules('fechapago', 'lang:soli_fechatitulo','trim|required|callback_validar_fechapago');		
		   
	    }
		
		if ($this->form_validation->run() == FALSE)
		{
			    // si hay errores, volvemos a la pagina de datos academicos y los mostramos
				
			    if ($this->input->post('nuevoAcademico') == 'S' ) {				
					if ($this->input->post('uva') == 'S')  {					  
	                   
						$data['listaExpedientesTitulados'] = $this->datosacademicos_model->listarExpedientesTitulados($this->session->userdata('uid'));
					
					    $datosacad=new datosacademicos();						
				        $data['datosAcademicos'] = $datosacad;					   
						$data['tipo'] = '1';
						
					}
					else{
						//inicializo campos
						$datosacad=new datosacademicos();			
						$data['datosAcademicos'] = $datosacad;
						$data['tipo'] = '1';
						
				
					}
				}
				else { // solicitante antiguo
				    if ($this->input->post('uva') == 'S')  { //alumno uva
					
				        
						 $data['datosAcademicos']= $this->datosacademicos_model-> getdatosAcademicos($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));
						//OBTENGO DATOS DE LOS EXPEDIENTES DE LA UVA
				        $data['listaExpedientesTitulados'] = $this->datosacademicos_model->listarExpedientesTitulados($this->session->userdata('uid'));
						

						if ($data['datosAcademicos']->PAIS_ORIGEN == 'E') {
							//obtengo lista de estudios  dada una universidad y el tipo de estudio
							$uni =$data['datosAcademicos']->UNIVERSIDAD_ORIGEN;
							$tipo= $this->datosacademicos_model-> getTipoEstudio($data['datosAcademicos']->COD_ESTUDIOS_MEC);
							if ($tipo == '5' ) {// bolonia
								$tipoestu = '1';			
							}
							else { // pre-bolonia								
								$tipoestu = '2';                                 
							}
							$data['tipo'] = $tipoestu;
							$data['listaEstudios'] = $this->datosacademicos_model->listarEstudiosOrigen($uni,$tipoestu);
						}
						else{
							$data['tipo'] = '1';
						}	
						
				  }
				  else { // alumno no uva
						 
						$data['datosAcademicos']= $this->datosacademicos_model-> getdatosAcademicos($this->anoacademico, $this->convocatoria,$this->session->userdata('uid'));
						$data['tipo'] = '1';
						
				
				  }
				}
				
				//obtengo lista de paises origen
				$data['listaPaises']=$this->datospersonales_model->listarPaises();
				
				//obtengo lista de universidades  
				$tipo= $this->input->post('tipoEstudio');
				$expediente = $this->input->post('expediente');
				if ($tipo == '1'  and  $expediente== 'OtroAcceso') {	       		      
    		        $data['listaUniversidades']=$this->datosacademicos_model->listarUniversidadesSinUva();
				}
				else {
					$data['listaUniversidades']=$this->datosacademicos_model->listarUniversidades();
				}
							
				
				//obtengo lista de estudios de la universidad y tipo seleccionado  	
				$uni = $this->input->post('selectuniversidadorigen');
				$tipo= $this->input->post('tipoEstudio');
        		$data['listaEstudios']=$this->datosacademicos_model->listarEstudiosOrigen($uni,$tipo);
				
				
				
				$data['nuevoAcademico']= $this->input->post('nuevoAcademico');
				$data['uva']= $this->input->post('uva');
				
				
				$data['titulo']= lang('soli_datosacademicos');
				if ($this->gestormode) {
					$this->load->view('header_gestor_view.php',$data);
					$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
				}else{					
					$this->load->view('header_solicitante_view',$data);
				}
				$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_DATOSACADEMICOS);	
				$this->load->view('progreso_solicitud_view.php',$data_progreso);
				$this->load->view('datosacademicos_solicitante_view.php',$data);
				$this->load->view('footer_view.php');

		}
		else
		{
  			    // si todo ha ido bien, grabo los datos
				
				if ($this->input->post('uva') == 'S' and  $this->input->post('expediente')!='OtroAcceso')  
				{
					$universidadorigen = '19';
					$estudios = $expediente;
					$paisorigen = 'E';
					$fechapago = $this->input->post('fechapagouva');
					$otrauniversidadorigen = "";
					$otroestudiorigen = "";
					$estado = "";
					
				}
				else
				{
					$selectuni= $this->input->post('selectuni');
					if ($selectuni == 1) { //campo lista desplegable porque Pais es España
						$universidadorigen = $this->input->post('selectuniversidadorigen');
						
						$estudios = $this->input->post('selectestudioorigen');
						$otrauniversidadorigen = "";
						$otroestudiorigen = "";
						$paisorigen= $this->input->post('paisorigen');
						$estado = "";
					}
					else{ //pais extranjero
						$universidadorigen = "90";
						$estudios = "90990000000";
						$otrauniversidadorigen = $this->input->post('otrauniversidadorigen');
						$otroestudiorigen= $this->input->post('estudioorigen');
						$paisorigen= $this->input->post('paisorigen');
						
						// si el paisorigen pertenece a IEEE, poner en equivalencia "No Necesita"
						$perteneceEEES= $this->datosacademicos_model-> perteneceEEES($paisorigen);
						$estado = "";
						if ($perteneceEEES == 'S' ) { 
							$estado = "3";		
						}				        
					}
					
					$fechapago = $this->input->post('fechapago');
					
					
				}
				
				
				
			
                if ($this->input->post('nuevoAcademico') == 'S') {
					//inserto en pm_cab_preinscripcion
					log_message('debug','VALIDADO FORMULARIO DATOS ACADEMICOS.insert');

				
					$data = array(
					   'ANO_ACADEMICO' => $this->anoacademico,
					   'CONVOCATORIA' => $this->convocatoria,
					   'DNI_PASAPORTE' => $this->session->userdata('uid'),
					   'COD_ESTUDIOS_MEC' => $estudios,
					   'UNIVERSIDAD_ORIGEN' => $universidadorigen,
					   'OTRA_UNIVERSIDAD_ORIGEN' => $otrauniversidadorigen,
					   'OTRO_ESTUDIO_ORIGEN' => $otroestudiorigen,
					   'PAIS_ORIGEN' =>$paisorigen,
					   'FECHA_PAGO' => $fechapago,
                       'ESTADO_SOLICITUD' => $estado					   
				   );
					
		            $resultado=$this->datosacademicos_model->insertarDatosAcademicos($data);					
        			log_message('info','INSERTADO SOLICITANTE! '.$resultado);
					$this->historico_model->insertarAccionHistorico(
					     $this->anoacademico,
						 $this->convocatoria,						 
						 $this->session->userdata('uid'),
						 $this->session->userdata('auth_uid'),
						 INSERT_DATOS_ACADEMICOS,
						 json_encode($data));						
										
				}
				else {
			        log_message('debug','VALIDADO FORMULARIO DATOS ACADEMICOS.update');
					
					//update en pm_cab_preinscripcion
					
					$data = array(
					   'COD_ESTUDIOS_MEC' => $estudios,
					   'UNIVERSIDAD_ORIGEN' => $universidadorigen,
					   'OTRA_UNIVERSIDAD_ORIGEN' => $otrauniversidadorigen,
					   'OTRO_ESTUDIO_ORIGEN' => $otroestudiorigen,
					   'PAIS_ORIGEN' =>$paisorigen,
					   'FECHA_PAGO' => $fechapago,
                       'ESTADO_SOLICITUD' => $estado					   
				    );
					
					$resultado=$this->datosacademicos_model->modificarDatosAcademicos($this->anoacademico,
  					                   $this->convocatoria, $this->session->userdata('uid'),$data);								
        			log_message('info','MODIFICADO DATOS ACADEMICOS! '.$resultado);
					
					$this->historico_model->insertarAccionHistorico(
					  $this->anoacademico,
					  $this->convocatoria,
					  $this->session->userdata('uid'),
					  $this->session->userdata('auth_uid'),
					  UPDATE_DATOS_ACADEMICOS,
					  json_encode($data));	
				}

			    $data['titulo']= lang('soli_datosacademicos');
				if ($this->gestormode) {
					$this->load->view('header_gestor_view.php',$data);
					$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
				}else{					
					$this->load->view('header_solicitante_view',$data);
				}
				$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_DATOSACADEMICOS);	
				$this->load->view('progreso_solicitud_view.php',$data_progreso);
				$datamensaje['mensaje']= lang('soli_datosacademicosOk');
				$datamensaje['siguiente']= site_url('solicitanteopciones/opciones');				
				$this->load->view('solicitante_msj_view.php',$datamensaje);
				$this->load->view('footer_view.php');
				
	   }
	
	}
	
	
	
	
/** 
  * Llena la lista desplegable de estudios origen segun una universidad y tipo de estudio seleccionado
  */
  function llena_estudios($universidad, $tipoestudio)
    {
		log_message('info',"entro en llena_estudios");		
		
        $options = "";
		$estudios = $this->datosacademicos_model->ListarEstudiosOrigen($universidad,$tipoestudio);
		
		?>	<option value=''><?= lang('soli_eligeEstudios')?></option><?php
		
		foreach($estudios as $fila)
		{
		?>			
        
		<option value="<?=$fila -> CODIGO_MEC ?>" ><?=$fila -> DES_CODIGO_MEC ?>
  
		<?php
		
		}

    }	
	

/** 
  * Valida si la fecha de pago tiene formato correcto (dd/mm/yyyy), que no sea superior a la actual ni <= (fecha nacim + 20 años)
  */
  function validar_fechapago($fecha)
    {
		
		// obtengo la fecha de nacimiento + 20 años
		$fecha_nacim = $this->datosacademicos_model->getFechaNacim20Años($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));		
		
		$trozosFecha=explode("/",trim($fecha)); 
		$trozosFecha20=explode("/",trim($fecha_nacim)); 
		
		if (count($trozosFecha) > 1 ){
																			
			if( (!checkdate((int)$trozosFecha[1],(int)$trozosFecha[0],(int)$trozosFecha[2])) ||
				($trozosFecha[2]<=1920) || ($trozosFecha[2]>date("Y")) ) {
				  $this->form_validation->set_message('validar_fechapago', lang('error_anoNoValido'));
				  return FALSE;
			}				
		    elseif ($trozosFecha[2]>date("Y") || ($trozosFecha[2]==date("Y") && $trozosFecha[1]>date("m")) || ($trozosFecha[2]==date("Y") && $trozosFecha[1]==date("m") && $trozosFecha[0]>date("d")) ){
				  $this->form_validation->set_message('validar_fechapago', lang('error_fechaPosteriorActual'));
				  return FALSE;
				  
			}
			elseif ($trozosFecha[2]<$trozosFecha20[2] || ($trozosFecha[2]==$trozosFecha20[2] && $trozosFecha[1]< $trozosFecha20[1]) || ($trozosFecha[2]==$trozosFecha20[2] && $trozosFecha[1]==$trozosFecha20[1] && $trozosFecha[0]<$trozosFecha20[0]) ){
				  $this->form_validation->set_message('validar_fechapago', lang('error_fechaPosteriorFecha20'));
				  return FALSE;
				  
			}
			else{
				return true;
			}
		}
	    else {
		   $this->form_validation->set_message('validar_fechapago', lang('error_fechaNoValida'));
		   return FALSE;
		
		}
		
             
   }
   
   	
/** 
  * Llena la descripcion de un estudio
  */
	function llena_descripcion_estudios($estudio)
	 {
		log_message('info',"entro en llena_descripcio_nestudios");		

		$des_estudios = $this->datosacademicos_model->getDescripcionEstudio($estudio);
		
		?>
         <label><?=lang('soli_estudiosDescripcionObligatorio')?></label>
         <input id="estudioorigenuva" name="estudiorigenuva" type="text" class="form-control" value="<?=$des_estudios ?>" size="10"  readonly>
         
		<?php
    }
	
	
/** 
  * Llena la fecha de pago de un estudio
  */
  
    function llena_fechapago_estudios($dni_pasaporte,$estudio)
    {
		log_message('info',"entro en llena_fechapago_estudios");		

		$fecha_pago = $this->datosacademicos_model->getFechaPagoEstudio($dni_pasaporte,$estudio);
		
		log_message('info',$fecha_pago);	
		
		?>
        <label><?=lang('soli_fechatitulo')?></label>
         <input id="fechapagouva" name="fechapagouva" type="text" class="form-control" value="<?=$fecha_pago?>" size="10" placeholder="dd/mm/yyyy" readonly>
         
		<?php
    }
	
/** 
  * Llena la lista desplegable de universidadades excepto la universidad de valladolid
  */
   function llena_universidadesSinUva()
    {
		log_message('info',"entro en llena_universidadesSinUva");		
		
        $options = "";
		$estudios = $this->datosacademicos_model->listarUniversidadesSinUva();
		
		
		?>	<option value=''><?= lang('soli_eligeUniversidad')?></option><?php
		
		foreach($estudios as $fila)
		{
		?>			

        <option value="<?=$fila -> COD_UNIVERSIDAD_MEC ?>" set_select('selectestudioorigen',<?=$fila -> COD_UNIVERSIDAD_MEC ?>); ><?=$fila -> DENOMINACION ?></option>
  
		<?php
		
		}

    }	
   
   
 /** 
  * Llena la lista desplegable de universidadades
  */
   function llena_universidades()
    {
		log_message('info',"entro en llena_universidades");		
		
        $options = "";
		$estudios = $this->datosacademicos_model->listarUniversidades();
		
		
	?>	<option value=''><?= lang('soli_eligeUniversidad')?></option><?php
				
			
		foreach($estudios as $fila)
		{
		?>			
       
		<option value="<?=$fila -> COD_UNIVERSIDAD_MEC ?>"><?=$fila -> DENOMINACION ?>
  
		<?php
		
		}

    }
   

}//End class


