﻿<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

define('GESTOR', "Gestor");
define('ADMINISTRADOR', "Administrador");
define('INSERT_OPCIONES',5);

class Solicitanteopciones extends CI_Controller {
    var $gestormode=false;
    var $databreadcrumb=array();
	
	var $anoacademico=false;
	var $convocatoria=false;
	
	public function __construct()
	{
		parent::__construct();
		
		$this->load->library('form_validation');		
 	    $this->load->model('opciones_model');
   	    $this->load->model('plan_model');
		$this->load->model('progreso_solicitud_model');
		$this->load->model('historico_model');
		$this->load->model('datosacademicos_model');
		$this->lang->load('gestor');
		
		if ($this->session->userdata('auth_rol_nombre')!=null){
			$this->anoacademico= $this->config->item('anoacademico');
			$this->convocatoria= $this->config->item('convocatoria'); 
			
			//si está puesto en session entonces pongo los de session
			if ($this->session->userdata('anoacademico')!=null){
				log_message('debug',"puesto el anoacademico:".$this->session->userdata('anoacademico'));
				$this->anoacademico=$this->session->userdata('anoacademico');
			}
			
			if ($this->session->userdata('convocatoria')!=null){
				log_message('debug',"puesta la convocatoria:".$this->session->userdata('convocatoria'));
				$this->convocatoria=$this->session->userdata('convocatoria');
			}
			
			if ($this->session->userdata('auth_rol_nombre')==GESTOR ||  $this->session->userdata('auth_rol_nombre')==ADMINISTRADOR){
				log_message('debug',">>>>>>>>>>>>>>>>essseeee::".$this->uri->segment(3)."__".$this->uri->segment(4));
				$breadcrumb = array(
					lang('ges_inicio') => site_url('gestor/index'),
					lang('ges_listSolicitudes') =>  site_url('gestor/solicitudes'),
					lang('ges_opciones')  => 	''
				);
				$this->databreadcrumb['breadcrumb']=$breadcrumb;
				
				$this->gestormode=true;
				if ($this->uri->segment(3)=="uid"){
					$user=array('uid'=>$this->uri->segment(4));
					//log_message('debug',uid);
					$this->session->set_userdata($user);
				
				}
				
				if ($this->uri->segment(5)=="plan"){
					
					$plan=array('gestor_plan'=>$this->uri->segment(6));	
					$this->session->set_userdata($plan);	
				}
				
				$plan=$this->session->userdata('gestor_plan');
				//si tengo en session el valor de un plan meto la miga apropiada para el gestor
				if (!empty($plan)){
					$plan=$this->session->userdata('gestor_plan');
					
					$breadcrumb = array(					
						lang('ges_inicio') => site_url('gestor/index'),
						lang('ges_listaMaster') =>  site_url('gestor/selectMaster'),
						lang('ges_master')." ".$plan => site_url('coordinador/listarPreinscripciones')."/".$plan,
						lang('ges_opciones') => 	''
					);
					$this->databreadcrumb['breadcrumb']=$breadcrumb;
				}
			}
			
		
			//validacion para que si esta bloqueado no pueda acceder a opciones desde la url				
			$bloqueo['bloqueo']=$this->datosacademicos_model->getBloqueo($this->anoacademico,$this->convocatoria,$this->session->userdata('uid')); 						   
			if ($bloqueo['bloqueo']-> NIVEL_BLOQUEO == 1 and $this->session->userdata('auth_rol_nombre')!=GESTOR and
				$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {
				log_message('info',"ACCESO NO AUTORIZADO - PREINSCRIPCION BLOQUEADA - SE DESTRUYE SESION:".$this->session->userdata('uid'));
				$this->session->sess_destroy();	
			}
		}
		
		/* pruebas*/
		/*$this->output->enable_profiler(TRUE);
		$sections = array(
			'config'  => TRUE,
			'queries' => TRUE
		);*/
		/*fin pruebas*/
		
	}
	
  public function index()
  {
        $data['titulo']= lang('soli_inicio');
        if ($this->gestormode) {
			$this->load->view('header_gestor_view.php',$data);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
		}else{			
	        $this->load->view('header_solicitante_view',$data);
		}
		$this->load->view('landing_solicitante_view.php');
		$this->load->view('footer_view.php');
  

  }
  
  public function opciones(){
		//Opciones que ya he elegido...la primera esta lista vacía
		$data['opselegidaslist']=$this->opciones_model->listDetallePreinscripciones($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));

		//Inicializoo mi array
		$cod_plan_list=Array();
		
		//genero array opciones
		$opciones=Array();
		
		foreach($data['opselegidaslist'] as $opciongrabada){
			$opciones[$opciongrabada->OPCION]=$opciongrabada->COD_PLAN_OPC;
			
		}

		$opcionesgrabadas=0;
			
		//Utilizo las opciones que me han llegado en el post
		foreach ($opciones as $key=>$opcion){
				//$opcionesgrabadas+=1;
				log_message('debug', ">opcion::{$key}_{$opcion}");
				$cod_plan_list=$opciones;
				unset($cod_plan_list[$key]);
				$data['planeslist'][$key]=$this->plan_model->listFilteredPlanes($this->anoacademico,$this->convocatoria,$cod_plan_list);
								
				$lista_filtro=Array();								
		}

		$opcionesgrabadas=count($opciones);
		log_message("debug","opciones grabadas:".$opcionesgrabadas);
		
		while ($opcionesgrabadas<$this->config->item("opciones_preinscripcion")){
			$data['planeslist'][$opcionesgrabadas]=$this->plan_model->listFilteredPlanes($this->anoacademico,$this->convocatoria,$opciones);			
			
			$opcionesgrabadas=$opcionesgrabadas+1;
		}
			
        $planes = $this->plan_model->listFilteredPlanes($this->anoacademico,$this->convocatoria,null);
		if(!empty($planes)){
				 
				$combo = "";
				$combo .= "<option value='0' >".lang('soli_eligePlan')."</option>";				
				foreach($planes as $item){
					$combo .= "<option value='$item->COD_PLAN' >$item->COD_PLAN - $item->DES_PLAN</option>";					
				}
		}
				
		$data['comboplanes']=$combo;			
		
		$datacabecera['titulo']= lang('soli_opciones');
		if ($this->gestormode) {
			$this->load->view('header_gestor_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
		}else{			
		    $this->load->view('header_solicitante_view',$datacabecera);
		}
		$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_DATOSOPCIONES);	
		$this->load->view('progreso_solicitud_view.php',$data_progreso);
		$this->load->view('opciones_solicitante_view.php',$data);
		$this->load->view('footer_view.php');
	
		
	}


	
 /**
   * LLamada jquery para recuperar el criterio especifico de un master
   */
	public function selectCriterioEspecifico(){
		//Verificamos que la llamada o interaccion es del tipo AJAX
		if($this->input->is_ajax_request()){
			//Codigo de plan seleccionado en el combo
			$cod_plan = $this->input->post("cod_plan");
			log_message('debug',"LLamando a select...criterio especifico:".$cod_plan);

			$result = $this->plan_model->getPlan($this->anoacademico,$this->convocatoria,$cod_plan);
			if(!empty($result)){
				 
				$informacion="";
				$informacion.="<strong>".$result->COD_PLAN." - ".$result->DESCRIPCION."</strong>";
				$informacion.="<br>";
				$informacion.="<p> Este máster tiene esta información adicional en texto bla,bla,bla....</p>";
				$informacion.="<p><a href='".$result->ENLACE."' target='_blank'>".$result->ENLACE."</a></p>";
				$informacion.="<p> Para esta convocatoria se ofertan:".$result->PLAZAS_OFERTADAS." plazas.</p>";

				$this->output->set_output($informacion);
			}else{
				//lo mismo nada de echos ni prints en los controladores
				echo "FALSE";
			}
		}
	}
	

	/**
	 * Guardando las opciones
	 */
	public function saveopciones(){		
		
		//Voy a recogeer la variable de post y la voy a recorrer....
		$opciones=$this->input->post('opciones');
		
		$this->form_validation->set_error_delimiters('<div class="alert alert-danger">', '</div>');

	    $this->form_validation->set_rules('opciones[0]', 'Opciones', "callback_custom_opciones_check");
		

		if ($this->form_validation->run() == FALSE )
		{
			log_message('debug',"no paso la validacion");
			$this->form_validation->set_message('opciones', 'Pues no la pasa opciones!!!!!');
		
			//Estas son las opciones originales
			$data['opselegidaslist']=$this->opciones_model->listDetallePreinscripciones($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));

		
			$opcionesgrabadas=0;
			
			//Utilizo las opciones que me han llegado en el post
			foreach ($opciones as $key=>$opcion){
				//$opcionesgrabadas+=1;
				log_message('debug', ">opcion::{$key}_{$opcion}");
				$cod_plan_list=$opciones;
				unset($cod_plan_list[$key]);
				$data['planeslist'][$key]=$this->plan_model->listFilteredPlanes($this->anoacademico,$this->convocatoria,$cod_plan_list);			
				
			}

			//Precargo todas cuando estén vacías para que todas tengan el listado precargado...
			$opcionesgrabadas=count($opciones);
			while ($opcionesgrabadas<$this->config->item("opciones_preinscripcion")){
				$data['planeslist'][$opcionesgrabadas]=$this->plan_model->listFilteredPlanes($this->anoacademico,$this->convocatoria,$opciones);
				$opcionesgrabadas=$opcionesgrabadas+1;
			}
		
			$data["opciones"]=$opciones;
			
			
			$planes = $this->plan_model->listFilteredPlanes($this->anoacademico,$this->convocatoria,null);
			if(!empty($planes)){
					 
					$combo = "";
					$combo .= "<option value='0' >".lang('soli_eligePlan')."</option>";				
					foreach($planes as $item){
						$combo .= "<option value='$item->COD_PLAN' >$item->COD_PLAN - $item->DES_PLAN</option>";					
					}
			}
					
			$data['comboplanes']=$combo;	
			
            $datacabecera['titulo']= lang('soli_opciones');			
			if ($this->gestormode) {
				$this->load->view('header_gestor_view.php',$datacabecera);
				$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
			}else{				
			    $this->load->view('header_solicitante_view',$datacabecera);	
			}	
		    
			$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_DATOSOPCIONES);	
			$this->load->view('progreso_solicitud_view.php',$data_progreso);		
			$this->load->view('opciones_solicitante_view.php',$data);
			$this->load->view('footer_view.php');
			
		
		}
		else
		{
			log_message('debug',"Si paso la validacion");
			
			
			//aparece un bloque de informacion la primera vez que inserta preinscripcion
			//compruebo si es la primera vez que entra en opciones
		    $nuevo=$this->opciones_model->existeDatosOpciones($this->session->userdata('uid'),$this->anoacademico,$this->convocatoria);
		    if ($nuevo ==false) // datos academicos nuevo
		    {
			  $datamensaje['nuevo']= 'S';
			}  		

			//Array de opciones?
			$this->opciones_model->deletePreinscripciones($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));
		
			foreach ($opciones as $key=>$item){
					
				//Pequeña validación para no grabar los que tengan valor 0
				if ($item!='0') {
					log_message('debug','LLamando a save con los valores:'.$key."____".$item);
					$this->opciones_model->insertPreinscripcion($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),$key,$item);
				}
			}
			
	        $this->historico_model->insertarAccionHistorico(
			      $this->anoacademico,
				  $this->convocatoria,
				  $this->session->userdata('uid'),
				  $this->session->userdata('auth_uid'),
				  INSERT_OPCIONES,
				  json_encode($opciones));
			
            $datacabecera['titulo']= lang('soli_opciones');			
			if ($this->gestormode) {
				$this->load->view('header_gestor_view.php',$datacabecera);
				$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
			}else{				
			    $this->load->view('header_solicitante_view',$datacabecera);	
			}	  
			
			$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),NULL);	
			$this->load->view('progreso_solicitud_view.php',$data_progreso);
			$datamensaje['mensaje']= lang('soli_opcionesOk');
			$datamensaje['siguiente']= site_url('solicitanteupload/index');
			
			$this->load->view('solicitante_msj_view.php',$datamensaje);
			$this->load->view('footer_view.php');
			

		}//end else cuando hay acierto

	}
	
	
	/**
	 * Esta validación solo la hago una vez...entra con la primera opción...primero se validan las opciones por separado
	 * @param unknown_type $str
	 */
	function custom_opciones_check($str){
		
		$opciones=$this->input->post('opciones');
		
		$validate=true;
		log_message('debug',"validación particular de opciones ".$str."_indice es:".array_search($str,$opciones));
		
	
		//$this->form_validation->set_message('custom_opciones_check', 'Pues no la pasa opciones!!!!!');	
		
		if (count($opciones)>$this->config->item('opciones_preinscripcion')){
			log_message('debug',"se intentan grabar más opciones que las permitidas");
			$this->form_validation->set_message('custom_opcionescheck', lang('error_opciones_exceds')."(".$this->config->item('opciones_preinscripcion').")");
			$validate=false;
		}
		
		$opcionvaciaintermedia=false;
		
		foreach ($opciones as $key=>$item){
		//para el valor 0 no hago la validación
			if ($item<>"0"){											
				if ($opcionvaciaintermedia==true) {
					$this->form_validation->set_message('custom_opciones_check',lang('error_opcionVacia'));													
					$validate=false;
				}
					
			}else{
			//controlo que no me venga una opción intermedia en blanco, la primera vez				
				$opcionvaciaintermedia=true;
				
			}
		}
		
		//validamos que al menos introduzca una opcion
		$opcionrellena=false;
		foreach ($opciones as $key=>$item){
			if ($item<>"0"){
				$opcionrellena=true;
			}
		}
		if ($opcionrellena==false) {
			$this->form_validation->set_message('custom_opciones_check', lang('error_opcionObligatoria'));
			$validate=false;
		}
	
		
		return $validate;
	}



}//End class


