<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
define('GESTOR', "Gestor");
define('ADMINISTRADOR', "Administrador");
define('COORDINADOR', "Coordinador");

class Solicitanteresumen extends CI_Controller {
	
    var $gestormode=false;
	var $coordinadormode=false;
	var $bloqueo=false;
	
    var $databreadcrumb=array();
    var $anoacademico=false;
	var $convocatoria=false;	
	
	public function __construct()
	{
		parent::__construct();
		$this->load->model('upload_model');
		
		$this->load->library('form_validation');
		$this->load->model('plan_model');
		$this->load->model('opciones_model');

		
		$this->load->model('datospersonales_model');
		$this->load->model('datosacademicos_model');
		$this->load->model('datosacademicos');
		
		$this->load->model('progreso_solicitud_model');
		$this->lang->load('gestor');
		$this->lang->load('coordinador');
		
	
		$this->anoacademico= $this->config->item('anoacademico');
		$this->convocatoria= $this->config->item('convocatoria'); 	
		//si está puesto en session entonces pongo los de session
		if ($this->session->userdata('anoacademico')!=null){
			log_message('debug',"puesto el anoacademico:".$this->session->userdata('anoacademico'));
			$this->anoacademico=$this->session->userdata('anoacademico');
		}
		
		if ($this->session->userdata('convocatoria')!=null){
			log_message('debug',"puesta la convocatoria:".$this->session->userdata('convocatoria'));
			$this->convocatoria=$this->session->userdata('convocatoria');
		}
		
		
		/*Si el usuario que invoca es un gestor entonces meto en la variable uid - los datos del usuario que me interesan*/
		if ($this->session->userdata('auth_rol_nombre')==GESTOR ||   $this->session->userdata('auth_rol_nombre')==ADMINISTRADOR){
		    log_message('debug',">>>>>>>>>>>>>>>>essseeee::".$this->uri->segment(3)."__".$this->uri->segment(4));
			log_message('debug',">>>>>>>>>>>>>>>>essseeee::".$this->uri->segment(5)."__".$this->uri->segment(6));
			
			if (($this->uri->segment(3)== $this->anoacademico && $this->uri->segment(4)== $this->convocatoria) ||
			   ($this->uri->segment(3) == null && ($this->uri->segment(4)== null))){
			    $breadcrumb = array(
					lang('ges_inicio') => site_url('gestor/index'),
					lang('ges_listSolicitudes') =>  site_url('gestor/solicitudes'),
					lang('ges_resumensolicitud')  => 	''
					
				);
			} else {	
                // llamo desde otras convocatorias
			    $breadcrumb = array(
					lang('ges_inicio') => site_url('gestor/index'),
					lang('ges_otrasConvocatorias') => site_url('gestor/otrasConvocatorias'),
					lang('ges_resumensolicitud')  => 	''
					
				);			
				
			}	
			$this->databreadcrumb['breadcrumb']=$breadcrumb;
			
			$this->gestormode=true;			
			
			if ($this->uri->segment(5)=="uid"){
				$user=array('uid'=>$this->uri->segment(6));
				//log_message('debug',uid);
				$this->session->set_userdata($user);
			
			}
			
			
			if ($this->uri->segment(7)=="plan"){
				
				$plan=array('gestor_plan'=>$this->uri->segment(8));	
				$this->session->set_userdata($plan);	
			}
			
			$plan=$this->session->userdata('gestor_plan');
			//si tengo en session el valor de un plan meto la miga apropiada para el gestor
			if (!empty($plan)){
				$plan=$this->session->userdata('gestor_plan');				
			
				$breadcrumb = array(
					lang('ges_inicio') => site_url('gestor/index'),
					lang('ges_listaMaster') =>  site_url('gestor/selectMaster'),					
                    lang('ges_master')." ".$plan =>   site_url('coordinador/listarPreinscripciones')."/".$plan,										
					lang('ges_resumensolicitud')  => 	''
					
				);
				$this->databreadcrumb['breadcrumb']=$breadcrumb;
			}
						
		}
		
		
		if ($this->session->userdata('auth_rol_nombre')==COORDINADOR){
		log_message('debug',">>>>>>>>>>>>>>>>coor::".$this->uri->segment(3)."__".$this->uri->segment(4)."__".$this->uri->segment(5)."__".$this->uri->segment(6));
		log_message('debug',">>>>>>>>>>>>>>>>coor::".$this->uri->segment(7)."__".$this->uri->segment(8));
			
			$plan="";
			//El coordinador entra como si fuera un gestor, la única diferencia es que no puede hacer modificaciones
			//$this->gestormode=true;
			$this->coordinadormode=true;
			
			
			if ($this->uri->segment(5)=="uid"){
				$user=array('uid'=>$this->uri->segment(6));
				//log_message('debug',uid);
				$this->session->set_userdata($user);
			
			}
			if ($this->uri->segment(7)=="plan"){				
				
				$coord=array('coordinador_plan'=>$this->uri->segment(8));	
				$this->session->set_userdata($coord);	
			}
			
			
			//utilizo esta variable de session que siempre estará en este punto cuando soy coordinador
			$plan=$this->session->userdata('coordinador_plan');
			
			$breadcrumb = array(
				lang('coor_inicio') => site_url('coordinador/index'),
				lang('coor_listaMaster') => site_url('coordinador/selectMaster'),	
				lang('coor_master')." ".$plan => site_url('coordinador/listarPreinscripciones')."/".$plan,
				lang('ges_resumensolicitud') => 	''
						
			);
			$this->databreadcrumb['breadcrumb']=$breadcrumb;
			
		}
		
		//comprobamos si tiene los datos academicos bloqueados		
        if ($this->session->userdata('uid') != 0) {			
			$solicitantebloqueo=$this->datosacademicos_model->getBloqueo($this->anoacademico,$this->convocatoria,$this->session->userdata('uid')); 
			if ($solicitantebloqueo == true && $solicitantebloqueo -> NIVEL_BLOQUEO!= 0) {
				 $this->bloqueo=true;
			}
		}	
		
		/*$this->output->enable_profiler(TRUE);
		$sections = array(
			'config'  => TRUE,
			'queries' => TRUE
		);*/
	}


	public function index()
	{
	    $data['titulo']= lang('soli_inicio');
	    if ($this->gestormode ==true) {
			$this->load->view('header_gestor_view.php',$data);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
		}else{			
	        $this->load->view('header_solicitante_view',$data);
		}
		
		$this->load->view('landing_solicitante_view.php');
		$this->load->view('footer_view.php');
		
	}
	
	

	/**
	* Dejo esta para configurar la opción por defecto que quiera
	*/
	public function resumen($anoacademico=null, $convocatoria=null)
	{
		
		$this->datospersonales($anoacademico, $convocatoria);
	}

	
	
	/**
	* Resumen de datos personales
	*/
	public function datospersonales($anoacademico=null, $convocatoria=null)
	{
		
		if ($anoacademico == null) { $anoacademico = $this->anoacademico; }
		if ($convocatoria == null) { $convocatoria = $this->convocatoria; }
		
  		// busco en tabla pm_solicitantes aquí deben estar todos los datos porque la preinscripción está hecha
		$datosPersonales= $this->datospersonales_model-> getdatosSolicitante($anoacademico,$convocatoria,$this->session->userdata('uid'));
				
		//pais	
		$datosPersonales->COD_PAIS_NACION_TXT=$this->datospersonales_model-> getPais($datosPersonales->COD_PAIS_NACION);
		$datosPersonales->COD_PAIS_HABIT_TXT=$this->datospersonales_model-> getPais($datosPersonales->COD_PAIS_HABIT);	
		$datosPersonales->COD_PAIS_NACIM_TXT=$this->datospersonales_model-> getPais($datosPersonales->COD_PAIS_NACIM);
			
		//Provincias
		$datosPersonales->PROVINCIA_HABIT_TXT=$this->datospersonales_model-> getProvincia($datosPersonales->PROVINCIA_HABIT);
		$datosPersonales->PROVINCIA_NACIM_TXT=$this->datospersonales_model-> getProvincia($datosPersonales->PROVINCIA_NACIM);
	
			
		//localidades
		if (($datosPersonales->PROVINCIA_HABIT!='99' || $datosPersonales->PROVINCIA_HABIT!='98') && $datosPersonales->COD_POST_HABIT!='99999'){
			$datosPersonales->LOCALIDAD1_HABIT_TXT=$this->datospersonales_model-> getLocalidad($datosPersonales->PROVINCIA_HABIT,$datosPersonales->COD_POST_HABIT,$datosPersonales->ORD_LOCALIZ_HABIT);
		}
		else { 
			$datosPersonales->LOCALIDAD1_HABIT_TXT= $datosPersonales->LOCALIDAD1_HABIT;
		}
			
		if (($datosPersonales->PROVINCIA_NACIM!='99' || $datosPersonales->PROVINCIA_NACIM!='98') && $datosPersonales->COD_POST_NACIM!='99999'){
			$datosPersonales->LOCALIDAD1_NACIM_TXT=$this->datospersonales_model-> getLocalidad($datosPersonales->PROVINCIA_NACIM,$datosPersonales->COD_POST_NACIM,$datosPersonales->ORD_LOCALIZ_NACIM);
		}
		else { 
		    $datosPersonales->LOCALIDAD1_NACIM_TXT= $datosPersonales->LOCALIDAD1_NACIM;
		}
					
		$data['datosPersonales']=$datosPersonales;	
		
		$datacabecera['titulo']= lang('soli_resumendatospersonales');
		
		$datatab['selected']="datospersonales";
		
		if ($this->gestormode==true) {
			$this->load->view('header_gestor_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
		}else if ($this->coordinadormode==true){
			$this->load->view('header_coordinador_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);		
		}else{
			$this->load->view('header_solicitante_view',$datacabecera);
		}
		//no lo muestro cuando el que accede es un coordinador  
		
		if ($this->coordinadormode==false ) {
		
		    $data_progreso = null;
			
			// Se muestra: si alumno no esta bloqueado y estoy en el año y convocatoria actual
			// o si el alumno esta bloqueado, soy gestoy y estoy en año y convocatoria actual 
		    if (($this->bloqueo==false && $anoacademico== $this->anoacademico && $convocatoria== $this->convocatoria)
			   || 
			    ($this->bloqueo==true && $this->gestormode==true && ($anoacademico== $this->anoacademico && $convocatoria== $this->convocatoria)) )
			{	
			  $data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_ABSTRACT);			
			}			
			$this->load->view('progreso_solicitud_view.php',$data_progreso);	
		}		
		$datatab['anoacademico']=$anoacademico;
		$datatab['convocatoria']=$convocatoria;
		$this->load->view('resumen_tab_view.php',$datatab);
		$this->load->view('resumen_datospersonales_sol_view.php',$data);
		$this->load->view('footer_view.php');


	}
	
	
	/**
	* Mostrar el resumen de los datos academicos elegidos
	*/
	public function datosacademicos($anoacademico=null, $convocatoria= null)
	
	{
	    if ($anoacademico == null) { $anoacademico = $this->anoacademico; }
		if ($convocatoria == null) { $convocatoria = $this->convocatoria; }
       		
		// busco en tabla pm_cab_preinscripcion
		//$datosAcademicos=$this->datosacademicos_model-> getdatosAcademicos($this->config->item('anoacademico'),$this->config->item('convocatoria'),$this->session->userdata('uid'));
		$datosAcademicos=$this->datosacademicos_model-> getdatosAcademicos($anoacademico,$convocatoria,$this->session->userdata('uid'));
 		
        if 	($datosAcademicos == true) {
			// universidad de procedencia	
			if ($datosAcademicos->UNIVERSIDAD_ORIGEN!='90'){
				$datosAcademicos->UNIVERSIDAD_ORIGEN_TXT =$this->datosacademicos_model-> getDesUniversidad($datosAcademicos->UNIVERSIDAD_ORIGEN);
			}
			else { 
				$datosAcademicos->UNIVERSIDAD_ORIGEN_TXT= $datosAcademicos->OTRA_UNIVERSIDAD_ORIGEN;
			}
			
			// estudios de procedencia	 
			if ($datosAcademicos->COD_ESTUDIOS_MEC!='90990000000'){
				$datosAcademicos->COD_ESTUDIOS_ORIGEN_TXT =$this->datosacademicos_model-> getDescripcionEstudio($datosAcademicos->COD_ESTUDIOS_MEC);
			}
			else {
				$datosAcademicos->COD_ESTUDIOS_ORIGEN_TXT= $datosAcademicos->OTRO_ESTUDIO_ORIGEN;
			}
		}	
		
		$data['datosAcademicos']=$datosAcademicos; 
		$datatab['selected']="datosacademicos";
		
		$datacabecera['titulo']= lang('soli_resumendatosacademicos');
        if ($this->gestormode ==true) {
			$this->load->view('header_gestor_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
		}else if ($this->coordinadormode==true){
			$this->load->view('header_coordinador_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);		
		}else{
			$this->load->view('header_solicitante_view',$datacabecera);
		}

		if ($this->coordinadormode==false ){	
		    $data_progreso = null;

			if (($this->bloqueo==false && $anoacademico== $this->anoacademico && $convocatoria== $this->convocatoria)
			   || 
			    ($this->bloqueo==true && $this->gestormode==true && ($anoacademico== $this->anoacademico && $convocatoria== $this->convocatoria)) )
			{
			  $data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_ABSTRACT);			
			}
			
			$this->load->view('progreso_solicitud_view.php',$data_progreso);	
		}	
		
		$datatab['anoacademico']=$anoacademico;
		$datatab['convocatoria']=$convocatoria;
		$this->load->view('resumen_tab_view.php',$datatab);
		$this->load->view('resumen_datosacademicos_sol_view.php',$data);
	    $this->load->view('footer_view.php');
		
		
	}
	
	
	public function upload($anoacademico=null, $convocatoria=null)
	{
		log_message('debug','LLAMANDO AL INDEX DEL UPLOAD!!');
		
		if ($anoacademico == null) { $anoacademico = $this->anoacademico; }
		if ($convocatoria == null) { $convocatoria = $this->convocatoria; }
				
		
		//Saco las variables de la configuración y la session;		
		$data['uploaddocumentlist']=$this->upload_model->listDocumentosBySolicitud($anoacademico,$convocatoria,$this->session->userdata('uid'));		
		$data['documenttypelist']=$this->upload_model->listTiposDocumentos($anoacademico,$convocatoria);
				
	    $datatab['selected']="upload";
		
		$datacabecera['titulo']= lang('soli_resumendocumentacion');
		if ($this->gestormode ==true) {
			$this->load->view('header_gestor_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
		}	
		else if ($this->coordinadormode==true){
			$this->load->view('header_coordinador_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);		
		}else{
			$this->load->view('header_solicitante_view',$datacabecera);
		}
		
		if ($this->coordinadormode==false ){	
		    $data_progreso = null;
			
		    if (($this->bloqueo==false && $anoacademico== $this->anoacademico && $convocatoria==$this->convocatoria)
			   || 
			    ($this->bloqueo==true && $this->gestormode==true && ($anoacademico==  $this->anoacademico && $convocatoria== $this->convocatoria)) )
			{	
			  $data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_ABSTRACT);			
			}			
			$this->load->view('progreso_solicitud_view.php',$data_progreso);	
		}	
		$datatab['anoacademico']=$anoacademico;
		$datatab['convocatoria']=$convocatoria;
		$this->load->view('resumen_tab_view.php',$datatab);
		$this->load->view('resumen_upload_sol_view.php',$data);
	    $this->load->view('footer_view.php');
		
		
	}
	
	
	
	/**
	* Mostrar las opciones
	*/
	public function opciones($anoacademico=null, $convocatoria=null){
	
	    if ($anoacademico == null) { $anoacademico = $this->anoacademico; }
		if ($convocatoria == null) { $convocatoria = $this->convocatoria; }
		
		//Opciones que ya he elegido...la primera esta lista vacía		
		$data['opselegidaslist']=$this->opciones_model->listDetallePreinscripciones($anoacademico, $convocatoria,$this->session->userdata('uid'));
		
		$datatab['selected']="opciones";
    		
		$datacabecera['titulo']= lang('soli_resumenopciones');
		
		if ($this->gestormode==true) {
			$this->load->view('header_gestor_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
		}else if ($this->coordinadormode==true){
			$this->load->view('header_coordinador_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);		
		}else{
			$this->load->view('header_solicitante_view',$datacabecera);
		}		
		
		if ($this->coordinadormode==false ){	
		    $data_progreso = null;
			
		   if (($this->bloqueo==false && $anoacademico== $this->anoacademico && $convocatoria== $this->convocatoria)
			   || 
			    ($this->bloqueo==true && $this->gestormode==true && ($anoacademico== $this->anoacademico) && $convocatoria== $this->convocatoria) )
			{
			  $data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_ABSTRACT);			
			}			
			$this->load->view('progreso_solicitud_view.php',$data_progreso);	
		}	
		$datatab['anoacademico']=$anoacademico;
		$datatab['convocatoria']=$convocatoria;
		$this->load->view('resumen_tab_view.php',$datatab);
		$this->load->view('resumen_opciones_sol_view.php',$data);
	    $this->load->view('footer_view.php');
		
	}
	
	
	public function printable($anoacademico=null,$convocatoria=null){
	
	    if ($anoacademico == null) { $anoacademico = $this->anoacademico; }
		if ($convocatoria == null) { $convocatoria = $this->convocatoria; }
	
	    log_message('debug','LLAMANDO PRINTABLE!!'.$this->session->userdata('uid'));
	
		$datosPersonales= $this->datospersonales_model-> getdatosSolicitante($anoacademico,$convocatoria,$this->session->userdata('uid'));
				
		//pais	
		$datosPersonales->COD_PAIS_NACION_TXT=$this->datospersonales_model-> getPais($datosPersonales->COD_PAIS_NACION);
		$datosPersonales->COD_PAIS_HABIT_TXT=$this->datospersonales_model-> getPais($datosPersonales->COD_PAIS_HABIT);	
		$datosPersonales->COD_PAIS_NACIM_TXT=$this->datospersonales_model-> getPais($datosPersonales->COD_PAIS_NACIM);
			
		//Provincias
		$datosPersonales->PROVINCIA_HABIT_TXT=$this->datospersonales_model-> getProvincia($datosPersonales->PROVINCIA_HABIT);
		$datosPersonales->PROVINCIA_NACIM_TXT=$this->datospersonales_model-> getProvincia($datosPersonales->PROVINCIA_NACIM);
	
			
		//localidades
		if (($datosPersonales->PROVINCIA_HABIT!='99' || $datosPersonales->PROVINCIA_HABIT!='98') && $datosPersonales->COD_POST_HABIT!='99999'){
			$datosPersonales->LOCALIDAD1_HABIT_TXT=$this->datospersonales_model-> getLocalidad($datosPersonales->PROVINCIA_HABIT,$datosPersonales->COD_POST_HABIT,$datosPersonales->ORD_LOCALIZ_HABIT);
		}
		else {
			$datosPersonales->LOCALIDAD1_HABIT_TXT= $datosPersonales->LOCALIDAD1_HABIT;
		}
			
			
		if (($datosPersonales->PROVINCIA_NACIM!='99' || $datosPersonales->PROVINCIA_NACIM!='98') && $datosPersonales->COD_POST_NACIM!='99999'){
			$datosPersonales->LOCALIDAD1_NACIM_TXT=$this->datospersonales_model-> getLocalidad($datosPersonales->PROVINCIA_NACIM,$datosPersonales->COD_POST_NACIM,$datosPersonales->ORD_LOCALIZ_NACIM);
		}
		else {
		 
			$datosPersonales->LOCALIDAD1_NACIM_TXT= $datosPersonales->LOCALIDAD1_NACIM;
		}
					
		$data['datosPersonales']=$datosPersonales;
					
		$datosAcademicos=$this->datosacademicos_model-> getdatosAcademicos($anoacademico,$convocatoria,$this->session->userdata('uid'));
			
		if ($datosAcademicos == true) {
			// universidad de procedencia	
			if ($datosAcademicos->UNIVERSIDAD_ORIGEN!='90'){
				$datosAcademicos->UNIVERSIDAD_ORIGEN_TXT =$this->datosacademicos_model-> getDesUniversidad($datosAcademicos->UNIVERSIDAD_ORIGEN);
			}
			else { 
				$datosAcademicos->UNIVERSIDAD_ORIGEN_TXT= $datosAcademicos->OTRA_UNIVERSIDAD_ORIGEN;
			}
			
			// estudios de procedencia	 
			if ($datosAcademicos->COD_ESTUDIOS_MEC!='90990000000'){
				$datosAcademicos->COD_ESTUDIOS_ORIGEN_TXT =$this->datosacademicos_model-> getDescripcionEstudio($datosAcademicos->COD_ESTUDIOS_MEC);
			}
			else { 
				$datosAcademicos->COD_ESTUDIOS_ORIGEN_TXT= $datosAcademicos->OTRO_ESTUDIO_ORIGEN;
			}
		}	
			
	    $data['datosAcademicos']=$datosAcademicos; 			
		$data['opselegidaslist']=$this->opciones_model->listDetallePreinscripciones($anoacademico,$convocatoria,$this->session->userdata('uid'));				
        $data['uploaddocumentlist']=$this->upload_model->listDocumentosBySolicitud($anoacademico,$convocatoria,$this->session->userdata('uid'));						
		
		$datatab['selected']="printable";
		
		$datacabecera['titulo']= lang('soli_resumensolicitud');
		if ($this->gestormode ==true) {		    
			$this->load->view('header_gestor_print_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
		}	
		else if ($this->coordinadormode==true ) {		    
			$this->load->view('header_coordinador_print_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);	
		}
		else {
		   $this->load->view('header_print_view.php');
		}
			
		
		if ($this->coordinadormode==false ){	
		    $data_progreso = null;
			
		    if (($this->bloqueo==false && $anoacademico== $this->anoacademico && $convocatoria== $this->convocatoria)
			   || 
			    ($this->bloqueo==true && $this->gestormode==true && ($anoacademico== $this->anoacademico && $convocatoria== $this->convocatoria)) )
			{	
			  $data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_ABSTRACT);			
			}			
			$this->load->view('progreso_solicitud_view.php',$data_progreso);	
		}	
        $datatab['anoacademico']=$anoacademico;
		$datatab['convocatoria']=$convocatoria;
		$datatab['printable']="printable";
		$this->load->view('resumen_tab_view.php',$datatab);
		/*$this->load->view('resumen_datospersonales_sol_view.php',$data);
    	$this->load->view('resumen_datosacademicos_sol_view.php',$data);
		$this->load->view('resumen_opciones_sol_view.php',$data);
		$this->load->view('resumen_upload_sol_view.php',$data);*/
		$this->load->view('resumen_solicitud_print_view.php',$data);
		$this->load->view('footer_view.php');
	
	}
	

}//End class

