<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

define('GESTOR', "Gestor");
define('ADMINISTRADOR', "Administrador");
define('SOLICITANTE', "Solicitante");

define('INSERT_DOCUMENT',6);
define('DELETE_DOCUMENT',7);

class Solicitanteupload extends CI_Controller {
	
	var $gestormode=false;
    var $databreadcrumb=array();
	
	var $anoacademico=false;
	var $convocatoria=false;
	
	public function __construct()
	{
		parent::__construct();
		$this->load->model('upload_model');	
		//Para filtrar los nombres de los ficheros
		$this->load->helper('security');
		$this->load->helper('form');
  	   
		$this->load->library('form_validation');		
		$this->load->model('progreso_solicitud_model');
		$this->load->model('historico_model');
		$this->load->model('datosacademicos_model');
		$this->lang->load('gestor');
		
		if ($this->session->userdata('auth_rol_nombre')!=null){
			$this->anoacademico= $this->config->item('anoacademico');
			$this->convocatoria= $this->config->item('convocatoria'); 	
			//si está puesto en session entonces pongo los de session
			if ($this->session->userdata('anoacademico')!=null){
				log_message('debug',"puesto el anoacademico:".$this->session->userdata('anoacademico'));
				$this->anoacademico=$this->session->userdata('anoacademico');
			}
			
			if ($this->session->userdata('convocatoria')!=null){
				log_message('debug',"puesta la convocatoria:".$this->session->userdata('convocatoria'));
				$this->convocatoria=$this->session->userdata('convocatoria');
			}
			
			if ($this->session->userdata('auth_rol_nombre')==GESTOR || $this->session->userdata('auth_rol_nombre')==ADMINISTRADOR){
				log_message('debug',">>>>>>>>>>>>>>>>upload::".$this->uri->segment(3)."__".$this->uri->segment(4));
				$breadcrumb = array(
					lang('ges_inicio') => site_url('gestor/index'),
					lang('ges_listSolicitudes') =>  site_url('gestor/solicitudes'),
					lang('ges_documentacion')  => 	''
				);
				$this->databreadcrumb['breadcrumb']=$breadcrumb;
				
				$this->gestormode=true;
				if ($this->uri->segment(3)=="uid"){
					$user=array('uid'=>$this->uri->segment(4));
					//log_message('debug',uid);
					$this->session->set_userdata($user);
				
				}
				
				if ($this->uri->segment(5)=="plan"){
					
					$plan=array('gestor_plan'=>$this->uri->segment(6));	
					$this->session->set_userdata($plan);	
				}
				
				$plan=$this->session->userdata('gestor_plan');
				//si tengo en session el valor de un plan meto la miga apropiada para el gestor
				if (!empty($plan)){
					$plan=$this->session->userdata('gestor_plan');
					
					$breadcrumb = array(					
						lang('ges_inicio') => site_url('gestor/index'),
						lang('ges_listaMaster') =>  site_url('gestor/selectMaster'),
						lang('ges_master')." ".$plan => site_url('coordinador/listarPreinscripciones')."/".$plan,
						lang('ges_documentacion') => 	''
					);
					$this->databreadcrumb['breadcrumb']=$breadcrumb;
				}
			}
			
		
			//validacion para que si esta bloqueado no pueda acceder a documentacion desde la url
            if ($this->session->userdata('uid') != 0) {			
			    $bloqueo['bloqueo']=$this->datosacademicos_model->getBloqueo($this->anoacademico,$this->convocatoria,$this->session->userdata('uid')); 						   
				if ($bloqueo['bloqueo']-> NIVEL_BLOQUEO == 1 and $this->session->userdata('auth_rol_nombre')!=GESTOR and
					$this->session->userdata('auth_rol_nombre')!=ADMINISTRADOR) {
					$this->session->sess_destroy();	
				}
			}
		}
		
		/*$this->output->enable_profiler(TRUE);
		$sections = array(
			'config'  => TRUE,
			'queries' => TRUE
		);*/
		
	}

	
	public function index()
	{
		//log_message('debug','LLAMANDO AL UPLOAD!!'.$this->session->userdata('uid'));
	
		//Saco las variables de la configuración y la session;		
		$data2['uploaddocumentlist']=$this->upload_model->listDocumentosBySolicitud($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));
		$data2['documenttypelist']=$this->upload_model->listTiposDocumentos($this->anoacademico,$this->convocatoria);
		
		
        $datacabecera['titulo']= lang('soli_documentacion');
        if ($this->gestormode) {
			$this->load->view('header_gestor_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
		}else{			
	    	$this->load->view('header_solicitante_view',$datacabecera);
		}
		
		$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_UPLOAD);	
		$this->load->view('progreso_solicitud_view.php',$data_progreso);
		$this->load->view('upload_view.php',$data2);
		$this->load->view('footer_view.php');
		
	
	}

	public function do_upload()
	{
		
		$upload_base_dir=$this->config->item('upload_base_dir');
		
		
		//Por seguridad las variables que conozco de la session y de la configuración no las recibo
		$descripcion=$this->input->post('descripcion', TRUE);
		
		$upload_path=$upload_base_dir."/".$this->anoacademico."/".$this->convocatoria."/".$this->session->userdata('uid');
		
		
		if (@mkdir($upload_path,0777,true)){
			log_message("info",">>Creando directorio:$upload_path");
			
		}else{
			//ya está creado
			log_message("debug",">>El directorio:$upload_path ya está creado");	
		}
		
	
	
		//Por seguridad
		$_FILES['userfile']['name']=$this->security->xss_clean($_FILES['userfile']['name']);
		$_FILES['userfile']['name']=$this->security->sanitize_filename($_FILES['userfile']['name']);
		
		
		$original_name=$_FILES['userfile']['name'];
		
		/*Esto debe ir al fichero de configuración de la aplicacion y la librería al constructor de esta clase*/
		$config['upload_path'] = $upload_path.'/';
		$config['allowed_types'] =$this->config->item('upload_allowed_types');
		$config['max_size']	= $this->config->item('upload_max_size');
		$config['file_name']	= $this->config->item('upload_default_filename');
		
		//CONFIGURACIÓN POR DEFECTO SI EL FICHERO EXISTE SE AGREGA UN NÚMERO AL FICHERO
		//$config['overwrite']= FALSE;  
		
		//Esto solo aplica para imagenes en realidad
		$config['max_width']  = '0';
		$config['max_height']  = '0';
		
				
		$this->load->library('upload', $config);

		if ( ! $this->upload->do_upload())
		{
			$data = array('error' => $this->upload->display_errors());
			log_message("error",">>Error subiendo fichero:".$upload_path."/".$_FILES['userfile']['name']);			
		}
		else
		{
			$data = array('upload_data' => $this->upload->data());
			log_message("info",">>upload ok del fichero:".$upload_path."/".$data['upload_data']['file_name']."--Nombre original::".$_FILES['userfile']['name']);		
            
			if ($this->input->post('tipo_documento')==0){
				$tipo='6';    //si viene a 0 le pongo por defecto el valor de otra documentación 
			}else{
				$tipo=$this->input->post('tipo_documento');
			}			
			$res=$this->upload_model->insertDocumento($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),$data['upload_data']['file_name'],$original_name,$descripcion,$tipo,date("d-m-Y H:i:s"));
			
			$this->historico_model->insertarAccionHistorico(
			      $this->anoacademico,
				  $this->convocatoria,
				  $this->session->userdata('uid'),
				  $this->session->userdata('auth_uid'),
				  INSERT_DOCUMENT,
				  json_encode($_FILES['userfile']['name']) );
			//Puedo poner el data en una variable
		}
			
			$data['uploaddocumentlist']=$this->upload_model->listDocumentosBySolicitud($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));	
			$data['documenttypelist']=$this->upload_model->listTiposDocumentos($this->anoacademico,$this->convocatoria);
			
		
			$datacabecera['titulo']= lang('soli_documentacion');
			if ($this->gestormode) {
				$this->load->view('header_gestor_view.php',$datacabecera);
				$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
			}else{				
			    $this->load->view('header_solicitante_view',$datacabecera);
			}
			
			$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_UPLOAD);	
			$this->load->view('progreso_solicitud_view.php',$data_progreso);
			$this->load->view('upload_view.php',$data);
			$this->load->view('footer_view.php');				
		
	}
	
	
	public function do_delete($filename)
	{
		$upload_base_dir=$this->config->item('upload_base_dir');
		
		$anoacademico=$this->anoacademico;
		$convocatoria=$this->convocatoria;
		
		$upload_garbage_dir=$this->config->item('upload_garbage_dir');
		
		$solicitante=$this->session->userdata('uid');
		
		// Llamando a la libreria podemos sacar el usuario
		log_message("debug","--- vamos a borrar");
		 
		$upload_path="$upload_base_dir/$anoacademico/$convocatoria/$solicitante";
		 
		//Borro un documento
		if (!is_dir($upload_path."/".$upload_garbage_dir)){
			
					//creo el directorio
					if (mkdir($upload_path."/".$upload_garbage_dir,0770)==false){
						log_message("error","--- Error al crear directorio:".$upload_path."/".$upload_garbage_dir);
		
					}else{
						
						log_message("info","--- se creo el directorio:".$upload_path."/".$upload_garbage_dir);
		
					}
		}else{
					//SOLO PARA DEBUG
     				log_message("debug","El directorio: ".$upload_path."/".$upload_garbage_dir." ya existe");
		}//end-bloque crear directorio


		//Ahora a borrar
		if (!rename($upload_path."/".$filename,$upload_path."/".$upload_garbage_dir."/".$filename)){
	
					log_message("error","El fichero: ".$upload_path."/".$filename." no pudo ser renombrado.");
	
		}else{
					log_message("error","El fichero: ".$upload_path."/".$filename." se renombró como:".$upload_path."/".$upload_garbage_dir."/".$filename);
					
					//Aquí hacer el borrado de base de datos...					 
					 $this->upload_model->deleteDocumento($anoacademico,$convocatoria,$solicitante,$filename);
					 $this->historico_model->insertarAccionHistorico(
					     $this->anoacademico,
						 $this->convocatoria,
						 $this->session->userdata('uid'),
						 $this->session->userdata('auth_uid'),
						 DELETE_DOCUMENT,json_encode($filename));

		}
		
		$data['uploaddocumentlist']=$this->upload_model->listDocumentosBySolicitud($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'));	
		$data['documenttypelist']=$this->upload_model->listTiposDocumentos($this->anoacademico,$this->convocatoria);
		
		$datacabecera['titulo']= lang('soli_documentacion');
   		if ($this->gestormode) {
			$this->load->view('header_gestor_view.php',$datacabecera);
			$this->load->view('breadcrumb_view.php',$this->databreadcrumb);
		}else{			
		    $this->load->view('header_solicitante_view',$datacabecera);
		}	
		
		$data_progreso['progreso_solicitud']=$this->progreso_solicitud_model->progreso($this->anoacademico,$this->convocatoria,$this->session->userdata('uid'),MENU_UPLOAD);	
		$this->load->view('progreso_solicitud_view.php',$data_progreso);
		$this->load->view('upload_view.php',$data);
		$this->load->view('footer_view.php');	
		
	}

	
	/**
	* Para visionar un fichero en pdf
	*/
	public function viewer($anoacademico,$convocatoria,$dni_pasaporte,$filename){
	
		
		log_message("debug","--- viewer---".$filename);
			
		 
		$upload_base_dir=$this->config->item('upload_base_dir');
		
		$viewer_path="$upload_base_dir/$anoacademico/$convocatoria/$dni_pasaporte";
		
		$data['viewer_path']=$viewer_path;
		$data['filename']=$filename;
		
		$this->load->view('upload/viewer', $data);
		
	}
	
	
	/**
	* Para descargar un fichero añadiendo seguridad... probar con el helper download de CI
	*/
	public function downloader($anoacademico,$convocatoria,$dni_pasaporte,$filename){
		//log_message("debug","--- downloader ---");
		
		$upload_base_dir=$this->config->item('upload_base_dir');
		$viewer_path="$upload_base_dir/$anoacademico/$convocatoria/$dni_pasaporte";
		
		$data['viewer_path']=$viewer_path;
		$data['filename']=$filename;
		
		$this->load->view('upload/downloader', $data);		
	}


}//End class

