<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class UvaLDAP {

	var $ldapport = "389";
	var $usetls = "0";
	var $basedn = "ou=personal,dc=uva,dc=es";
	var $sysadminemail = "ldap@uva.es";
	var $ldapserver = "ldap.uva.es";
	var $adminusr="";
	var $adminpasswd="";
	var $activate=true;
	
	
	//var $ldap_attr_uvanif="";
	//var $ldap_attr_tipo_documento="";
	//var $ldap_attr_ape1="";
	//var $ldap_attr_ape2="";
	//var $ldap_attr_nombre="";
	//var $ldap_attr_sexo="";


	var $uid="";
	var $uvanif="";
	var $tipo_documento="";
	var $ape1="";
	var $ape2="";
	var $nombre="";
	//var $sexo="";
	
	// identificador de conexin y consulta  var $Conexion_ID = 0;
	var $Conexion_ID=0;


	public function __construct($props = array())	
	{
		if (count($props) > 0)
		{
			$this->initialize($props);
		}

		log_message('debug', "UvaLDAP Class Initialized");
		/*
		$CI =& get_instance();

		$CI->load->helper('url');
		$CI->load->library('session');
		$CI->config->item('base_url');
		*/
	}


	/**
	 * Initialize preferences
	 *
	 * @param	array
	 * @return	void
	 */
	public function initialize($config = array())
	{
		$defaults = array(
							'ldapport'			=> "389",
							'usetls'			=> "0",
							'basedn'			=> "ou=personal,dc=uva,dc=es",
							'sysadminemail'		=> "ldap@uva.es",
							'ldapserver'		=> "ldap.uva.es",
							'adminusr'		=> "",
							'adminpasswd'			=> "",
							//'ldap_attr_uvanif'			=> "uvanif",
							//'ldap_attr_tipo_documento'	=> "uvaTipoDocumento",
							//'ldap_attr_ape1'			=> "sn1",
							//'ldap_attr_ape2'			=> "sn2",
							//'ldap_attr_nombre'			=> "givenname",
							//'ldap_attr_sexo'			=> "uvagenero",	
							'uvanif'			=> "",
							'tipo_documento'			=> "",
							'ape1'			=> "",
							'ape2'			=> "",
							'nombre'			=> "",
							'sexo'			=> "",
							'activate'			=> TRUE
							
	
						);


		foreach ($defaults as $key => $val)
		{
			if (isset($config[$key]))
			{
				$method = 'set_'.$key;
				if (method_exists($this, $method))
				{
					$this->$method($config[$key]);
				}
				else
				{
					$this->$key = $config[$key];
				}
			}
			else
			{
				$this->$key = $val;
			}
		}

		
	}



	/**
	* conectamos al ldap, intentamos hacer un bind con el usuario al uva style y desconectamos, devolvemos TRUE o FALSE
	*/
	public function autenticar($usuarioDN,$clave){
		$autenticar=FALSE;
		
		$ldapconn=$this->conectarLectura();
		
		//log_message('info', "INTENTANDO AUTENTICAR::".$usuarioDN."_conexion_".$this->Conexion_ID);
		if ($ldapconn){
			$ldapbind=@ldap_bind($this->Conexion_ID,"UID=$usuarioDN,".$this->basedn,"$clave");
			
			if ($ldapbind){
				log_message('info', "BIND OK:".$usuarioDN);
				$autenticar=TRUE;
					
			}else{
				log_message('info', "FALLO BIND LDAP:".$usuarioDN);
				$autenticar=FALSE;
				
			}
		
		
		}
		
		
		
		$this->desconectar();
		
		return $autenticar;
		
	}


	
	

	/**
	* Hago un bind y recupero un ID de conexion
	*/
	function conectarLectura(){
		$this->Conexion_ID=ldap_connect($this->ldapserver,$this->ldapport);
		if (!$this->Conexion_ID) {
			log_message('error',"FALLO CONEXION LDAP");
			return -1;
		}

		if (!ldap_set_option($this->Conexion_ID, LDAP_OPT_PROTOCOL_VERSION, 3)) {
			log_message('error',"FALLO CONEXION LDAP");
			return -1;
		}   // Si hemos tenido xito conectando devuelve     // el identificador de la conexin, sino devuelve 0
		return $this->Conexion_ID;
	}

	/**
	* Desconecto
	*/
	function desconectar() {
		//para que sirve la @?
		@ldap_close($this->Conexion_ID);
	}
	
	

	//Esto hay que hacerlo al estilo data del upload
	function searchData($uid) {
		$autenticar=FALSE;
		$ldapconn=$this->conectarLectura();
		
		$cadena="uid=".$uid;
		
		//Esto solo lo hace root
		if ($ldapconn){
			$ldapbind=@ldap_bind($ldapconn,"UID=$this->adminusr,".$this->basedn,"$this->adminpasswd");
			//$ldapbind=@ldap_bind($ldapconn,"UID=e44901311k,".$this->basedn,"");
			log_message('info','Cadena conexion::'."UID=$this->adminusr,".$this->basedn,"$this->adminpasswd");
			//$ldapbind=@ldap_bind($this->Conexion_ID,"UID=$usuarioDN,".$this->basedn,"$clave");
			
			if ($ldapbind){
				log_message('info', "BIND LDAP MI ROOT");
				ldap_set_option($ldapconn, LDAP_OPT_PROTOCOL_VERSION, 3);
				 $sr=ldap_search($ldapconn, $this->basedn, "($cadena)");
				 $info=ldap_get_entries($ldapconn,$sr);
				 log_message('info','Resultados en la busqueda::'.$info["count"]."_____".$ldapconn, $this->basedn, "($cadena)");
				 if ($info["count"]>0){
					$autenticar=TRUE; 
					$this->uid=$uid;
					$this->uvanif=$info[0]["uvanif"][0];
					$this->nombre=$info[0]["givenname"][0];
					$this->ape1=$info[0]["sn1"][0];
					$this->ape2=$info[0]["sn2"][0];
					$this->tipo_documento=$info[0]["uvatipodocumento"][0];
						 
				 }else{
					log_message('info', "FALLO HACIENDO SEARCH PARA:".$uid); 
					$autenticar=FALSE;
				 }
					
			}else{
				log_message('info', "FALLO BIND LDAP MI ROOT");
				$autenticar=FALSE;
				
			}
		
		
		}
		
		
	
			
		$ldapconn=$this->desconectar();
		
		return $autenticar;
	}


	/**
	 * Finalized Data Array
	 *
	 * Returns an associative array containing all of the information
	 * related to the upload, allowing the developer easy access in one array.
	 *
	 * @return	array
	 */
	public function data()
	{
		return array (
						'uid'          =>$this->uid,
						'uvanif'			=> $this->uvanif,
						'tipo_documento'	=> $this->tipo_documento,
						'ape1'			=> $this->ape1,
						'ape2'			=> $this->ape2,
						'nombre'			=> $this->nombre
						
					);
	}
	

} //fin de la Clase




?> 
