﻿<?php
class Administrador_model extends CI_Model {

	function __construct(){
		parent::__construct();	
		$this->load->database();   
		
	}
	
	function eliminarAccesoCoordinadores(){
		return $this->db->delete('PM_ACCESO', array('COD_ROL'=>'3'));       
    
	}
	
	function darAccesoCoordinadores($anoacademico,$convocatoria){
		
	    $sqlquery = "INSERT INTO PM_ACCESO
		             SELECT DISTINCT upper(DNI_PASAPORTE) ,	                         
						NOMBRE,
						APELLIDO1,
						APELLIDO2,
						'3',
						EMAIL,
						'0'	
		             FROM  PM_COORDINADORES
					 WHERE  ano_academico = ? and convocatoria = ? ";
		
		return $this -> db ->query($sqlquery,array($anoacademico,$convocatoria));
		
	}

	
	function getPgPlazas($ano_academico){
	
	    $sqlquery = "select * from PG_PLAZAS where ano_academico=?";
					
		$query=$this -> db ->query($sqlquery,array($ano_academico));			

		return $query->result();
	}
	
	
	function duplicaPgPlazas($anoacademicoOrigen, $anoacademicoDestino){
		
	    $sqlquery = "INSERT INTO PG_PLAZAS
		             SELECT ? ,	                         
						COD_PLAN,
						PLAZAS_OFERTADAS,
						PLAZAS_ADJUDICADAS,
						PLAZAS_MATRICULADAS,
						INDBAJA
		             FROM  PG_PLAZAS
					 WHERE  ano_academico = ? and indbaja != 'S'";
		
		return $this -> db ->query($sqlquery,array($anoacademicoDestino,$anoacademicoOrigen));
		
	}
	
	function duplicaCoordinadores($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino){
		
	    $sqlquery = "INSERT INTO PM_COORDINADORES
		             SELECT ?	,	                         
						    ?,
						    DNI_PASAPORTE,
							COD_PLAN,
							NOMBRE,
							APELLIDO1,
							APELLIDO2,
							EMAIL
		             FROM  PM_COORDINADORES  
					 WHERE  ano_academico = ? and convocatoria = ? ";
		
		return $this -> db ->query($sqlquery,array($anoacademicoDestino, $convocatoriaDestino,$anoacademicoOrigen,$convocatoriaOrigen));
		
	}
	
	function duplicaDocRequerida($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino){
		
	    $sqlquery = "INSERT INTO PM_DOC_REQUERIDA
		             SELECT ? ,	                         
						?,
						COD_ID,
						NOMBRE_DOC
		             FROM  PM_DOC_REQUERIDA
					 WHERE  ano_academico = ? and convocatoria = ? ";
		
		return $this -> db ->query($sqlquery,array($anoacademicoDestino, $convocatoriaDestino,$anoacademicoOrigen,$convocatoriaOrigen));
		
	}
	
	function duplicaEstado($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino){
		
	    $sqlquery = "INSERT INTO PM_ESTADO
		             SELECT ? ,	                         
						?,
						ID_ESTADO,
						ESTADO,
						DESCRIPCION
		             FROM  PM_ESTADO
					 WHERE  ano_academico = ? and convocatoria = ? ";
		
		return $this -> db ->query($sqlquery,array($anoacademicoDestino, $convocatoriaDestino,$anoacademicoOrigen,$convocatoriaOrigen));
		
	}
	
	function duplicaMotivosExclusion($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino){
		
	    $sqlquery = "INSERT INTO PM_MOTIVOS_EXCLUSION
		             SELECT ? ,	                         
						?,
						CODIGO,	
						DESCRIPCION
		             FROM  PM_MOTIVOS_EXCLUSION
					 WHERE  ano_academico = ? and convocatoria = ? ";
		
		return $this -> db ->query($sqlquery,array($anoacademicoDestino, $convocatoriaDestino,$anoacademicoOrigen,$convocatoriaOrigen));
		
	}
	
	function duplicaTipoDocumento($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino){
		
	    $sqlquery = "INSERT INTO PM_TIPO_DOCUMENTO
		             SELECT ? ,	                         
						?,
						COD_DOCUMENTO,	
						NOMBRE,
						DESCRIPCION
		             FROM  PM_TIPO_DOCUMENTO
					 WHERE  ano_academico = ? and convocatoria = ? ";
		
		return $this -> db ->query($sqlquery,array($anoacademicoDestino, $convocatoriaDestino,$anoacademicoOrigen,$convocatoriaOrigen));
		
	}
	
	function duplicaHistoricoTipoAccion($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino){
		
	    $sqlquery = "INSERT INTO PM_HISTORICO_TIPO_ACCION
		             SELECT ? ,	                         
						?,
						COD_ID,	
						NOMBRE,
						DESCRIPCION
		             FROM  PM_HISTORICO_TIPO_ACCION
					 WHERE  ano_academico = ? and convocatoria = ? ";
		
		return $this -> db ->query($sqlquery,array($anoacademicoDestino, $convocatoriaDestino,$anoacademicoOrigen,$convocatoriaOrigen));
		
	}
	
	function duplicaPlan($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino){
		
	    $sqlquery = "INSERT INTO PM_PLAN
		             SELECT ?,	                         
						?,
						COD_PLAN,
						ENLACE,
						DESCRIPCION,
						PLAZAS_OFERTADAS,
						'0'
		             FROM  PM_PLAN
					 WHERE  ano_academico = ? and convocatoria = ? ";
		
		return $this -> db ->query($sqlquery,array($anoacademicoDestino, $convocatoriaDestino,$anoacademicoOrigen,$convocatoriaOrigen));
		
	}
	
	function duplicaNodos($anoacademicoOrigen, $convocatoriaOrigen,$anoacademicoDestino, $convocatoriaDestino){
		
	    $sqlquery =  "INSERT INTO PM_NODOS
		             SELECT ? ,	                         
						?,
						COD_PLAN,
						NODO,
						DESCRIPCION,
						ACLARACION
		             FROM  PM_NODOS  
					 WHERE  ano_academico = ? and convocatoria = ? ";
		
		return $this -> db ->query($sqlquery,array($anoacademicoDestino, $convocatoriaDestino,$anoacademicoOrigen,$convocatoriaOrigen));
		
	}
}
?>