<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
* Modelo para funciones de convocatorias y cursos academicos
*/
class Curso_convocatoria_model extends CI_Model {
	//estado: 0 en configuracin, 1 activa, 2 cerrada  (solo puede haber una activa al mismo tiempo)
	
	
	function __construct()
    {
        parent::__construct();
				log_message("DEBUG","--- LOADING default database OK ---");
				//$this->db = $this->load->database("default",true);   //se puede configurar autoconnect
				$this->load->database();
    }
	
	
	
	
	function listAllConvocatorias(){
		
		$sql="SELECT ano_academico, convocatoria, to_char(fecha_inicio, 'dd/mm/yyyy hh24:mi:ss') as fecha_inicio, 
		to_char(fecha_fin, 'dd/mm/yyyy hh24:mi:ss') as fecha_fin, estado,
		decode(publicar_admitidos,'1','SI','NO') as publicar_admitidos ,
		decode(estado,'0','Configurar', '1', 'Activa', '2', 'Historia') as destado
		FROM pm_curso_convocatoria order by ano_academico,convocatoria asc";
		
		$query=$this -> db ->query($sql);
		
		return $query->result();		
	}
	
	function selectCurrentConvocatoria(){
		
		$sql="SELECT ano_academico, convocatoria, to_char(fecha_inicio, 'dd/mm/yyyy hh24:mi:ss') as fecha_inicio, to_char(fecha_fin, 'dd/mm/yyyy hh24:mi:ss') as fecha_fin, estado 
		FROM pm_curso_convocatoria where estado='1'";
		$query=$this -> db ->query($sql);		
		return $query->row();		
	}
	
	
	/**
	 * Hace una consulta sobre la tabla pm_curso_convocatoria
     * @param $ano_academico
	 * @param $convocatoria
	 * @return unknown_type
	 */
	function getCursoConvocatoria($ano_academico, $convocatoria){
				
		$sqlquery="SELECT ano_academico, convocatoria, to_char(fecha_inicio, 'dd/mm/yyyy hh24:mi:ss') as fecha_inicio,
		          to_char(fecha_fin, 'dd/mm/yyyy hh24:mi:ss') as fecha_fin,estado,publicar_admitidos
		          FROM pm_curso_convocatoria
				  WHERE ano_academico = ? and convocatoria = ? ";
	 			
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));
	 	
	 	return $query->row();
		
	}
	
	function updateCursoConvocatoria($ano_academico, $convocatoria,$data)
	{				
				
		return $this->db->update('PM_CURSO_CONVOCATORIA', $data, array('ANO_ACADEMICO'=>$ano_academico,'CONVOCATORIA'=>$convocatoria));
  	}
	
	function listAllConvocatoriasOrderbyLast(){
		
		$sql="SELECT ano_academico, convocatoria, to_char(fecha_inicio, 'dd/mm/yyyy hh24:mi:ss') as fecha_inicio, to_char(fecha_fin, 'dd/mm/yyyy hh24:mi:ss') as fecha_fin, estado,
		decode(publicar_admitidos,'1','SI','NO') as publicar_admitidos ,
		decode(estado,'0','Configurar', '1', 'Activa', '2', 'Historia') as destado
		FROM pm_curso_convocatoria order by ano_academico desc,convocatoria desc";
		
		$query=$this -> db ->query($sql);
		
		return $query->result();		
	}
	
	function insertarCursoConvocatoria($data)
	{				
		$this->db->set('FECHA_INICIO',"to_date('".$data['FECHA_INICIO']."','dd/mm/yyyy hh24:mi:ss')",false);
		unset($data['FECHA_INICIO']);
		$this->db->set('FECHA_FIN',"to_date('".$data['FECHA_FIN']."','dd/mm/yyyy hh24:mi:ss')",false);
		unset($data['FECHA_FIN']);
		return $this->db->insert('PM_CURSO_CONVOCATORIA', $data);
  	}
	
	
	/**
	 * Nos devuelve la fecha actual si estamos dentro del periodo de la convocatoria activa
	 * @return unknown_type
	 */
	function getDentroCursoConvocatoriaActiva(){
				
		$sqlquery="SELECT to_char(sysdate, 'dd/mm/yyyy hh24:mi:ss') as fecha_actual
		          FROM pm_curso_convocatoria
				  WHERE estado = 1  and
				        sysdate >= fecha_inicio and
						sysdate <= fecha_fin ";
				  	 			
		$query=$this -> db ->query($sqlquery);
	 	
	 	return $query->row();
		
	}
	
}
