<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Docpresentada_model extends CI_Model {
	
	function __construct()
    {
        parent::__construct();
		$this->load->database();
    }
	
	
	/**
	* Documentacion requerida 
	*/
    function listDocsRequeridas($anoacademico,$convocatoria){
    	$sql="SELECT cod_id,nombre_doc from pm_doc_requerida where ano_academico=? and convocatoria=? ";
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria));
		return $query -> result(); 
    }
    
	/**
	* Inserta las docuemntacion presentada
	*/
	function insertDocPresentada($anoacademico,$convocatoria,$cod_id,$dni_pasaporte){
	
		$sql = "INSERT INTO pm_doc_presentada_solicitud (ano_academico, convocatoria,cod_id, dni_pasaporte) VALUES (?,?,?,?)";
		return $this -> db -> query($sql,array($anoacademico,$convocatoria,$cod_id,$dni_pasaporte));
	
	}
	
	function deleteDocPresentada($anoacademico,$convocatoria,$dni_pasaporte){
	
		return $this->db->delete('PM_DOC_PRESENTADA_SOLICITUD', array('ANO_ACADEMICO'=>$anoacademico, 'CONVOCATORIA'=>$convocatoria, 'DNI_PASAPORTE'=>$dni_pasaporte));       
	
	}	
	
	
	/**
	* Documentación presentada para una solicitud
	*/
	function selectDocPresentadaSolicitud($anoacademico,$convocatoria,$dnipasaporte){
		$sql="SELECT  ps.cod_id,ps.dni_pasaporte,dr.nombre_doc 
		      FROM pm_doc_presentada_solicitud ps,pm_doc_requerida dr 
		      where ps.cod_id=dr.cod_id and 
			        ps.ano_academico=dr.ano_academico and 
					ps.convocatoria=dr.convocatoria and 
					ps.ano_academico=? and
					ps.convocatoria=? and 
					ps.dni_pasaporte=?";
					
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria,$dnipasaporte));
		return $query -> result();
	
	}
	
	/**
	* Documentación presentada para una solicitud devuelta como un array
	*/
	function selectDocPresentadaSolicitudArray($anoacademico,$convocatoria,$dnipasaporte){
		$sql="SELECT  ps.cod_id,ps.dni_pasaporte,dr.nombre_doc 
		      FROM pm_doc_presentada_solicitud pm,ps_doc_requerida dr 
		      WHERE ps.cod_id=dr.cod_id and 
			        ps.ano_academico=dr.ano_academico and 
					ps.convocatoria=dr.convocatoria and 
					ps.ano_academico=? and 
					ps.convocatoria=? and 
					ps.dni_pasaporte=?";
					
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria,$dnipasaporte));
		
		return $query -> result_array();
	
	}
	
}
