﻿<?php
class Gestor_model extends CI_Model {

	function __construct(){
		parent::__construct();	
		$this->load->database();   
		
	}
	
	function listarMasteres($ano_academico, $convocatoria){
	
	    $sqlquery =  " SELECT cod_plan, descripcion ,plazas_ofertadas, bloqueado,
                		count(distinct dni_pasaporte) as n_solicitudes,n_listaespera,n_admitidos
                      FROM  ( 
							SELECT c.cod_plan, b.descripcion ,c.plazas_ofertadas, c.bloqueado, 
							       a.dni_pasaporte,
								  (SELECT  count(distinct d.dni_pasaporte) 
								   FROM  pm_det_preinscripcion d 
								   WHERE d.ano_Academico = c.ano_academico and
										d.convocatoria = c.convocatoria and
										d.cod_plan_opc = c.cod_plan	and
										d.preadmitido = 'E' and
										d.ordenlistaespera != 0 and
										d.dni_pasaporte not in (select dni_pasaporte
																 from pm_excluidos e
																where e.ano_academico = d.ano_academico and
																	 e.convocatoria  = d.convocatoria  )			   					
								  ) as n_listaespera,
								  ( SELECT  count(distinct e.dni_pasaporte) 
									 FROM pm_det_preinscripcion e
									 WHERE  e.ano_Academico = c.ano_academico and
											e.convocatoria = c.convocatoria and
											e.cod_plan_opc = c.cod_plan	and		
											e.preadmitido = 'S' and						
											e.dni_pasaporte not in (select dni_pasaporte
																	 from pm_excluidos e
																	where e.ano_academico = e.ano_academico and
																		 e.convocatoria  = e.convocatoria  ) 				    	
								  ) as n_admitidos
							 FROM   p_plan b , pm_plan c
							  LEFT JOIN pm_det_preinscripcion a ON (  a.ano_academico = c.ano_academico and
									a.convocatoria = c.convocatoria and
									a.cod_plan_opc = c.cod_plan	and
									a.dni_pasaporte not in (select dni_pasaporte
															 from pm_excluidos e
															where e.ano_academico = a.ano_academico and
																 e.convocatoria  = a.convocatoria  )) 	
							 WHERE  c.ano_academico = ? and
									c.convocatoria = ? and
									c.cod_plan = b.codigo_plan)  
					 GROUP BY cod_plan, descripcion,plazas_ofertadas, bloqueado,n_listaespera, n_admitidos
					 ORDER BY cod_plan";
					 
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));		
	 		 	
		return $query->result();
		
	}
	
	/**
	 * Lista del numero de solicitudes PREADMITIDAS de los  masteres para un año academico y convocatoria
	 * @param $ano_academico
     * @param $convocatoria 
	 * @return unknown_type
	 */
	function listarNumeroSolicitudesPreadmitidasMasteres($ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT  c.cod_plan, b.descripcion ,c.plazas_ofertadas, c.bloqueado, count(distinct a.dni_pasaporte) as n_solicitudes
		             FROM  p_plan b , pm_plan c  
					 LEFT JOIN pm_det_preinscripcion a ON (  a.ano_Academico = c.ano_academico and
                            a.convocatoria = c.convocatoria and
                            a.cod_plan_opc = c.cod_plan	and		
                            a.preadmitido = 'S' and						
                            a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  )) 				    
					 WHERE  c.ano_academico = ? and
							c.convocatoria = ?  and
							c.cod_plan = b.codigo_plan   
					GROUP BY c.cod_plan	, b.descripcion, c.plazas_ofertadas, c.bloqueado
					ORDER BY c.cod_plan ";
					
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));			

		return $query->result();
	}

	
	
	/**
	 * Lista del numero de solicitudes en lista de espera de los  masteres para un año academico y convocatoria
	 * @param $ano_academico
     * @param $convocatoria 
	 * @return unknown_type
	 */
	function listarNumeroListaEsperaMasteres($ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT  c.cod_plan, count(distinct a.dni_pasaporte) as n_listaespera
		             FROM   pm_plan c
					 LEFT JOIN pm_det_preinscripcion a ON (  a.ano_Academico = c.ano_academico and
                            a.convocatoria = c.convocatoria and
                            a.cod_plan_opc = c.cod_plan	and
							a.preadmitido = 'E' and
							a.ordenlistaespera != 0 and
                            a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  )) 				    
					 WHERE  c.ano_academico = ? and
							c.convocatoria = ?
					GROUP BY c.cod_plan	
					ORDER BY c.cod_plan ";
					
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));			

		return $query->result();
	}
	

	
	/**
	 * Lista de solicitudes sin documentacion para un año academico y convocatoria
	 * @param $ano_academico
     * @param $convocatoria 
	 * @return unknown_type
	 */
	function listarSoliSinDocumentacion($ano_academico, $convocatoria){
	
	   /* 
	   // EXCLUIMOS A PARTIR DEL ESTADO PA--
	   $sqlquery = "SELECT DISTINCT b.dni_pasaporte, 
		             upper(b.nomb_alumno) as nomb_alumno, upper(b.ape1_alumno) as ape1_alumno,
                     upper(b.ape2_alumno) as ape2_alumno, b.correo_elec_2 				
		             FROM  pm_solicitantes b, 
					       pm_cab_preinscripcion a
					 WHERE  a.ano_academico = ? and
							a.convocatoria = ? and 
							a.ano_academico = b.ano_academico and
							a.convocatoria = b.convocatoria and
							a.dni_pasaporte = b.dni_pasaporte and							
							a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  ) and
							a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_documento d
                                                    where d.ano_academico = a.ano_academico and
                                                         d.convocatoria  = a.convocatoria  ) 							 
					ORDER by ape1_alumno,ape2_alumno,nomb_alumno ";
		*/

	 // EXCLUIMOS A PARTIR DEL ESTADO P---	  
      $sqlquery = "SELECT DISTINCT b.dni_pasaporte, 
		             upper(b.nomb_alumno) as nomb_alumno, upper(b.ape1_alumno) as ape1_alumno,
                     upper(b.ape2_alumno) as ape2_alumno, b.correo_elec_2 				
		             FROM  pm_solicitantes b
					 WHERE  b.ano_academico = ? and
							b.convocatoria = ? and 
							b.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = b.ano_academico and
                                                         e.convocatoria  = b.convocatoria  ) and
							b.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_documento d
                                                    where d.ano_academico = b.ano_academico and
                                                         d.convocatoria  = b.convocatoria  ) 							 
					ORDER by ape1_alumno,ape2_alumno,nomb_alumno ";
				
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));		
	 		 	
		return $query->result();
		
	}
	
	
	/**
	 *  Obtengo codigo de exclusion para una descripcion en un año y convocatoria
	 * @param $ano_academico
	 * @param $convocatoria
	 * @param $descripcion
	 * @return unknown_type
	 */
    function getCodExclusion($ano_academico, $convocatoria, $descripcion)
    {
	
		log_message('debug','llamo a getCodExclusion');
		
    	 $sqlquery =" SELECT  codigo
		              FROM pm_motivos_exclusion					
					  WHERE ano_academico = ? and convocatoria = ? and descripcion = ? "; 
		
    	log_message('debug',$sqlquery);		
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria,$descripcion));
		
		return $query->row()->CODIGO;
	
	}
	
	
		
	/**
	 * Inserta un excluidos 
	 * @param $data
	 * @return unknown_type
	 */	
	function insertarExcluido($data)
	{				
		
		return $this->db->insert('PM_EXCLUIDOS', $data);
  	}
	
	
	
	/**
	 * Lista del numero de excludios de los  masteres para un año academico y convocatoria
	 * @param $ano_academico
     * @param $convocatoria 
	 * @return unknown_type
	 */
	function listarNumeroExcluidosMasteres($ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT  c.cod_plan, count(distinct a.dni_pasaporte) as n_excluidos
		             FROM   pm_plan c
					 LEFT JOIN pm_det_preinscripcion a ON (  a.ano_Academico = c.ano_academico and
                            a.convocatoria = c.convocatoria and
                            a.cod_plan_opc = c.cod_plan	and
                            a.dni_pasaporte  in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  )) 				    
					 WHERE  c.ano_academico = ? and
							c.convocatoria = ? 
					GROUP BY c.cod_plan	
					ORDER BY c.cod_plan ";
					
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));			

		return $query->result();
	}
	
	
	
	/**
	* Lo paso a left join para que se muestren incluso las preinscripciones que solo han grabado datos personales
	**/
	function listPreinscripciones($anoacademico,$convocatoria){
    	$sql="SELECT s.dni_pasaporte,s.ape1_alumno,s.ape2_alumno,s.nomb_alumno,p.cod_estudios_mec,p.nivel_bloqueo, 
		     nvl((Select cod_exclusion
				from pm_excluidos e
				where e.ano_academico = s.ano_academico and
					  e.convocatoria = s.convocatoria and
					  e.dni_pasaporte = s.dni_pasaporte),'0') as cod_exclusion,
				(select to_char(max(fecha),'dd/mm/yyyy hh24:mi:ss')
				from pm_historico_cambios h
				where h.ano_academico = s.ano_academico and
					  h.convocatoria  = s.convocatoria and
					  h.dni_usuario = s.dni_pasaporte ) as fecha,
                decode((select count(*)
						 from pm_doc_presentada_solicitud  d
						 where d.ano_academico = s.ano_academico and
							   d.convocatoria = s.convocatoria and
							   d.dni_pasaporte = s.dni_pasaporte), 
					   (select count(*) from pm_doc_requerida r   where r.ano_academico = s.ano_academico and
						r.convocatoria = s.convocatoria),'S', 'N') as documentacion_completa					  
    	from pm_solicitantes s LEFT JOIN pm_cab_preinscripcion p 
		ON (s.ano_academico = p.ano_academico and s.convocatoria = p.convocatoria and s.dni_pasaporte = p.dni_pasaporte) 
		WHERE s.ano_academico=? and s.convocatoria=? ";
		
		

		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria));
		return $query -> result(); 
    }
	
	
	/**
	* Motivos de exclusión para un curso y una convocatoria
	*/
	function listMotivosExclusion($anoacademico,$convocatoria){
    	$sql="SELECT codigo, descripcion
    	      FROM pm_motivos_exclusion 
		      WHERE ano_academico=? and convocatoria=? ";
			  
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria));
		return $query -> result(); 
    }
	
	
	/**
	* Está excluido un solicitante
	*/
	function isExcluido($anoacademico,$convocatoria,$dni_pasaporte){
	
		$sql="SELECT  ex.ano_academico, ex.convocatoria,ex.dni_pasaporte,ex.observaciones,ex.cod_exclusion,me.descripcion 
		      FROM  pm_excluidos ex 
			    LEFT JOIN pm_motivos_exclusion me on (ex.cod_exclusion=me.codigo and 
				                                      ex.ano_academico=me.ano_academico and 
													  ex.convocatoria=me.convocatoria) 
		      WHERE  ex.ano_academico=? and ex.convocatoria=? and ex.dni_pasaporte=?";
		
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria,$dni_pasaporte));
		
		if ($query->num_rows()>0){
			return $query->row(); 
		}else{
			return false;
		}	
    	
    }
	
	
	/**
	* Estados de equivalencia
	*/
	function listEstadosEquivalencia($anoacademico,$convocatoria){
    	$sql="SELECT id_estado,estado,descripcion
    	      FROM  pm_estado 
		      WHERE  ano_academico=? and convocatoria=? ";
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria));
		return $query -> result(); 
    }
	
	
	/**
	* Borrar un solicitante de la tabla de excluidos
	*/
	function deleteSolicitanteExcluido($anoacademico,$convocatoria,$dni_pasaporte){
	
		return $this->db->delete('PM_EXCLUIDOS', array('ANO_ACADEMICO'=>$anoacademico, 'CONVOCATORIA'=>$convocatoria, 'DNI_PASAPORTE'=>$dni_pasaporte));       
	
	}
	
	/**
	* Insertar un solicitante en la tabla de excluidos
	*/
	function insertSolicitanteExcluido($anoacademico,$convocatoria,$dni_pasaporte,$observaciones,$cod_exclusion){
	
		$sql = "INSERT INTO pm_excluidos (ano_academico, convocatoria,dni_pasaporte,observaciones,cod_exclusion) VALUES (?,?,?,?,?)";
		return $this -> db -> query($sql,array($anoacademico,$convocatoria,$dni_pasaporte,$observaciones,$cod_exclusion));
	
	}
	
	
	/**
	 * Lista de tipos de documentos
	 * @return unknown_type
	 */
	function listarTiposDocumento(){
	
	    $sqlquery = "SELECT cod_id, descripcion 
		             FROM tipos_documento
					 WHERE indbaja != 'S'
					 ORDER BY descripcion ";
		$query = $this->db->query($sqlquery);
		
		return $query->result();
	}
	
	/**
	* resto de las Solicitudes 
	*/
	function listAllPreinscripciones($anoacademico,$convocatoria){
    	$sql="SELECT s.ano_academico, s.convocatoria, s.dni_pasaporte,cod_estudios_mec,
		       s.ape1_alumno || ' ' || s.ape2_alumno || ' ' || s.nomb_alumno as nombre,
			    (Select m.descripcion
				from pm_excluidos e, pm_motivos_exclusion m
				where e.ano_academico = s.ano_academico and
					  e.convocatoria = s.convocatoria and
					  e.dni_pasaporte = s.dni_pasaporte and
					  e.ano_academico = m.ano_academico and
					  e.convocatoria = m.convocatoria and
					  e.cod_exclusion = m.codigo) as motivo_exclusion,
				decode((select count(*)
						 from pm_doc_presentada_solicitud  d
						 where d.ano_academico = s.ano_academico and
							   d.convocatoria = s.convocatoria and
							   d.dni_pasaporte = s.dni_pasaporte), 
					   (select count(*) from pm_doc_requerida r   where r.ano_academico = s.ano_academico and
						r.convocatoria = s.convocatoria),'S', 'N') as documentacion_completa	  
    	      FROM pm_solicitantes s LEFT JOIN pm_cab_preinscripcion p 
		      ON (s.ano_academico = p.ano_academico and s.convocatoria = p.convocatoria and s.dni_pasaporte = p.dni_pasaporte) 
		       WHERE ((s.ano_academico != ? ) or
                   (s.ano_academico = ? and
                   s.convocatoria != ?) )    ";
				   
		$query=$this -> db ->query($sql,array($anoacademico,$anoacademico,$convocatoria));
		return $query -> result(); 
    }
	
	/**
	 * Lista del numero de solicitudes PREADMITIDAS de los  masteres QUE HAN FINALIADO PREINS (BLOQUEADO= 2) para un año academico y convocatoria
	 * @param $ano_academico
     * @param $convocatoria 
	 * @return unknown_type
	 */
	function listarNumeroSolicitudesPreadmitidasMasteresFinalizados($ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT  c.cod_plan, b.descripcion ,c.plazas_ofertadas, c.bloqueado, count(distinct a.dni_pasaporte) as n_solicitudes
		             FROM  p_plan b , pm_plan c  
					 LEFT JOIN pm_det_preinscripcion a ON (  a.ano_Academico = c.ano_academico and
                            a.convocatoria = c.convocatoria and
                            a.cod_plan_opc = c.cod_plan	and		
                            a.preadmitido = 'S' and						
                            a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  )) 				    
					 WHERE  c.ano_academico = ? and
							c.convocatoria = ?  and
							c.cod_plan = b.codigo_plan   and
							c.bloqueado = 2
					GROUP BY c.cod_plan	, b.descripcion, c.plazas_ofertadas, c.bloqueado
					ORDER BY c.cod_plan ";
					
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));			

		return $query->result();
	}
}	
?>