<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Historico_model extends CI_Model {
	
	
	function __construct()
    {
        parent::__construct();
				$this->load->database();
    }
	
	
	function insertarAccionHistorico($anoacademico,$convocatoria,$dni_solicitante,$dni_usuario,$id_accion,$descripcion)
    {  
		log_message('debug',"INSERT_HISTORICO>>".$anoacademico."_".$convocatoria."_".$dni_solicitante."_".$dni_usuario."_".$id_accion."_".$descripcion);
		$sql = "INSERT INTO pm_historico_cambios (ano_academico, convocatoria, dni_solicitante, dni_usuario, id_accion, descripcion) VALUES (?,?,?,?,?,?)";
		return $this -> db -> query($sql,array($anoacademico,$convocatoria,$dni_solicitante,$dni_usuario,$id_accion,$descripcion));
		
    }
	
	
	//Acciones disponibles 
	function listHistoricoTipoAccion($anoacademico,$convocatoria){
    	$sql="SELECT ano_academico, convocatoria, cod_id,nombre,descripcion 
    	from pm_historico_tipo_accion 
		where ano_academico=? and convocatoria=? ";
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria));
		return $query -> result(); 
    }
	
	//Historico de un usuario para un solicitante
	function listHistoricoSolicitanteGestor($anoacademico,$convocatoria,$usuario){
    	$sql="SELECT hc.dni_usuario, hc.dni_solicitante,to_char(hc.fecha, 'dd/mm/yyyy hh24:mi:ss') as fecha,
		      hc.id_accion,hc.descripcion,hta.nombre,hta.descripcion as  des_accion 
    	from pm_historico_cambios hc,pm_historico_tipo_accion hta 
		where hc.id_accion=hta.cod_id and hc.ano_academico=hta.ano_academico and hc.convocatoria=hta.convocatoria 
		and hc.ano_academico=? and hc.convocatoria=? and hc.dni_solicitante=? "; 
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria,$usuario));
		return $query -> result(); 
		
		
    }
	
	//Historico de un solicitante - si lo ve el solicitante se pueden filtrar algunas acciones -FILTRAMOS QUE SOLO VEA LO SUYO
	function listHistoricoSolicitante($anoacademico,$convocatoria,$solicitante){
    	$sql="SELECT hc.dni_usuario,to_char(hc.fecha, 'dd/mm/yyyy hh24:mi:ss') as fecha,
		hc.id_accion,hc.descripcion,hta.nombre,hta.descripcion as  des_accion 
    	from pm_historico_cambios hc,pm_historico_tipo_accion hta 
		where hc.id_accion=hta.cod_id and hc.ano_academico=hta.ano_academico and hc.convocatoria=hta.convocatoria 
		and hc.ano_academico=? and hc.convocatoria=? and hc.dni_usuario=? "; 
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria,$solicitante));
		return $query -> result();
    }
	
	
}
