﻿<?php
class Listados_model extends CI_Model {

	function __construct(){
		parent::__construct();	
		$this->load->database();   
		
	}

	
	
	/**
	 *  Obtengo descripcion de un plan
	 * @param $plan
	 * @return unknown_type
	 */
	function getDescripcionPlan($plan)
    {
	
		log_message('debug','llamo a getDescripcionPlan');
		
        $sqlquery=" SELECT distinct descripcion FROM p_plan  WHERE codigo_plan = ?";
		
   	    //log_message('debug',$sqlquery);		
		$query=$this -> db ->query($sqlquery,array($plan));		
		
		
        $valor = $query->row();
  		return $valor->DESCRIPCION;
	
	}
	
	
	
	/**
	 * Listado de alumnos en lista de espera para un plan en año academico y convocatoria para generar PDF
     * @param $plan 
	 * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function pdfListaEspera($plan,$ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT DISTINCT  ordenlistaespera,upper(b.dni_pasaporte) as dni_pasaporte, 
		             upper(b.nomb_alumno) as nomb_alumno, upper(b.ape1_alumno) as ape1_alumno,
                     upper(b.ape2_alumno) as ape2_alumno, b.telefono_habit, b.telefono2_habit, b.correo_elec_2,a.opcion, 
					 a.nodo_opc, c.cod_estudios_mec,e.des_codigo_mec, c.universidad_origen, u.denominacion as des_universidad,
					 c.otra_universidad_origen, c.otro_estudio_origen, c.pais_origen
		             FROM   pm_det_preinscripcion a, pm_solicitantes b, 
					       pm_cab_preinscripcion	c
					       LEFT JOIN p_estudios_mec e ON (  c.cod_estudios_mec= e.codigo_mec)
						   LEFT JOIN p_universidades_mec u ON ( c.universidad_origen = u.cod_universidad_mec)
					 WHERE  a.cod_plan_opc = ? and
					        a.ano_academico = ? and
							a.convocatoria = ? and
							a.ano_academico = b.ano_academico and
							a.convocatoria = b.convocatoria and
							a.dni_pasaporte = b.dni_pasaporte and
							a.ano_academico = c.ano_academico and
							a.convocatoria = c.convocatoria and
							a.dni_pasaporte = c.dni_pasaporte and
							a.preadmitido = 'E' and
                            a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  ) and
							a.ordenlistaespera != 0
					ORDER BY ordenlistaespera ";									 
					 
		$query=$this -> db ->query($sqlquery,array($plan,$ano_academico,$convocatoria));			
			 		 	
		return $query->result();
	}
	
	/**
	 * Listado de alumnos admitidos para un plan en año academico y convocatoria para generar PDF
     * @param $plan 
	 * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function pdfListaAdmitidos($plan,$ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT DISTINCT upper(b.dni_pasaporte) as dni_pasaporte, 
		             upper(b.nomb_alumno) as nomb_alumno, upper(b.ape1_alumno) as ape1_alumno,
                     upper(b.ape2_alumno) as ape2_alumno, b.telefono_habit, b.telefono2_habit, b.correo_elec_2,a.opcion, 
					 a.nodo_opc, c.cod_estudios_mec,e.des_codigo_mec, c.universidad_origen, u.denominacion as des_universidad,
					 c.otra_universidad_origen, c.otro_estudio_origen, c.pais_origen
		             FROM   pm_det_preinscripcion a, pm_solicitantes b, 
					       pm_cab_preinscripcion	c
					       LEFT JOIN p_estudios_mec e ON (  c.cod_estudios_mec= e.codigo_mec)
						   LEFT JOIN p_universidades_mec u ON ( c.universidad_origen = u.cod_universidad_mec)
					 WHERE  a.cod_plan_opc = ? and
					        a.ano_academico = ? and
							a.convocatoria = ? and
							a.ano_academico = b.ano_academico and
							a.convocatoria = b.convocatoria and
							a.dni_pasaporte = b.dni_pasaporte and
							a.ano_academico = c.ano_academico and
							a.convocatoria = c.convocatoria and
							a.dni_pasaporte = c.dni_pasaporte and
							a.preadmitido = 'S' and
                            a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  ) 
					ORDER by ape1_alumno,ape2_alumno,nomb_alumno asc ";	

	
		$query=$this -> db ->query($sqlquery,array($plan,$ano_academico,$convocatoria));			
			 		 	
		return $query->result();
	}
	
/**
	 * Listado de alumnos preinscritos para un plan en año academico y convocatoria para generar PDF
     * @param $plan 
	 * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function pdfListaSolicitudes($plan,$ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT DISTINCT upper(b.dni_pasaporte) as dni_pasaporte, 
		             upper(b.nomb_alumno) as nomb_alumno, upper(b.ape1_alumno) as ape1_alumno,
                     upper(b.ape2_alumno) as ape2_alumno, b.telefono_habit, b.telefono2_habit, b.correo_elec_2,a.opcion, 
					 a.nodo_opc, c.cod_estudios_mec,e.des_codigo_mec, c.universidad_origen, u.denominacion as des_universidad,
					 c.otra_universidad_origen, c.otro_estudio_origen, c.pais_origen
		             FROM   pm_det_preinscripcion a, pm_solicitantes b, 
					       pm_cab_preinscripcion	c
					       LEFT JOIN p_estudios_mec e ON (  c.cod_estudios_mec= e.codigo_mec)
						   LEFT JOIN p_universidades_mec u ON ( c.universidad_origen = u.cod_universidad_mec)
					 WHERE  a.cod_plan_opc = ? and
					        a.ano_academico = ? and
							a.convocatoria = ? and
							a.ano_academico = b.ano_academico and
							a.convocatoria = b.convocatoria and
							a.dni_pasaporte = b.dni_pasaporte and
							a.ano_academico = c.ano_academico and
							a.convocatoria = c.convocatoria and
							a.dni_pasaporte = c.dni_pasaporte and							
                            a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  ) 
					ORDER by ape1_alumno,ape2_alumno,nomb_alumno asc ";	

	
		$query=$this -> db ->query($sqlquery,array($plan,$ano_academico,$convocatoria));			
			 		 	
		return $query->result();
	}
	
	
	/**
	 * Listado de alumnos preinscritos para un año academico y convocatoria para generar PDF
     * @param $plan 
	 * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function pdfListaTodasSolicitudes($ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT DISTINCT upper(b.dni_pasaporte) as dni_pasaporte, 
		             upper(b.nomb_alumno) as nomb_alumno, upper(b.ape1_alumno) as ape1_alumno,
                     upper(b.ape2_alumno) as ape2_alumno, b.telefono_habit, b.telefono2_habit, b.correo_elec_2,a.opcion, 
					 a.nodo_opc, c.cod_estudios_mec,e.des_codigo_mec, c.universidad_origen, u.denominacion as des_universidad,
					 c.otra_universidad_origen, c.otro_estudio_origen, c.pais_origen
		             FROM   pm_det_preinscripcion a, pm_solicitantes b, 
					       pm_cab_preinscripcion	c
					       LEFT JOIN p_estudios_mec e ON (  c.cod_estudios_mec= e.codigo_mec)
						   LEFT JOIN p_universidades_mec u ON ( c.universidad_origen = u.cod_universidad_mec)
					 WHERE  a.ano_academico = ? and
							a.convocatoria = ? and
							a.ano_academico = b.ano_academico and
							a.convocatoria = b.convocatoria and
							a.dni_pasaporte = b.dni_pasaporte and
							a.ano_academico = c.ano_academico and
							a.convocatoria = c.convocatoria and
							a.dni_pasaporte = c.dni_pasaporte and							
                            a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  ) 
					ORDER by ape1_alumno,ape2_alumno,nomb_alumno asc ";	

	
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));			
			 		 	
		return $query->result();
	}
	
	/**
	 * Listado de alumnos en lista de espera para un año academico y convocatoria para generar PDF    
	 * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function pdfListaTodasListEspera($ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT DISTINCT  ordenlistaespera,upper(b.dni_pasaporte) as dni_pasaporte, 
		             upper(b.nomb_alumno) as nomb_alumno, upper(b.ape1_alumno) as ape1_alumno,
                     upper(b.ape2_alumno) as ape2_alumno, b.telefono_habit, b.telefono2_habit, b.correo_elec_2,a.opcion, 
					 a.nodo_opc, c.cod_estudios_mec,e.des_codigo_mec, c.universidad_origen, u.denominacion as des_universidad,
					 c.otra_universidad_origen, c.otro_estudio_origen, c.pais_origen
		             FROM   pm_det_preinscripcion a, pm_solicitantes b, 
					       pm_cab_preinscripcion	c
					       LEFT JOIN p_estudios_mec e ON (  c.cod_estudios_mec= e.codigo_mec)
						   LEFT JOIN p_universidades_mec u ON ( c.universidad_origen = u.cod_universidad_mec)
					 WHERE  a.ano_academico = ? and
							a.convocatoria = ? and
							a.ano_academico = b.ano_academico and
							a.convocatoria = b.convocatoria and
							a.dni_pasaporte = b.dni_pasaporte and
							a.ano_academico = c.ano_academico and
							a.convocatoria = c.convocatoria and
							a.dni_pasaporte = c.dni_pasaporte and
							a.preadmitido = 'E' and
                            a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  ) and
							a.ordenlistaespera != 0
					ORDER BY ordenlistaespera ";									 
					 
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));			
			 		 	
		return $query->result();
	}
	
	/**
	 * Listado de alumnos extranjeros  en año academico y convocatoria para generar PDF  
	 * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function pdfListaExtranjeros($ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT DISTINCT upper(b.dni_pasaporte) as dni_pasaporte, 
		             upper(b.nomb_alumno) as nomb_alumno, upper(b.ape1_alumno) as ape1_alumno,
                     upper(b.ape2_alumno) as ape2_alumno, b.correo_elec_2,a.opcion, 
					 c.cod_estudios_mec,e.des_codigo_mec, c.universidad_origen, u.denominacion as des_universidad,
					 c.otra_universidad_origen, c.otro_estudio_origen, c.pais_origen, p.denominacion_1 as despais_origen,
					 p.ind_pertenece_eees, pl.descripcion as descod_plan
		             FROM  pm_solicitantes b, 
					       pm_det_preinscripcion a
						   LEFT JOIN p_plan pl ON ( a.cod_plan_opc = pl.codigo_plan),
					       pm_cab_preinscripcion	c
					       LEFT JOIN p_estudios_mec e ON (  c.cod_estudios_mec= e.codigo_mec)
						   LEFT JOIN p_universidades_mec u ON ( c.universidad_origen = u.cod_universidad_mec)
						   LEFT JOIN paises p ON ( c.pais_origen = p.cod_pais)
						  
					 WHERE  a.ano_academico = ? and
							a.convocatoria = ? and 
							a.ano_academico = b.ano_academico and
							a.convocatoria = b.convocatoria and
							a.dni_pasaporte = b.dni_pasaporte and
							a.ano_academico = c.ano_academico and
							a.convocatoria = c.convocatoria and
							c.cod_estudios_mec = '90990000000' and
							a.preadmitido = 'S' and
							a.dni_pasaporte = c.dni_pasaporte and							
                            a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  ) 
					ORDER by ape1_alumno,ape2_alumno,nomb_alumno, opcion asc ";	

		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));			
			 		 	
		return $query->result();
	}
	
	
	/**
	 * Listado de alumnos excluidos  en año academico y convocatoria para generar PDF  
	 * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function pdfListaExcluidos($ano_academico, $convocatoria){
	
	
	    $sqlquery = "SELECT DISTINCT upper(b.dni_pasaporte) as dni_pasaporte, 
		             upper(b.nomb_alumno) as nomb_alumno, upper(b.ape1_alumno) as ape1_alumno,
                     upper(b.ape2_alumno) as ape2_alumno, b.correo_elec_2,c.descripcion
		             FROM  pm_solicitantes b, 
					       pm_excluidos a,
						   pm_motivos_exclusion c
					 WHERE  a.ano_academico = ? and
							a.convocatoria = ? and 
							a.ano_academico = b.ano_academico and
							a.convocatoria = b.convocatoria and
							a.dni_pasaporte = b.dni_pasaporte and
							a.ano_academico = c.ano_academico and
							a.convocatoria = c.convocatoria and
							a.cod_exclusion = c.codigo 
					ORDER by ape1_alumno,ape2_alumno,nomb_alumno ";	
				
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));			
			 		 	
		return $query->result();
	}
	
	
	/**
	 * Listado de equivalencias de alumnos en año academico y convocatoria para generar Excel  
	 * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function excelEquivalencias($ano_academico, $convocatoria){
	
	    //obtengo lista de documentos requeridos	   
        $data['listaDocumentos']=$this->listarDocumentos($ano_academico,$convocatoria);						
	
	    $sqlquerydocumento = '';
	    foreach($data['listaDocumentos'] as $documento){		
			 $sqlquerydocumento = $sqlquerydocumento." ,NVL((select 'SI'
						  from   pm_doc_presentada_solicitud r
						   where b.ano_academico = r.ano_academico and
							     b.convocatoria = r.convocatoria and
								 r.cod_id =".$documento->COD_ID. " and
							     r.dni_pasaporte = b.dni_pasaporte),'NO') as documento".$documento->COD_ID;
			//log_message("debug","opciones grabadas:".$sqlquerydocumento);
		}
					
		$sqlquery = "SELECT DISTINCT upper(b.dni_pasaporte) as dni_pasaporte, 
		             upper(b.nomb_alumno) as nomb_alumno, upper(b.ape1_alumno) as ape1_alumno,
                     upper(b.ape2_alumno) as ape2_alumno,correo_elec_2, a.cod_estudios_mec, e.des_codigo_mec,
					 a.universidad_origen, a.otra_universidad_origen, p.denominacion_1 as despais_origen,
					 to_char(a.fecha_modificacion, 'dd/mm/yyyy hh24:mi:ss') as fecha_modificacion, a.estado_solicitud,
					 t.estado, a.otro_estudio_origen,to_char(a.fecha_pago,'dd/mm/yyyy') as fecha_pago, d.opcion,
					 d.cod_plan_opc, a.observaciones, pl.descripcion as descod_plan ".$sqlquerydocumento. "
    	             FROM  pm_solicitantes b, 
					       pm_cab_preinscripcion a
						   LEFT JOIN p_estudios_mec e ON (  a.cod_estudios_mec= e.codigo_mec)
						   LEFT JOIN paises p ON ( a.pais_origen = p.cod_pais)
						   LEFT JOIN pm_estado t ON ( a.ano_academico = t.ano_academico and a.convocatoria = t.convocatoria and a.estado_solicitud = t.id_estado),
						   pm_det_preinscripcion d
						   LEFT JOIN p_plan pl ON ( d.cod_plan_opc = pl.codigo_plan)
					 WHERE  a.ano_academico = ? and
							a.convocatoria = ? and 
							a.ano_academico = b.ano_academico and
							a.convocatoria = b.convocatoria and
							a.dni_pasaporte = b.dni_pasaporte and
							a.ano_academico = d.ano_academico and
							a.convocatoria = d.convocatoria and
							a.dni_pasaporte = d.dni_pasaporte and
							a.cod_estudios_mec = '90990000000' and
							a.dni_pasaporte not in (select dni_pasaporte
                                                     from pm_excluidos e
                                                    where e.ano_academico = a.ano_academico and
                                                         e.convocatoria  = a.convocatoria  ) 
					ORDER by ape1_alumno,ape2_alumno,nomb_alumno,opcion ";	
					
	
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));			
			 		 	
		return $query->result();
	}
	
	/**
	 * Listado de documentos requeridos en año academico y convocatoria para alumnos estudios extranjeros 
	 * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function listarDocumentos($ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT cod_id,nombre_doc
		             FROM  pm_doc_requerida
					 WHERE  ano_academico = ? and
							convocatoria = ? 
                     ORDER BY cod_id ";	
					
	
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));			
			 		 	
		return $query->result();
	}
	
	
	/**
	 * Listado de alumnos excluidos en un plan en año academico y convocatoria para generar PDF  
	 * @param $plan
	 * @param $ano_academico
     * @param $convocatoria	
	 * @return unknown_type
	 */
	function pdfListaExcluidosPlan($plan, $ano_academico, $convocatoria){
	
	
	    $sqlquery = "SELECT DISTINCT upper(b.dni_pasaporte) as dni_pasaporte, 
		             upper(b.nomb_alumno) as nomb_alumno, upper(b.ape1_alumno) as ape1_alumno,
                     upper(b.ape2_alumno) as ape2_alumno, b.correo_elec_2,c.descripcion
		             FROM  pm_solicitantes b, 
					       pm_excluidos a,
						   pm_motivos_exclusion c,
						   pm_det_preinscripcion d
					 WHERE  a.ano_academico = ? and
							a.convocatoria = ? and 
							d.cod_plan_opc = ? and
							a.ano_academico = b.ano_academico and
							a.convocatoria = b.convocatoria and
							a.dni_pasaporte = b.dni_pasaporte and
							a.ano_academico = d.ano_academico and
							a.convocatoria = d.convocatoria and
							a.dni_pasaporte = d.dni_pasaporte and
							a.ano_academico = c.ano_academico and
							a.convocatoria = c.convocatoria and
							a.cod_exclusion = c.codigo 
					ORDER by ape1_alumno,ape2_alumno,nomb_alumno ";	
				
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria, $plan));			
			 		 	
		return $query->result();
	}
}
?>