﻿<?php
class Nodos_model extends CI_Model {

	function __construct(){
		parent::__construct();	
		$this->load->database();   
		
	}	
	
	 /**
	 * Hace una consulta para saber si el plan tiene diferentes nodos o no
	 * devuelve 0 o 1 filas
	 * @param $plan debe ser distinto de null
     * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function existeNodos($plan, $ano_academico, $convocatoria){
				
		$sqlquery="SELECT distinct cod_plan 
		          FROM pm_nodos
				  WHERE cod_plan = ? and
				        ano_academico = ? and
						convocatoria = ?";
	 	
		
		$query=$this -> db ->query($sqlquery,array($plan,$ano_academico,$convocatoria));
	 	
	 	if ($query->num_rows()==1){
	 		log_message('info',">>Existe modificar itinerario::".$plan);
	 	}else{
	 		log_message('info',">>NO existe modificar itinerario::".$plan);
	 	}
	 	
	 	return $query->row();
		
	}
		
	/**
	 * Hace una consulta sobre la tablla pm_nodos
     * @param $ano_academico
	 * @param $convocatoria
	 * @return unknown_type
	 */
	function getNodos($ano_academico, $convocatoria){
				
		$sqlquery="SELECT *
		          FROM pm_nodos
				  WHERE ano_academico = ? and convocatoria = ? order by cod_plan, nodo";
	 			
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));
	 	
	 	if ($query->num_rows() > 1){
	 		log_message('info',">>Existen pm_nodos::".$ano_academico." ".$convocatoria);
	 	}else{
	 		log_message('info',">>NO existe pm_nodos::".$ano_academico." ".$convocatoria);
	 	}
	 	
	 	return $query->result();
		
	}
	
	
	/**
	 * Listado  de nodos para un plan en año academico y convocatoria 
     * @param $plan 
	 * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function listarNodo($plan,$ano_academico, $convocatoria){
	
	    $sqlquery = "SELECT nodo, descripcion, aclaracion,
                 		nodo|| '-' || descripcion ||' *' || aclaracion as info
		             FROM   pm_nodos
					 WHERE  cod_plan = ? and
					        ano_academico = ? and
							convocatoria = ? 
					ORDER by nodo ";	

	
		$query=$this -> db ->query($sqlquery,array($plan,$ano_academico,$convocatoria));			
			 		 	
		return $query->result();
	}
	
	
	/**
	 * Inserta en tabla pm_nodo
	 * @param $data
	 * @return unknown_type
	 */	
	function insertarNodo($data)
	{				
		return $this->db->insert('PM_NODOS', $data);
		
	}
	
	/**
	 * Modifica un plan-nodo de la tabla pm_nodo
	 * @param $ano_academico
	 * @param $convocatoria
	 * @param $plan
	 * @param $nodo
	 * @param $data	
	 * @return unknown_type
	 */	
	function modificarNodo($ano_academico, $convocatoria,$plan,$nodo,$data)
	{			
       
		return $this->db->update('PM_NODOS', $data, array('NODO'=>$nodo,'COD_PLAN'=>$plan,'ANO_ACADEMICO'=>$ano_academico,'CONVOCATORIA'=>$convocatoria));
  	}
	
	
	/**
	 * Borra un nodo y plan de la tabla pm_nodos
	 * @param $ano_academico
	 * @param $convocatoria
	 * @param $nodo
	 * @param $plan
	 * @return unknown_type
	 */	
	 function deleteNodo($anoacademico,$convocatoria,$nodo,$plan)
    {      
		return $this->db->delete('PM_NODOS', array('ANO_ACADEMICO'=>$anoacademico, 'CONVOCATORIA'=>$convocatoria, 'NODO'=>$nodo,'COD_PLAN'=>$plan));       
    }
	
}
?>