<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Opciones_model extends CI_Model {
	
	
	function __construct()
    {
        parent::__construct();
		$this->load->database();
    }
	
	
	function insertPreinscripcion($anoacademico,$convocatoria,$dni_pasaporte,$opcion,$cod_plan_opc)
    {  
    	//los valores preadmitido y fecha_modificacion van por defecto
		//sumo un valor al valor que viene por defecto en el numero de opcion BEGO
		$opc = $opcion +1;
		$sql = "INSERT INTO PM_DET_PREINSCRIPCION (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, OPCION, COD_PLAN_OPC, PREADMITIDO, NODO_OPC) VALUES (?,?,?,?,?,?,?)";
		return $this -> db -> query($sql,array($anoacademico,$convocatoria,$dni_pasaporte,$opc,$cod_plan_opc, 'N', 0));
		
    }
    
    
   
	// RESTO UNO POR DEFECTO A LA OPCION PARA QUE COINCIDA CON EL ORDEN DE LOS ARRRAYS QUE EMPIEZAN CON EL CERO
    function listDetallePreinscripciones($anoacademico,$convocatoria,$dni_pasaporte){
	
    	$sql="SELECT distinct a.ano_academico, a.convocatoria, a.dni_pasaporte, (a.opcion -1) as opcion, a.cod_plan_opc,a.preadmitido,
		      to_char(a.fecha_modificacion, 'dd/mm/yyyy') as fecha_modificacion ,b.descripcion as des_plan
    	FROM pm_det_preinscripcion a, p_plan b
    	WHERE ano_academico=? and convocatoria=? and dni_pasaporte=? and a.cod_plan_opc = b.codigo_plan order by opcion asc ";
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria,$dni_pasaporte));

		return $query -> result(); 
		
  	
    }
	
    
    function deletePreinscripciones($anoacademico,$convocatoria,$dni_pasaporte)
    {      
		return $this->db->delete('PM_DET_PREINSCRIPCION', array('ANO_ACADEMICO'=>$anoacademico, 'CONVOCATORIA'=>$convocatoria, 'DNI_PASAPORTE'=>$dni_pasaporte));       
    }
    
    
    
    //ESTA FUNCION EST REPETIDAAAAAAAAAAAAAAAAAAAA
	/**
	 * Hace una consulta para saber si ya ha introducido las opciones para el ao y convocatoria en curso
	 * devuelve 0 o 1 filas
	 * @param $user debe ser distinto de null
     * @param $ano_academico
     * @param $convocatoria
	 * @return unknown_type
	 */
	function existeDatosOpciones($user, $ano_academico, $convocatoria){
		
		$sqlquery="SELECT distinct dni_pasaporte 
		           FROM pm_det_preinscripcion 
				   WHERE dni_pasaporte = ? and ano_academico = ? and convocatoria = ? ";
	 	
		//('debug', $sqlquery);
		$query=$this -> db ->query($sqlquery,array($user,$ano_academico,$convocatoria));
		
	 	return $query->row();
	
	}

}
