<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Plan_model extends CI_Model {
	
	
	function __construct()
    {
        parent::__construct();
		$this->load->database();
    }
  
	function listPlanes($anoacademico,$convocatoria){
    	$sql="SELECT  distinct a.ano_academico, a.convocatoria, a.cod_plan, a.enlace,a.descripcion, b.descripcion as des_plan, a.plazas_ofertadas 
    	FROM pm_plan a, p_plan b WHERE a.ano_academico=? and a.convocatoria=? and a.cod_plan = b.codigo_plan order by b.descripcion ";
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria));
		return $query -> result(); 
    }
    
    
    /**
     * Obtengo solo un detalle de preinscripcion solo una fila
     * @param $anoacademico
     * @param $convocatoria
	 * @param $plan
     */
	function getPlan($anoacademico,$convocatoria,$plan){
    	$sql="SELECT distinct a.ano_academico, a.convocatoria, a.cod_plan, a.enlace, a.descripcion, b.descripcion as des_plan, a.plazas_ofertadas, a.bloqueado
    	FROM pm_plan a , p_plan b where a.ano_academico=? and a.convocatoria=? and a.cod_plan=? and a.cod_plan = b.codigo_plan ";
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria,$plan));
		return $query -> row(); 
    }
    
    /**
     * Muestro los planes filtrando las que ya han sido elegidos
     * @param $anoacademico
     * @param $convocatoria
     */
	function listFilteredPlanes($anoacademico,$convocatoria,$cod_plan_list=null){
		$where_append="";
		if (count($cod_plan_list)>0){
			$where_append=" and a.cod_plan not in (".implode(',', $cod_plan_list).")";
		}
    	$sql="SELECT distinct a.ano_academico, a.convocatoria, a.cod_plan, a.enlace, a.descripcion, b.descripcion as des_plan, a.plazas_ofertadas 
    	from pm_plan a, p_plan b where a.ano_academico=? and a.convocatoria=?  and a.cod_plan = b.codigo_plan ".$where_append." order by b.descripcion";
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria));
		return $query -> result(); 
    }
	
	/** Modifica tabla pm_plan 
     */
	function updateAllPlanes($ano_academico,$convocatoria,$data)
	{					
		return $this->db->update('PM_PLAN', $data, array('ANO_ACADEMICO'=>$ano_academico,'CONVOCATORIA'=>$convocatoria));
  	}
	
	
	/** Modifica tabla pm_plan  para un plan concreto
     */
	function updatePlan($ano_academico, $convocatoria,$plan,$data)
	{					
		return $this->db->update('PM_PLAN', $data, array('ANO_ACADEMICO'=>$ano_academico,'CONVOCATORIA'=>$convocatoria,'COD_PLAN'=>$plan));
  	}
	
	
	/**
	 * Hace una consulta sobre la tabla pm_plan
     * @param $ano_academico
	 * @param $convocatoria
	 * @return unknown_type
	 */
	function getPlanes($ano_academico, $convocatoria){
				
		$sqlquery="SELECT *
		          FROM pm_plan
				  WHERE ano_academico = ? and convocatoria = ? ORDER BY COD_PLAN";
	 			
		$query=$this -> db ->query($sqlquery,array($ano_academico,$convocatoria));
	 	
	 	if ($query->num_rows() > 1){
	 		log_message('info',">>Existen pm_plan::".$ano_academico." ".$convocatoria);
	 	}else{
	 		log_message('info',">>NO existe pm_plan::".$ano_academico." ".$convocatoria);
	 	}
	 	
	 	return $query->result();
		
	}
	
	
	/**
	 * Inserta un nuevo master en tabla pm_plan
	 * @param $data
	 * @return unknown_type
	 */	
	function insertarMaster($data)
	{				
	   	
		return $this->db->insert('PM_PLAN', $data);
  	}
	
	/**
	 * Borra un master de la tabla pm_plan
	 * @param $ano_academico
	 * @param $convocatoria
	 * @param $plan
	 * @return unknown_type
	 */	
	 function deleteMaster($anoacademico,$convocatoria,$plan)
    {      
		return $this->db->delete('PM_PLAN', array('ANO_ACADEMICO'=>$anoacademico, 'CONVOCATORIA'=>$convocatoria, 'COD_PLAN'=>$plan));       
    }
	
	
}
