<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

define('MENU_DATOSPERSONALES','1');
define('MENU_DATOSACADEMICOS','2');
define('MENU_DATOSOPCIONES','3');
define('MENU_UPLOAD','4');
define('MENU_ABSTRACT','5');
	

class Progreso_solicitud_model extends CI_Model {
	
	/**
	* Variable que incluye el estado de los botones de la barra progreso_solicitud_view.php
	*/	
	var $progreso_vars;
	
	
	function __construct(){
		parent::__construct();	
		$this->load->database();   
	
		$this->load->model('progreso_solicitud');
		$this->progreso_vars=new progreso_solicitud();
		
	}
	
	
	
	public function progreso($anoacademico,$convocatoria,$sol,$menu){
		log_message('debug','llamamos a progreso desde el men:'.$menu);
		$this->_update_progreso_solicitud($anoacademico,$convocatoria,$sol,$menu);
		return $this->progreso_vars;	
	}
	
	
	private function _hasDatosPersonales($anoacademico,$convocatoria,$sol){
		$sqlquery="SELECT dni_pasaporte 
		          FROM pm_solicitantes 
				  WHERE dni_pasaporte = ? and 
				        ano_academico = ? and  
				        convocatoria = ? ";
	 	
		$query=$this -> db ->query($sqlquery,array($sol,$anoacademico,$convocatoria));
		
	 	return $query->row();
	
	}
	
	private function _hasDatosAcademicos($anoacademico,$convocatoria,$sol){
		$sqlquery="SELECT dni_pasaporte 
		           FROM pm_cab_preinscripcion 
				   WHERE dni_pasaporte = ? and 
				        ano_academico = ? and  
				        convocatoria = ? ";
	 	
		$query=$this -> db ->query($sqlquery,array($sol,$anoacademico,$convocatoria));
	 	
	 	return $query->row();
	
	}
	
	private function _hasOpciones($anoacademico,$convocatoria,$sol){
		$sqlquery="SELECT distinct dni_pasaporte 
		           FROM pm_det_preinscripcion 
				   WHERE dni_pasaporte = ? and 
				        ano_academico = ? and  
				        convocatoria = ? ";
				   
		
		$query=$this -> db ->query($sqlquery,array($sol,$anoacademico,$convocatoria));
	 	
	 	return $query->row();
	
	}
	
	
	private function _hasUploads($anoacademico,$convocatoria,$sol){
	$sql="SELECT nombre_documento 
    	FROM pm_documento 
    	WHERE ano_academico=? and convocatoria=? and dni_pasaporte=?";  
    		
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria,$sol));

		return $query -> row(); 
	
	}
	
	
	
	private function _update_progreso_solicitud($anoacademico,$convocatoria,$sol,$menu){
		$this->progreso_vars->button_datos_personales='1';
		$this->progreso_vars->button_datos_academicos='0';
		$this->progreso_vars->button_opciones='0';
		$this->progreso_vars->button_upload='0';
		$this->progreso_vars->button_abstract='0';
	
		$boolDatosPersonales=$this->_hasDatosPersonales($anoacademico,$convocatoria,$sol);
		$boolDatosAcademicos=$this->_hasDatosAcademicos($anoacademico,$convocatoria,$sol);
		$boolDatosOpciones=$this->_hasOpciones($anoacademico,$convocatoria,$sol);
		$boolDatosUploads=$this->_hasUploads($anoacademico,$convocatoria,$sol);
		
		if ($boolDatosPersonales==true) {
			$this->progreso_vars->button_datos_personales='3';
		}else{
			$this->progreso_vars->button_datos_personales='1';
		}
		
		if ($boolDatosAcademicos==true) {
			$this->progreso_vars->button_datos_academicos='3';
		}else{
			//si ya tengo datos persones guardados entonces le dejo editar y si no pues bloqueado
			if ($boolDatosPersonales==true){
				$this->progreso_vars->button_datos_academicos='1';
			}else{
				$this->progreso_vars->button_datos_academicos='0';  //valor de inicializacin
			}
		
		}
		
		if ($boolDatosOpciones==true) {
			$this->progreso_vars->button_opciones='3';			
			$this->progreso_vars->button_abstract='3';
		}else{
			if ($boolDatosAcademicos==true){
				$this->progreso_vars->button_opciones='1';
			}else{
				$this->progreso_vars->button_opciones='0';  //valor de inicializacin
			}
		
		}
		
		if ($boolDatosUploads==true) {
			$this->progreso_vars->button_upload='3';
		}else{
			if ($boolDatosOpciones==true){
				$this->progreso_vars->button_upload='1';
			}else{
				$this->progreso_vars->button_upload='0';  //valor de inicializacin
			}
		
		}
		
		
		switch ($menu) {
			case MENU_DATOSPERSONALES:
				$this->progreso_vars->button_datos_personales='2';
				break;
			case MENU_DATOSACADEMICOS:
				$this->progreso_vars->button_datos_academicos='2';
				break;
			case MENU_DATOSOPCIONES:
				$this->progreso_vars->button_opciones='2';
				break;
			case MENU_UPLOAD:
				$this->progreso_vars->button_upload='2';
				break;
			case MENU_ABSTRACT:
				$this->progreso_vars->button_abstract='2';
				break;
		}
		
		//Si men es 0 entonces no destaco ninguno
		
		//segn las variables las pongo a bloqueo, editable, editable con datos o editable selecionada
		
		//Cuando tenga datos personales, academicos y opciones abro upload y abstract
			
	}
	

}