<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Upload_model extends CI_Model {

    function __construct()
    {        
    	parent::__construct();
		$this->load->database();   //se puede configurar autoconnect
    }
	
	
	function insertDocumento($anoacademico,$covocatoria,$dni_pasaporte,$nombre_documento,$nombre_original,$descripcion,$tipo_documento,$fecha_grabacion)
    {  
		$this->db->set('FECHA_GRABACION',"to_date('".$fecha_grabacion."','dd/mm/yyyy hh24:mi:ss')",false);		    				
		$sql = "INSERT INTO pm_documento (ano_academico, convocatoria, dni_pasaporte, nombre_documento, nombre_original, descripcion, tipo_documento) VALUES (?,?,?,?,?,?,?)";
		return $this -> db -> query($sql,array($anoacademico,$covocatoria,$dni_pasaporte,$nombre_documento,$nombre_original,$descripcion,$tipo_documento));
		
    }
	
		
	/**
	* Borrar un fichero de la base de datos
	*/
	function deleteDocumento($anoacademico,$convocatoria,$dni_pasaporte,$nombre_documento)
    {      
		
		return $this->db->delete('PM_DOCUMENTO', array("ANO_ACADEMICO"=>$anoacademico, "CONVOCATORIA"=>$convocatoria, "DNI_PASAPORTE"=>$dni_pasaporte, "NOMBRE_DOCUMENTO"=>$nombre_documento));       
    }
	
	
	/**
	* lista todos los ficheros para un alumno en un ao y convocatoria
	*/
	function listDocumentosBySolicitud($anoacademico,$convocatoria,$dni_pasaporte)
    {     
		
		$sql="SELECT d.ano_academico,d.convocatoria,dni_pasaporte,nombre_documento,nombre_original,d.descripcion,
		        tipo_documento,to_char(fecha_grabacion, 'dd/mm/yyyy hh24:mi:ss') as fecha_grabacion ,td.nombre as nombre_tipo 
              FROM pm_documento d,pm_tipo_documento td  
			  WHERE d.ano_academico=td.ano_academico and d.convocatoria=td.convocatoria and 
			        d.tipo_documento=td.cod_documento and  
					d.ano_academico=? and d.convocatoria=? and dni_pasaporte=? 
			  ORDER BY d.fecha_grabacion asc";
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria,$dni_pasaporte));

		return $query -> result(); 
        
    }
	
	
	//CONSULTAS PARA TIPO DE DOCUMENTO
	function listTiposDocumentos($anoacademico,$convocatoria)
    {     
		$sql="SELECT ano_academico,convocatoria,cod_documento,nombre,descripcion  
              FROM pm_tipo_documento 
			  WHERE ano_academico=? and convocatoria=? ORDER BY cod_documento asc";
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria));

		return $query -> result(); 
        
    }
	
    
    
    //CONSULTAS PARA LA TABLA RELACIONADA pm_doc_requerida
	function listDocPresentadaSolicitud($anoacademico,$convocatoria,$dni_pasaporte)
    {     
    	$sql="SELECT dps.ano_academico,dps.convocatoria,dps.cod_id,dni_pasaporte,nombre_doc 
    	FROM pm_doc_presentada_solicitud dps,pm_doc_requerida dr 
    	WHERE dps.ano_academico=dr.ano_academico and dps.convocatoria=dr.convocatoria and dps.cod_id=dr.cod_id 
    	and dps.ano_academico=? and dps.convocatoria=? and dps.dni_pasaporte=?";  
    	
		
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria,$dni_pasaporte));

		return $query -> result(); 
        
    }
    
    
    //CONSULTAS PARA LA TABLA pm_presentada_solicitud
	function listDocRequerida($anoacademico,$convocatoria)
    {     
    	$sql="SELECT ano_academico,convocatoria,cod_id,nombre_doc 
    	FROM pm_doc_requerida 
    	WHERE ano_academico=? and convocatoria=?";      	
		
		$query=$this -> db ->query($sql,array($anoacademico,$convocatoria));

		return $query -> result(); 
        
    }
    
    function insertDocPresentada($anoacademico,$covocatoria,$cod_id,$dni_pasaporte)
    {  	    		
		$sql = "INSERT INTO pm_doc_presentada_solicitud (ano_academico, convocatoria, cod_id, dni_pasaporte) VALUES (?,?,?,?)";
		return $this -> db -> query($sql,array($anoacademico,$covocatoria,$cod_id,$dni_pasaporte));
		
    }
	
		
	
}

